2004-07-19 Monday 06:34  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c, sys/buildinfo/version.h, xaaes/src.km/version.h:

	Bumped version numbers for 1.16.0 beta release.
	
2004-07-19 Monday 06:33  Frank Naumann <fnaumann@freemint.de>

	* doc/: README, README.1st, liesmich.1.16.0, readme.1.15,
	readme.1.16.0:

	Documentation updates for 1.16.0 beta release.
	
2004-07-18 Sunday 20:49  Frank Naumann <fnaumann@freemint.de>

	* tools/toswin2/: global.h, version.h:

	Added compile time cflib version check.
	
2004-07-18 Sunday 18:47  Frank Naumann <fnaumann@freemint.de>

	* tools/toswin2/main.c:

	Use cflib variables for mint and aes version check.
	
2004-07-18 Sunday 16:04  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/adiload.c:

	Preserve registers on init callout.
	
2004-07-18 Sunday 15:50  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/adiload.c:

	Preserve registers on init callout.
	
2004-07-18 Sunday 00:42  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bootmenu.c, bootmenu.h, info.c:

	Debug level and debug deivice added to the boot menu.
	And some other slight corrections :-)
	
2004-07-17 Saturday 01:41  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: filesys.c, unifs.c:

	Added forgotten #ifndef NO_RAMFS (for minimal 68000 kernels).
	
2004-07-17 Saturday 00:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/cpu.S:

	Fixed wrong argument for lea in 68060 code. If this doesn't fix the
	problems, then I am clueless.
	
2004-07-16 Friday 23:20  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/: mint-en.hyp, mint-en.ref, mint-en.stg:

	Update (note that the German version remains without an update
	for long time now).
	
2004-07-16 Friday 23:13  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/examples/mint.cnf:

	General revision.
	
2004-07-16 Friday 23:09  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/Makefile:

	Corrected default target. COPS was not built if entered from a higher
	directory.
	
2004-07-16 Friday 22:44  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xaaes.cnf:

	Updated default settings.
	
2004-07-16 Friday 21:54  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Additional debug after init_keybd() and ccw_set().
	
2004-07-16 Friday 20:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/cpu.S:

	Fixed wrong reference to the stacked arguments.
	
2004-07-16 Friday 19:51  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf_mint.c:

	Corrected comments.
	
2004-07-16 Friday 19:37  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf_mint.c:

	Added aliases for old cnf keywords in new format.
	
2004-07-16 Friday 19:36  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: kmemory.c, ramfs.c:

	Added #ifndef NO_RAMFS (to save memory on 4 MB machines)
	
2004-07-16 Friday 19:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Removed dependency of cnf_mint.h
	
2004-07-16 Friday 19:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf_mint.h:

	Removed extern declaration for init_env.
	
2004-07-15 Thursday 21:01  Frank Naumann <fnaumann@freemint.de>

	* sys/module.c:

	Overworked module loading. Preserve all registers on module initialization
	callout. Otherwise it looks like sometimes are registers modified but
	I can't explain why.
	
2004-07-15 Thursday 20:56  Frank Naumann <fnaumann@freemint.de>

	* sys/ptrace.c:

	Deny ptrace(PT_ATATCH) for system special processes.
	
2004-07-15 Thursday 18:38  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/sig_mach.c:

	Prefix hex numbers in debug output with '0x'.
	
2004-07-15 Thursday 18:35  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/: kentry.h, kerinfo.h:

	Corrected documentation. gcc scratch registers are d0/d1 and a0/a1 only.
	
2004-07-15 Thursday 18:24  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Deleted forgotten debug blurp.
	
2004-07-15 Thursday 18:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/ssystem.c:

	Added switch NO_CPU_CACHES.
	
2004-07-15 Thursday 18:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bios.c, init.c, kernget.c:

	Ditto.
	
2004-07-15 Thursday 18:11  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/proc_help.c:

	Added switch NO_MMU.
	
2004-07-15 Thursday 18:04  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h:

	New messages for bootmenu.c
	
2004-07-15 Thursday 17:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/bootmenu.c:

	Few secondary updates.
	
2004-07-15 Thursday 17:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: SRCFILES, mprot000.c:

	Dummy mprot module for kernels optimized stroctly for 68000.
	
2004-07-15 Thursday 17:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/startup.S:

	Minor improvement.
	
2004-07-15 Thursday 17:48  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: mmu040.S, mprot030.c, mprot040.c:

	Add new switch NO_MMU for kernels optimized strictly for 68000.
	
2004-07-15 Thursday 17:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/mmu030.S:

	Restore registers after the branch taken too.
	
2004-07-15 Thursday 17:44  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: cpu.S, detect.S:

	Preserve CPu registers more carefully across these functions.
	
2004-07-15 Thursday 01:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Removed old xbra_install() and xbra_vec structures.
	Added some DEBUG() and TRACE() calls.
	
2004-07-15 Thursday 01:48  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: intr.S, intr.h, syscall.h:

	XBRA structures inlined directly into assembler code.
	
2004-07-15 Thursday 01:11  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/memory.c:

	Default initialmem decreased to 1024. The value of 4096 present
	before caused problems with booting the system on a 4 MB
	machine.
	
2004-07-15 Thursday 01:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Improvements and fixes in DEBUG() messages.
	
2004-07-15 Thursday 01:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/bootmenu.c:

	Minor updates (formatting, use defines instead of numbers etc.)
	
2004-07-14 Wednesday 23:01  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: SRCFILES, app_man.c, c_window.c, form.c, init.c,
	k_mouse.c, k_shutdown.c, menuwidg.c, taskman.c, xa_appl.c,
	xa_global.h, xa_list.h, xa_shel.c, xa_types.h:

	Sorted out xa_client list handling into macros. Made client_list constant;
	introduced new app_list that is used for topping order. app_list can
	be reorded.
	
2004-07-14 Wednesday 22:58  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_main.c:

	Print right path for moose not found error message.
	
2004-07-14 Wednesday 19:02  Frank Naumann <fnaumann@freemint.de>

	* sys/module.c, xaaes/src.km/init.c:

	Bugfixed safety checks for adi search. Add path delimiter if missing
	on search path in load_modules().
	
2004-07-14 Wednesday 07:42  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	Bugfixed fat_trunc(), really null-terminate the string. Don't select an
	extension if there is only a leading '.' in the pathname.
	
2004-07-14 Wednesday 03:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/timer.c:

	Fixed typo.
	
2004-07-14 Wednesday 03:01  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bootmenu.c, dos.c, keyboard.c:

	Modify to use helpers defined in arch/timer.c.
	
2004-07-14 Wednesday 02:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: timer.c, timer.h:

	Define two helper functions:
	1) get_hz_200() - returns the state of 0x4baL
	2) delay_seconds() - delay loop for the given number of seconds
	
2004-07-14 Wednesday 02:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/bootmenu.c:

	Cleanup, remove unnecessary variables.
	Bugfix: the BOOT_DELAY setting was written to out_device.
	Also cast 0x4ba to volatile long instead of normal long.
	
2004-07-13 Tuesday 22:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/: mint-en.hyp, mint-en.ref, mint-en.stg:

	Updates of the beginner documentation,
	
2004-07-13 Tuesday 22:00  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: cnf_xaaes.c, xaaes.cnf:

	Incompatible xaaes.cnf change, the 'run' directive must now be written
	without '='. Made on request to catch up the syntax with previous cnf,
	kernel cnf and N.AES cnf. I hope it's now more logical and as expected
	by users.
	
2004-07-13 Tuesday 21:54  Frank Naumann <fnaumann@freemint.de>

	* sys/kerinfo.c, sys/module.c, sys/module.h, sys/mint/kentry.h,
	xaaes/src.km/adiload.c:

	Module loading API change, load_modules() gets optional path argument
	from where to load modules. If no path is given sysdir is used instead.
	XaAES now loads the .adi driver from the XaAES installation directory.
	ATTENTION: Move the moose.adi into you xaaes directory please!
	
2004-07-13 Tuesday 20:57  Frank Naumann <fnaumann@freemint.de>

	* sys/: cnf_mint.c, init.c, init.h:

	Overworked mint_setenv a little bit. Don't use macro to calculate size,
	use the len info from the MEMREGION descriptor.
	
2004-07-13 Tuesday 19:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Fixed and a bit expanded the DEBUG() messages in set_cookie().
	
2004-07-13 Tuesday 19:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bootmenu.c, bootmenu.h:

	Minor updates.
	
2004-07-13 Tuesday 17:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/info.c:

	Ups, wrong size of the argument (%ld instead of %d).
	
2004-07-13 Tuesday 17:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/bootmenu.c:

	In seconds, of course (mistake in comment).
	
2004-07-13 Tuesday 17:13  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bootmenu.c, bootmenu.h, info.c, init.c:

	Move the boot delay code to the bootmenu.c. Give up Tgettime(), read hz_200 instead, which is more precise. The BOOT_DELAY keyword
	of the mint.ini is effective now, although this value cannot yet be
	changed with the menu.
	
2004-07-13 Tuesday 11:46  Frank Naumann <fnaumann@freemint.de>

	* COPYING, sys/tbl/ReadMe:

	Updated.
	
2004-07-13 Tuesday 02:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bootmenu.c, bootmenu.h:

	mint.ini extensions: new keywords DEBUG_LEVEL, DEBUG_DEVNO (both exactly the same meaning as in mint.cnf), BOOT_DELAY (this one not yet active). Also the se cannot yet be toggled via the menu.
	
2004-07-13 Tuesday 00:45  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, rectlist.c:

	
	Found a potentially ugly bug in the the rectangle-stuff.
	
2004-07-13 Tuesday 00:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bootmenu.c, bootmenu.h:

	Restructurized read_ini()
	
2004-07-13 Tuesday 00:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/xdd/mfp/mfp.c:

	When no _MCH cookie is found, assume old ST.
	
2004-07-13 Tuesday 00:14  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Some stuff must remain after the load_config(), namely:
	1) the do_exec_os() thing (relies on INIT=/GEM= keyword)
	2) the TOSFS drive triggering (relies on NEWFATFS= keyword)
	
	Also. the newly created environment is empty, so no need to check,
	if $PATH, $TERM, $PCONVERT etc. exist before setting them.
	
2004-07-12 Monday 18:17  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xaloader/xaloader.c:

	On 68000 hardware use xaaes000.km as default module name.
	
2004-07-12 Monday 13:10  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Moved load_config after setting up initial environment. Before loading
	the configuration change to u: too.
	
2004-07-12 Monday 06:00  Frank Naumann <fnaumann@freemint.de>

	* sys/cnf_mint.c:

	Reverted last modification from draco. Where was an API change,
	load_config() get's full pathname, not only the filename itself.
	
2004-07-12 Monday 00:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.h:

	Supply definition for step_by_step variable.
	
2004-07-12 Monday 00:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/SRCFILES:

	Update.
	
2004-07-12 Monday 00:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: arch/startup.S, arch/startup.h, bootmenu.c, bootmenu.h,
	cnf_mint.c, debug.c, global.c, global.h, gmon.c, init.c,
	keyboard.c, kmemory.c, mis.c, proc.c, procfs.c:

	Moved _base from startup.S to global.c
	Bootmenu routines moved from init.c into separate module bootmenu.c
	
2004-07-12 Monday 00:09  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, c_window.c, k_keybd.c:

	
	When bringing apps to the front, all windows of the app are
	put first, its 'most topped' window being topped. Not perfect
	yet.
	Now client-cycling (ctrl+alt+tab) only cycles trough clients
	that has a menu-bar or a window open.
	
2004-07-11 Sunday 22:33  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	If there is no extension after a '.' don't copy over the '.' itself
	(as this result in an incorrect 8+3 name).
	
2004-07-11 Sunday 20:02  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: xa_appl.c, xa_rsrc.c, xa_types.h:

	
	Found and fixed a huge memoryleak problem related to loading
	resource-files, where neither the loaded resource nor the
	CICON data generated when icon-data needs transforming to the
	current color depth.
	Fixed a small misbehaviour when a client not on top (or active)
	exits, causing the client prior to current active one to be
	set active instead of keeping the current active.
	
2004-07-11 Sunday 17:26  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Loading cfg file and related calls moved to mint_thread().
	
2004-07-11 Sunday 15:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Zero out the _base->p_env before going into supervisor mode.
	
2004-07-11 Sunday 01:31  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* tools/mktbl/mktbl.c:

	Improved (hopefully) getdelim().
	
2004-07-10 Saturday 10:44  Ingo Schmidt <ich@der-ingo.de>

	* xaaes/src.km/xa_shel.c:

	implemented ptrace mode PT_SYSCALL
	
2004-07-09 Friday 21:43  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, app_man.h, form.c, k_keybd.c,
	widgets.c:

	
	Fixed client-cycling (ctrl+alt+tab), got broken when changing
	client-list sorting. Now WM_TOPPED messages are not sent when
	double-clicking on a windows titlebar unless window has FULLER
	gadget. Added WM_BOTTOMED/WM_TOPPED handling to the standard
	do_formwind_msg() function.
	
2004-07-09 Friday 21:00  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/check_exc.c:

	Minor updates + bugfix.
	
2004-07-09 Friday 15:54  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, form.c, messages.c:

	
	Fixed redraw-problems with AESSYS-owned windows, like the
	taskmanager.
	
2004-07-09 Friday 06:34  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	shel_write() created processes have now AESSYS as parent, not the caller.
	This is bad but more close to all other existing AES implementations.
	
2004-07-09 Friday 02:45  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, c_window.h,
	draw_obj.c, messages.c, widgets.c, xa_evnt.c, xa_objc.c, xa_wind.c:

	
	Fixed a bad, bad but in the rectangle generator. Now the
	rectangle generator is used when topping/bottoming windows
	as well.
	
2004-07-07 Wednesday 19:47  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: check_exc.c, check_exc.h:

	Completed code for the 68030 bus error handler extension.
	
2004-07-07 Wednesday 17:24  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, app_man.h, c_mouse.c, c_window.c,
	c_window.h, cnf_xaaes.c, init.c, k_mouse.c, widgets.c, xa_appl.c,
	xa_global.h, xa_wind.c, xaaes.cnf:

	
	Added a new keyword 'next_active', which configures if the
	next active client upon termination of a client should be the
	previously active(topped) client, or the owner of the most
	recently topped window. See xaaes.cnf - 'next_active' for
	details.
	Fixed problem (hopefully) with certain windows being untoppable
	sometimes under certain conditions.
	
2004-07-07 Wednesday 16:12  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: arch/check_exc.c, arch/check_exc.h, mint/proc.h:

	Added the 68030 bus error handler extension (for Super())
	
2004-07-07 Wednesday 11:57  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, k_mouse.c, xa_evnt.c, xa_wind.c:

	
	Doubleclick anywhere on iconified windows will now uniconify.
	
2004-07-07 Wednesday 00:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: check_exc.c, check_exc.h:

	Updates all around (no real use yet).
	
2004-07-07 Wednesday 00:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: cpu.S, cpu.h:

	Always compile get_usp() and not only on debug kernels. The purpose is
	future usage (in check_exc.c).
	
2004-07-06 Tuesday 20:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Short branch is too short for 68000 code, use bne.w #ifndef ONLY030. Don't
	merge with following #fdef for code clarity.
	
2004-07-06 Tuesday 16:53  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/c_window.c:

	
	Dont go rectangle-crazy when iconfifying/uniconifying windows
	
2004-07-06 Tuesday 15:00  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/draw_obj.c:

	
	Repaired a redraw bug just introduced to d_g_slist().
	
2004-07-06 Tuesday 14:14  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, c_window.h, draw_obj.c, form.c:

	
	Close widget on AESSYS windows works again. Found a major
	redraw-problem regarding XaAES's scrlobjects, these are
	windows attached to an AES object tree, and d_q_slist() called
	display_window, messing up clipp rectangle. Also some
	VDI attributes where wrong.
	Minor fixes to the rectangle driver.
	
2004-07-05 Monday 22:26  Frank Naumann <fnaumann@freemint.de>

	* sys/cnf.c, sys/cnf.h, sys/cnf_mint.c, sys/module.c,
	sys/libkern/kernel_module.h, sys/mint/kentry.h,
	xaaes/src.km/cnf_xaaes.c, xaaes/src.km/cnf_xaaes.h,
	xaaes/src.km/init.c, xaaes/src.km/init.h, xaaes/src.km/k_init.c,
	xaaes/src.km/k_main.c, xaaes/src.km/k_shutdown.c,
	xaaes/src.km/xa_global.h, xaaes/src.km/xa_rsrc.c,
	xaaes/src.km/xaloader/xaloader.c:

	Several changes regarding path and configuration lookup:
	
	 - The default XaAES home dir is now <sysdir>/xaaes.
	   The xaloader (without arguments) search there an xaaes.km and
	   start this if exist.
	 - The xaaes.cnf is now searched in the XaAES home dir (and only there).
	 - The rsc files are now searched in the XaAES home dir (only there too).
	 - kentry exported parse_cnf() expect now a full path.
	
	If you update: recompile and use new kernel, xaaes AND the moose.adi.
	
2004-07-05 Monday 15:23  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/EXTRAFILES, tools/cops/MISCFILES,
	xaaes/src.km/Makefile.objs:

	Minor corrections of the Makefiles.
	
2004-07-05 Monday 06:37  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: check_exc.c, check_exc.h, intr.S:

	Updates, mainly structs and code for future usage.
	
2004-07-05 Monday 06:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	read_ini() uses sysdir, thus shouldn't be called before sysdir is
	initialized.
	
2004-07-04 Sunday 23:18  Frank Naumann <fnaumann@freemint.de>

	* sys/biosfs.c, sys/module.c, sys/module.h, sys/ssystem.c,
	sys/mint/ioctl.h, xaaes/src.km/Makefile, xaaes/src.km/init.c,
	xaaes/src.km/init.h, xaaes/src.km/k_main.c, xaaes/src.km/load.c,
	xaaes/src.km/xaloader/.cvsignore, xaaes/src.km/xaloader/BINFILES,
	xaaes/src.km/xaloader/EXTRAFILES, xaaes/src.km/xaloader/MISCFILES,
	xaaes/src.km/xaloader/Makefile, xaaes/src.km/xaloader/SRCFILES,
	xaaes/src.km/xaloader/crtinit.c, xaaes/src.km/xaloader/entry.S,
	xaaes/src.km/xaloader/setstack.S, xaaes/src.km/xaloader/xaloader.c:

	New XaAES loader, useable as INIT program or from command line. New
	km device for controlling kernel modules. Removed old load.prg.
	You must update the kernel and XaAES (and the rsc files too). Only
	use the xaloader.prg from now on.
	
2004-07-04 Sunday 23:14  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: about.c, xaaes.h, xaaes.hrd, xaaes.rsc:

	Overworked about dialog, making it more professional.
	
2004-07-04 Sunday 23:12  Frank Naumann <fnaumann@freemint.de>

	* tools/Makefile:

	Added cops to tools target list.
	
2004-07-04 Sunday 15:55  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: adiload.c, debug.c, debug.h, global.c, init.c,
	init.h, k_init.c, k_main.c, k_shutdown.c, semaphores.c:

	Removed xa_setup.log, output to screen instead. Wait for keypress
	on fatal errors to give the user a chance to see the source of
	the problem.
	
2004-07-04 Sunday 14:35  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, draw_obj.c, rectlist.c:

	
	First version of rectangle-calculations when moving/resizing
	windows. This will blit areas that are not dirtied, redrawing
	only areas that needs redrawing. Very interested in how this
	works for others...
	
2004-07-04 Sunday 12:23  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: adi.c, adi.h, init.c, k_main.c, xa_menu.c:

	Some more sanity checks regarding moose on startup. Let loader sleep
	until the AESSYS thread terminate.
	
2004-07-04 Sunday 12:12  Frank Naumann <fnaumann@freemint.de>

	* sys/: info.c, info.h, init.c, module.c, module.h, arch/tosbind.h:

	Check for existance of the mint folder with Dsetpath; exit with error
	if no <boot>/mint folder exist.
	
2004-07-04 Sunday 01:04  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/proc.h:

	Define new flag for the future modification of Super()/Supexec().
	
2004-07-04 Sunday 00:29  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: SRCFILES, check_exc.c, check_exc.h, intr.S:

	Provide own emulation code for "move from SR" called in user mode, don't
	follow the old privilege violation vector for that.
	
2004-07-03 Saturday 07:41  Frank Naumann <fnaumann@freemint.de>

	* sys/: cnf_mint.c, init.c, init.h, keyboard.c:

	Replaced cnf setenv with call to _mint_setenv, removed no longer
	used init_env pointer (_base->p_env is the initial environment).
	
2004-07-03 Saturday 07:40  Frank Naumann <fnaumann@freemint.de>

	* sys/memory.c:

	Allocating env region in alt map and fallback to core instead vice versa.
	
2004-07-03 Saturday 06:45  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Always do a chdir u:\ before starting init process.
	
2004-07-03 Saturday 05:48  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, init.h, mis.c:

	Export sysdir to the environment as $SYSDIR.
	
	Also set the following environment variables at startup, if the user
	hasn't set these in mint.cnf:
	
	PATH=u:/
	SLBPATH={sysdir}
	TERM=st52
	UNIXMODE=/brUs
	PCONVERT=PATH,HOME,SHELL
	
2004-07-02 Friday 20:31  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/xdd/mfp/mfp.c:

	In init(): initialize mch to 0 so that it will hopefully work on machines
	where there is no _MCH cookie (e.g. MegaST with TOS 1.02)
	
2004-06-28 Monday 08:23  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: .cvsignore, COPSDEFS, Makefile, Makefile.objs,
	cops_rs.h, cops_rs.rh, cops_rs.rsh, rsc/english/cops_rs.h,
	rsc/english/cops_rs.rsh, rsc/france/cops_rs.h,
	rsc/france/cops_rs.rsh, rsc/german/cops_rs.h,
	rsc/german/cops_rs.rsh, cops_rs.hrd, cops_rs.rsc:

	Added multilanguage targets for english, france and german rsc.
	
2004-06-28 Monday 07:48  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: Makefile, adaptrsc.c, cops.c, cops_rsc.c,
	objmacro.h, popup.c:

	Use new gemlib names for object state and object flag definitions.
	
2004-06-28 Monday 07:21  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: Makefile, cops.c, cpx.h, popup.c:

	Updated for gemlib corrections, also added gemlib compile time version
	check.
	
2004-06-27 Sunday 18:58  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: Makefile, callback.c, callback.h, cops.c, cops.h,
	cpx_bind.c, cpx_bind.h, global.h:

	Fixed crash on exit, fixed very bad bug from gemlib (callbacks must
	be 32bit clean). COPS work now very well here for me.
	
2004-06-27 Sunday 17:16  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: Makefile, SRCFILES, callback.c, callback.h,
	callback_wrap.s, cops.c, cpx_bind.c, cpx_bind.h, phstuff.c, wlib.c:

	Reworked callback mechanism, use a small wrapper. builtin_return_address
	from gcc is not reliable enough. COPS now start and is able to load
	and display cpx modules.
	
2004-06-27 Sunday 09:13  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: .cvsignore, Makefile, callback.c, callback.h,
	cops.c, cpx.h, cpx_bind.c, cpx_bind.h, global.h:

	Implemented missing stuff in C. COPS link and start now, still crash
	if opening a cpx.
	
2004-06-26 Saturday 16:46  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: about.c, app_man.c, c_window.c, c_window.h,
	desktop.c, form.c, k_main.c, k_mouse.c, menuwidg.c, messages.c,
	obtree.c, obtree.h, rectlist.c, taskman.c, widgets.c, xa_evnt.c,
	xa_form.c, xa_fsel.c, xa_lbox.c, xa_types.h, xa_wind.c, xaaes.rsc:

	
	Removed all threaded calls needed to do context dependant stuff
	with proper client events. Hopefully this wont be too bad an
	transition to a new scheme. Made alerts/form_do windows
	movable, but got large clipping-problems with scrllists.
	Detected a situation where HighWire gets marked as LAGGING by
	AES kernel after it calls fileselector, resulting in HighWire
	not receiving WM_REDRAWS upon closing fileselector.
	
2004-06-25 Friday 05:16  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: callback.c, cops.c, global.h:

	Replaced #if DEBUG ... #endif by much better, conditionally defined,
	DEBUG macro.
	
2004-06-24 Thursday 22:26  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: callback.c, callback.h, cops.c, cops.h, cpx.h,
	cpx_bind.c, cpx_bind.h, phstuff.c:

	Reworked heavily callback functions, except Xform_do all callbacks
	are now completly done in C.
	
2004-06-24 Thursday 11:57  Frank Naumann <fnaumann@freemint.de>

	* sys/: Makefile, adi/BINFILES, adi/EXTRAFILES, adi/MISCFILES,
	adi/Makefile, adi/SRCFILES:

	Added adi subdir to makefile dependency list.
	
2004-06-24 Thursday 08:46  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: adaptrsc.c, adaptrsc.h:

	Changed u_short to the more readable unsigned short.
	
2004-06-24 Thursday 08:34  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: Makefile, adaptrsc.c, callback.c, cops.c, cops.h,
	phstuff.c:

	Fixed lot of warnings, added cache flush on cpx load through Ssystem.
	
2004-06-23 Wednesday 10:30  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: obtree.c, obtree.h, rectlist.c, xa_appl.c,
	xa_lbox.c, xa_types.h, xa_wdlg.c:

	
	Now several LBOX's is attached to widget tree correctly.
	Better slider visuality of lbox sliders. Not supporing
	lbox slider B yet. Fixed a potiential bug where make_rect_list
	did not check if window was partially visible.
	
2004-06-22 Tuesday 13:44  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: SRCFILES, cops.c, cpx.h, cpx_bind.c, cpx_bind.h:

	Implemented the cpx callbacks from the assembler bindings in C.
	
2004-06-22 Tuesday 13:28  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	Previous idea modified: search in sysdir, if the SLB is found nowhere
	else. This allows a program to replace the system-wide SLBs modifying
	the $SLBPATH, and also provides a standard place to search the SLBs for,
	when no $SLBPATH is defined.
	
2004-06-22 Tuesday 10:39  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/cpx_bind.s:

	Better pretty printing of the assembler part.
	
2004-06-22 Tuesday 08:39  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/desktop.c:

	Fixed missing argument in debug message.
	
2004-06-22 Tuesday 08:29  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_evnt.c:

	Removed wrong \n in debug statement.
	
2004-06-22 Tuesday 02:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	Search for the SLB in sysdir automatically, when no path is
	specified for Slbopen() call. If not found in sysdir, then
	search through $SLBPATH.
	
2004-06-21 Monday 21:03  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: cops.c, cops.h, popup.c:

	Used the new support bindings from gemlib instead self defined
	macro wrappers (thanks Arnaud for this fast gemlib update).
	
2004-06-20 Sunday 21:24  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, rectlist.c, rectlist.h:

	
	Rewrote window rectangle generator. Nothing noticable yet,
	this is the first step towards a much better rectangle
	driver. Hopefully this will remove some redraw-errors seen
	when redrawing whole desktop. Hope it is as stable as before
	
2004-06-20 Sunday 20:43  Frank Naumann <fnaumann@freemint.de>

	* tools/cops/: .cvsignore, BINFILES, EXTRAFILES, MISCFILES,
	Makefile, SRCFILES, adaptrsc.c, adaptrsc.h, callback.c, callback.h,
	cops.c, cops.h, cops_rs.h, cops_rs.hrd, cops_rs.rh, cops_rs.rsc,
	cops_rs.rsh, cops_rsc.c, cops_rsc.h, cpx.h, cpx_bind.h, cpx_bind.s,
	fix_rsc.c, fix_rsc.h, global.h, key_map.h, list.c, list.h,
	objmacro.h, phstuff.c, phstuff.h, popup.c, popup.h, vaproto.h,
	wlib.c, wlib.h, wstruct.h, rsc/english/cops_rs.h,
	rsc/english/cops_rs.hrd, rsc/english/cops_rs.rh,
	rsc/english/cops_rs.rsc, rsc/english/cops_rs.rsh,
	rsc/france/cops_rs.h, rsc/france/cops_rs.hrd,
	rsc/france/cops_rs.rh, rsc/france/cops_rs.rsc,
	rsc/france/cops_rs.rsh, rsc/german/cops_rs.h,
	rsc/german/cops_rs.hrd, rsc/german/cops_rs.rh,
	rsc/german/cops_rs.rsc, rsc/german/cops_rs.rsh:

	Initial checkin of COPS, converted to gcc and gemlib. Not finished yet,
	the assembler part is not done yet (someone need to help here).
	
2004-06-19 Saturday 23:22  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/: disk.h, ktypes.h:

	Checked in interface ideas about a block device interface.
	
2004-06-19 Saturday 17:54  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: rectlist.c, xa_appl.c, xa_shel.c:

	
	Corrected some return values returned by shel_write().
	Troll runs now
	
2004-06-18 Friday 03:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	Only unblock the signal delivery when unloading the SLB, not when
	closing it. Otherwise, when starting two programs sharing the same
	SLB, then killing one, you could then kill the SLB because the signal
	delivery got unblocked by buggy code in slb_close_on_exit().
	
	Hopefully fixed now.
	
2004-06-18 Friday 02:59  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_wdlg.c:

	
	Fixed wdlg message-event problem, where events were take
	by the first wdlg-handle no matter what. Cops now work
	much better.
	
2004-06-17 Thursday 21:44  Ingo Schmidt <ich@der-ingo.de>

	* sys/: ptrace.c, arch/syscall.S:

	implemented ptrace mode PT_SYSCALL
	
2004-06-17 Thursday 17:38  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: widgets.c, xa_appl.c, xa_lbox.c, xa_wdlg.c:

	
	Fixed (well, not finished yet) a problem with wdlg_set(SET_TREE)
	which caused wrong sizing and positioning of obtree/windows
	in Cops. Implemented dragging of lbox sliders. Need feedback
	on how wdlg and lbox functions work
	
2004-06-17 Thursday 02:04  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, xa_lbox.c:

	
	All lbox_xx() calls now implemented. Still not possible to
	grab and drag lbox sliders, tho. Also, both wdlg and lbox
	stuff only tested with Jinnee
	
2004-06-16 Wednesday 21:13  Frank Naumann <fnaumann@freemint.de>

	* sys/: signal.c, signal.h, arch/magic/genmagic.c:

	Added ptraceflags to genmagic, made stop() _cdecl.
	
2004-06-16 Wednesday 12:53  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: XAAESDEFS, c_window.c, draw_obj.c, handler.c,
	obtree.c, rectlist.c, widgets.c, xa_form.c, xa_lbox.c, xa_types.h,
	xa_wdlg.c, xa_wdlg.h:

	
	Started implementation of wdlg_xx() and lbox_xx() functions.
	Jinnee runs ok now. lbox sliders cannot be dragged yet.
	
2004-06-10 Thursday 16:56  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, app_man.h, k_keybd.c, menuwidg.c,
	xa_wind.c:

	
	Fixed CTRL+ALT+Tab - now cycles through running apps correctly.
	Fixed CTRL+ALT+W - now does correct global window cycling.
	
2004-06-10 Thursday 06:00  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, obtree.c, xa_form.c, xa_menu.c,
	xa_objc.c:

	
	Fixed objc_edit(ED_END) - it returned 0 as position when
	no objc_edit(ED_INIT) was called before. AtarIRC seems to use
	the returnvalue causing the cursor to be wrongly placed at
	start instead of end. Fixed a problem where the menubar was
	not redrawn when menu_bar(MENU_INSTALL) was called and the
	callers menubar was already installed.
	
2004-06-09 Wednesday 18:10  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: menuwidg.c, menuwidg.h, widgets.c, xa_appl.c,
	xa_menu.c, xa_types.h:

	Overhouled menu-functions. Now popups should work better.
	
2004-06-07 Monday 20:00  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/obtree.c:

	
	Corrected obj_change to start drawing at the correct index in
	the obtree. Fixes problems where more than what should have
	been drawn was drawn and messed up visually
	
2004-06-07 Monday 17:05  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: about.c, app_man.c, c_keybd.c, c_window.c,
	desktop.c, form.c, init.c, k_init.c, k_main.c, k_shutdown.c,
	menuwidg.c, menuwidg.h, taskman.c, widgets.c, widgets.h, xa_appl.c,
	xa_fsel.c, xa_menu.c, xa_types.h, xa_wind.c:

	
	Fixed freeze happening when changing desktop from wrong context.
	Took widget_tree structures out of client and window structure,
	this is needed for more flexible handling of things. This also
	fixed a problem with editables, the AES needs to keep track
	of things.
	
2004-06-05 Saturday 11:40  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, menuwidg.c, obtree.c, xa_fsel.c:

	
	Owner of fileselector menu set to the calling client, and not
	forced to the AES, fixing the problem of not being able to
	access them. Fixed a potential bug in obj_edit(). Found a typo
	that would lead to god-known-what
	
2004-06-04 Friday 10:45  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, desktop.c, k_main.c, menuwidg.c,
	widgets.c, widgets.h, xa_form.c, xa_types.h:

	
	Enhanced handling of widget_tree and xa_widget structure
	resources. Hunting down memory-leaks, so this change is
	not done. Hopefully these changes does not make things
	unstable
	
2004-06-03 Thursday 20:18  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_appl.c:

	
	Rearranged order of happenings a bit in exit_client() hoping
	it will make termination of many clients safer.
	(shutdown, for example)
	
2004-06-03 Thursday 10:03  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, form.c, init.c, obtree.c, widgets.c,
	widgets.h, xa_appl.c, xa_defs.h, xa_form.c, xa_fsel.c, xa_graf.c,
	xa_objc.c, xa_types.h, xa_wdlg.c, xa_wind.c:

	
	More work done on cursor handling and objc_edit(). Should
	work much better now. Still not done anything about the
	redraw problems appearing when clipping is needed
	
2004-06-03 Thursday 09:33  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: draw_obj.h, form.c, form.h, obtree.c, obtree.h:

	Added missing header informations for the newly created files.
	
2004-06-02 Wednesday 22:49  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: k_shutdown.c, sys_proc.c:

	Enhanced debugmessages.
	
2004-06-02 Wednesday 22:48  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_main.c:

	Small bugfix for launching cnf run= applications (at least I hope it's
	a bugfix, the cmdline manipulation in launch is a little bit complex).
	
2004-06-02 Wednesday 10:32  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, draw_obj.h, obtree.c, widgets.c,
	xa_types.h:

	Reworked handling of editable-cursor somewhat. I know how to
	fix the remaining problems. Cursor is, per this update,
	rendered wihtout using clip, ergo, redraw errors are present.
	
2004-06-01 Tuesday 21:48  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/widgets.c:

	Fixed compiler warning in debug statement.
	
2004-06-01 Tuesday 21:47  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xaaes.cnf:

	Better example configuration for sytem shell settings (Thing, Jinnee,
	Teradesk).
	
2004-06-01 Tuesday 21:13  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, obtree.c:

	Draw a vertical line instead of block as cursor in editable
	objects. Fixed a problem where ED_INIT on already ED_INIT'ed
	objects ignored doing the works. Now ED_INITs reinits always.
	
2004-06-01 Tuesday 19:10  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: about.c, c_window.c, c_window.h, form.c, form.h,
	k_init.c, menuwidg.c, messages.c, messages.h, scrlobjc.c,
	taskman.c, widgets.c, xa_form.c, xa_fsel.c, xa_types.h, xa_wdlg.c,
	xa_wind.c:

	Fixed a problem where AESSYS accessed data (obtree) in
	user memory. Fixed form_do() - at least works with stzip.
	New function do_winmesag() written to dispatch window messages
	that is handled by the AES on behalf of clients (or itself),
	like form_do(), fileselector, taskmanager, etc.
	
2004-06-01 Tuesday 18:31  Frank Naumann <fnaumann@freemint.de>

	* sys/adi/whlmoose/whlmoose.c:

	Added kentry version check. Attention: please update the moose.adi.
	
2004-06-01 Tuesday 18:08  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_appl.c:

	Rewritten appl_find, much more correct now (don't convert id's for
	non-existing apps). Also support mode -3 like N.AES.
	
2004-06-01 Tuesday 16:39  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/handler.c:

	Fixed typo in debug message.
	
2004-06-01 Tuesday 15:17  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Some updates for shel_help.
	
2004-06-01 Tuesday 15:16  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/messages.c:

	Cleanup.
	
2004-06-01 Tuesday 13:19  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: app_man.c, draw_obj.c, objects.h, xa_evnt.c,
	xa_lbox.c, xa_wdlg.c:

	Removed no longer used objects.h header file.
	
2004-06-01 Tuesday 08:51  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: cnf_xaaes.c, xa_global.h, xa_shel.c, xa_shel.h,
	xaaes.cnf:

	Started implementation of shel_help. Not finished yet.
	
2004-06-01 Tuesday 08:13  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/widgets.c:

	Fixed compiler warning.
	
2004-06-01 Tuesday 06:37  Frank Naumann <fnaumann@freemint.de>

	* sys/memory.c:

	Overworked create_env a little bit, use memcpy instead while loop for
	copying the environment.
	
2004-06-01 Tuesday 06:33  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/c_window.h:

	Added missing prototype.
	
2004-06-01 Tuesday 06:30  Frank Naumann <fnaumann@freemint.de>

	* sys/k_resource.c, sys/k_resource.h, sys/kentry.c,
	sys/libkern/kernel_module.h, sys/mint/kentry.h,
	xaaes/src.km/xa_shel.c:

	Removed proc_setlimit, this can only be called in curproc context.
	Postponed shel_write extended mode for psetlimit/defdir through
	addonprocwakeup to correct context.
	
2004-06-01 Tuesday 00:27  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_shel.c:

	Commented out code in launch(), a call to proc_setlimit,
	which causes a crash. Frank, look up the comments near the
	proc_setlimit()
	
2004-05-31 Monday 22:40  Odd Skancke <ozk@atari.org>

	* sys/adi/whlmoose/whlmoose.h:

	Added names to left/right button status bits
	
2004-05-31 Monday 22:30  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: README-misbehavers.txt, SRCFILES, about.c,
	app_man.c, c_keybd.c, c_mouse.c, c_window.c, debug.c, desktop.c,
	draw_obj.c, draw_obj.h, form.c, form.h, init.c, k_init.c,
	k_keybd.c, k_main.c, k_main.h, k_shutdown.c, menuwidg.c,
	menuwidg.h, mt_gem.h, obtree.c, obtree.h, rectlist.c, rectlist.h,
	scrlobjc.c, scrlobjc.h, taskman.c, widgets.c, widgets.h, xa_appl.c,
	xa_evnt.c, xa_form.c, xa_form.h, xa_fsel.c, xa_graf.c, xa_lbox.c,
	xa_menu.c, xa_objc.c, xa_rsrc.c, xa_types.h, xa_wdlg.c, xa_wind.c,
	xaaes.rsc:

	Largely rewrote most obcj_xx() and form_xx() functions.
	Too many changes to name them all, this is more like a
	fresh start :)
	
2004-05-31 Monday 12:34  Frank Naumann <fnaumann@freemint.de>

	* sys/k_prot.c, sys/k_prot.h, sys/k_resource.c, sys/k_resource.h,
	sys/kentry.c, sys/proc_help.c, sys/libkern/kernel_module.h,
	sys/mint/kentry.h, xaaes/src.km/xa_aes.h, xaaes/src.km/xa_shel.c:

	New internal setuid/setgid/setlimit functions; exported through kentry.
	Enhanced shel_write extended mode; uid/gid/limit setting should now
	work as before. Todo: implement SW_DEFDIR.
	
2004-05-30 Sunday 22:08  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Debug message for unhandled (wrong?) wdoex numbers.
	
2004-05-28 Friday 13:45  Standa Opichal <opichals@seznam.cz>

	* xaaes/src.km/nkcc-gc.s:

	Cflib nkcc fix backport: Fixing register usage. The gcc version
	didn't have the d2-d4 saved before use.
	
2004-05-25 Tuesday 18:46  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, bf_tab.h, blowfish.c, blowfish.h, crypt_IO.c,
	md5.c, md5.h, libkern/SRCFILES, libkern/bf_tab.h,
	libkern/blowfish.c, libkern/blowfish.h, libkern/md5.c,
	libkern/md5.h:

	Moved generic crypto algorithms into libkern.
	
2004-05-22 Saturday 07:59  Frank Naumann <fnaumann@freemint.de>

	* sys/: kentry.c, arch/syscall.S, arch/syscall.h,
	libkern/kernel_module.h, mint/kentry.h:

	Added trap_{1,13,14}_emu to kentry interface.
	
2004-05-20 Thursday 08:59  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: cnf_xaaes.c, init.c, k_init.c, xaaes.cnf:

	Overworked cnf video config again, on a falcon it's interpreted as the
	previous -fvideo <mode> command line argument. Added documentation
	about it to the example cnf.
	
2004-05-19 Wednesday 08:26  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: cnf_xaaes.c, k_init.c, menuwidg.c, xa_global.h:

	Cleanup for the new VIDEO cnf keyword, corrected some types, added
	range checking to the cnf parser.
	
2004-05-18 Tuesday 20:19  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: README-misbehavers.txt, c_window.c, cnf_xaaes.c,
	init.c, k_init.c, widgets.c, xa_appl.c, xa_global.h, xa_wind.c:

	Added missing inside_root() call in open_window.
	Added 'video' configuration variable - takes a numeric value
	which is interpreted as the screen ID opened by v_opnwk().
	Added some comments
	
2004-05-18 Tuesday 09:24  Standa Opichal <opichals@seznam.cz>

	* CONFIGVARS:

	Making the $M68K_ATARI_MINT_CROSS cross compilation autodetection
	environment variable.
	
2004-05-18 Tuesday 09:09  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: c_window.c, cnf_xaaes.c, cnf_xaaes.h, init.c,
	k_init.c, k_main.c, xa_appl.c, xa_global.h, xa_wind.c:

	Removed the lcfg structure, the global config is in the cfg structure.
	Also default to live actions for all things (but AESSYS taskmanager still
	don't do live window moving).
	
2004-05-18 Tuesday 09:07  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: taskman.c, xa_fsel.c:

	Use C.Aes client options instead default_options (allow override for
	AESSYS).
	
2004-05-18 Tuesday 09:04  Standa Opichal <opichals@seznam.cz>

	* xaaes/src.km/README-misbehavers.txt:

	Adding Jinnee prior version 2.5
	
2004-05-17 Monday 21:15  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, k_mouse.c, menuwidg.c:

	Fixed problem where clicking on root window didnt top the
	desktop. Fixed a problem causing a bad crash when clicking
	outside of a menuentry in the menubar when menuowner was
	not the same as rootwindow owner.
	
2004-05-17 Monday 19:18  Gerhard Stoll <Gerhard_Stoll@b.maus.de>

	* xaaes/src.km/handler.c:

	AES Opcode 136 is form_xerr and not form_err
	
2004-05-17 Monday 19:09  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: k_main.c, k_main.h, widgets.c, widgets.h:

	Reworked widget_repeat for scroll widgets, should now work as before.
	Timeouts can't be used here, they are dispatched before scheduling a
	process and thus event messages can't be handled by the application.
	
2004-05-17 Monday 11:51  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_main.c:

	More debug messages in signal handler.
	
2004-05-17 Monday 11:50  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: xa_evnt.c, xa_types.h:

	Cleanup, added some comments.
	
2004-05-17 Monday 11:48  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Bugfix, ikill get first the pid and then the signal.
	
2004-05-16 Sunday 21:07  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_main.c, k_mouse.c, messages.c, widgets.c,
	xa_evnt.c, xa_evnt.h, xa_global.h:

	Fixed weird effects of moving widget repeat action
	to roottimeout. AES messages no longer delivered via
	client events.
	
2004-05-16 Sunday 18:09  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_appl.c:

	Insert new client into global client list in ascending order.
	
2004-05-16 Sunday 16:40  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Taskswitch before leaving shel_write, some cleanup for extended mode.
	
2004-05-16 Sunday 16:19  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: k_init.c, k_main.c, k_shutdown.c, menuwidg.c,
	sys_proc.c, sys_proc.h, widgets.c, xa_appl.c, xa_global.c,
	xa_global.h, xa_shel.c:

	Fixed some memory leaks.
	
2004-05-16 Sunday 16:19  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/taskman.c:

	Better pretty printing of process list in task manager.
	
2004-05-16 Sunday 14:23  Frank Naumann <fnaumann@freemint.de>

	* sys/kmemory.c:

	Corrected km_trace_unregister.
	
2004-05-16 Sunday 12:37  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: c_keybd.c, c_mouse.c, desktop.c, k_init.c,
	k_main.c, k_main.h, k_shutdown.c, menuwidg.c, scrlobjc.c,
	taskman.c, taskman.h, widgets.c, xa_form.c, xa_global.h, xa_menu.c,
	xa_shel.c, xa_types.h:

	Replaced AESSYS Fselect timeout by addroottimeout feature of the
	kernel, dispatch kernel alerts through addroottimeout. Made
	new_task/free_task private for menuwidg.c (only used there). Simplified
	and removed unused members from xa_types.h. Fixed some memory leaks
	on shutdown.
	
2004-05-16 Sunday 10:48  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_keybd.c, c_keybd.h, c_message.c, c_message.h,
	c_mouse.c, c_mouse.h, k_main.c, k_main.h, menuwidg.c, xa_types.h:

	Added a cancel flag to the clien event callbacks, if this is
	set the callbacks only release allocated resources. Used when
	cancelling client events
	
2004-05-16 Sunday 08:09  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: README-misbehavers.txt, app_man.c, c_mouse.c,
	c_mouse.h, k_main.c, k_mouse.c, menuwidg.c, messages.c,
	semaphores.c, semaphores.h, xa_appl.c, xa_global.h, xa_menu.c,
	xa_types.h:

	Fixed semaphore issues regarding menu-navigation. This need
	to run as a separate thread, will attempt that later.
	
2004-05-15 Saturday 23:43  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: c_window.c, desktop.c, global.c, k_init.c,
	k_keybd.c, k_keybd.h, k_main.c, k_mouse.c, menuwidg.c, messages.c,
	rectlist.c, widgets.c, xa_rsrc.c, xa_shel.c:

	Don't cast kmalloc, assert check of all kmalloced ptr that are not
	checked explicitly yet, corrected some sizeof operators, use kernel
	kfree for memory passed by adi.
	
2004-05-15 Saturday 22:37  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: SRCFILES, c_mouse.c, c_window.c, c_window.h,
	cnf_xaaes.c, desktop.c, draw_obj.c, global.c, global.h, init.c,
	k_init.c, k_keybd.c, k_main.c, k_mouse.c, k_shutdown.c, menuwidg.c,
	messages.c, rectlist.c, scrlobjc.c, taskman.c, trnfm.c, widgets.c,
	xa_appl.c, xa_evnt.c, xa_form.c, xa_fsel.c, xa_rsrc.c, xa_shel.c,
	xa_wind.c, xalloc.c, xalloc.h:

	Replaced all xmalloc/proc_malloc by kmalloc/umalloc names (to be consistent
	with the rest of the kernel).
	
2004-05-15 Saturday 19:05  Frank Naumann <fnaumann@freemint.de>

	* xaaes/Makefile:

	Addes src.km directory to target list.
	
2004-05-13 Thursday 22:28  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: taskman.c, xa_appl.c, xa_appl.h, xa_menu.c:

	Fixed missing taskmanager refresh in exit_client.
	
2004-05-13 Thursday 22:23  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: draw_obj.c, objects.h:

	Made the simple and often used get_ob_spec() function inline.
	
2004-05-13 Thursday 22:21  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: SRCFILES, init.c, init.h, my_aes.c, my_aes.h,
	k_init.c, k_shutdown.c:

	Removed mostly unused my_aes files away.
	
2004-05-13 Thursday 18:29  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: k_keybd.c, k_main.c, k_main.h, k_shutdown.c,
	taskman.c, taskman.h, xa_shel.c, xaaes.h, xaaes.hrd, xaaes.rsc:

	Overworked shutdown sequence and corrected out of sync rsc and header
	file. Quit XaAES, Quit Apps and Halt/Reboot should now work as
	intended. ATTENTION: update the rsc file before starting the module!
	
2004-05-13 Thursday 17:42  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/load.c:

	During pausing block all signals.
	
2004-05-13 Thursday 17:11  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: c_window.c, draw_obj.c, menuwidg.c, objects.h:

	More robust handling of form_save/form_restore pointers.
	
2004-05-12 Wednesday 20:41  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: messages.c, xa_evnt.c:

	Fixed racecondition in the new client-not-responding sceme
	Terradesk should run fine now
	
2004-05-12 Wednesday 19:48  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_main.c, messages.c:

	Fixed idiotic mistakes by yours truly when compiling debug
	version.
	
2004-05-12 Wednesday 10:21  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_main.c, k_main.h, k_mouse.c, messages.c,
	messages.h, xa_appl.c, xa_evnt.c, xa_form.c, xa_types.h:

	Started work on better handling of clients not able to
	service messages immediately.
	
2004-05-11 Tuesday 22:55  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: handler.c, xa_shel.c, xa_shel.h:

	Added description for shel_help (do we need this syscall?). Also renamed
	shell_xx() syscalls to the more common form shel_xx().
	
2004-05-11 Tuesday 22:00  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: draw_obj.c, xa_appl.c, xa_types.h:

	Permanently allocate and initialize user_things area for progdef on
	appl_init.
	
2004-05-11 Tuesday 09:24  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: SRCFILES, draw_obj.c, my_aes.c, objects.h,
	vaproto.h, xa_user_things.h, xa_user_things.s:

	Cleanup, added header for xa_user_things.s, replaced some german
	comments by english ones.
	
2004-05-11 Tuesday 00:04  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Check myname ptr shel_write too before accessing them.
	
2004-05-10 Monday 23:50  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/draw_obj.c:

	Flushing the data cache (cpush) is very helpful for calling out
	progdefs over signal trampoline ...
	
2004-05-10 Monday 23:32  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Fixed compiler warnings.
	
2004-05-10 Monday 22:12  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_user_things.s:

	Try this, fna
	
2004-05-10 Monday 21:35  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, xa_shel.c:

	Made shel_write() accessible to any process started by
	shel_write(). Now Papyrus runs.
	
2004-05-10 Monday 21:34  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: SRCFILES, draw_obj.c, xa_user_things.s:

	More work on the progdef callout as signal handler.
	
2004-05-10 Monday 21:32  Frank Naumann <fnaumann@freemint.de>

	* sys/: libkern/kernel_module.h, mint/ktypes.h:

	Added p_sigaction wrapper.
	
2004-05-10 Monday 21:25  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/handler.c:

	Added descrption for scrp_clear.
	
2004-05-09 Sunday 23:52  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/handler.c:

	Replaced the two bools in aes_tab by one flags variable.
	
2004-05-09 Sunday 23:46  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_mouse.h, k_main.c, k_mouse.c,
	messages.c, widgets.c, widgets.h, xa_appl.c, xa_evnt.c,
	xa_global.h:

	Reworked mouse-button event handling again. Now events that
	are sent to the client are put into a private to that client
	area, which is also the data evnt_multi() and evnt_button()
	works on.
	
2004-05-09 Sunday 23:37  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: xa_appl.c, xa_form.c:

	Implemented extended form_error like N.AES. Todo: language translations.
	
2004-05-09 Sunday 01:21  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: EXTRAFILES, README-misbehavers.txt, handler.c,
	k_mouse.c, xa_appl.c, xa_graf.c:

	Ignoring appl_exit() calls for Imagecopy. Made appl_find()
	available without appl_init(). Refer to README-misbehavers.txt
	for more info about these changes
	
2004-05-08 Saturday 18:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, xa_form.c:

	Fixed bug in ipff_init(), fixing weird strings in alert
	buttons. Corrected usage of form_restore() - it always
	frees the memory used to restore.
	
2004-05-08 Saturday 15:34  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_graf.c:

	Corrected graf_mouse() so any process can change mouse cursor.
	
2004-05-08 Saturday 14:45  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, k_main.c, k_mouse.c, xa_graf.c:

	Made graf_mouse() and graf_mkstate() callable by non AES
	processes. Now Porthos runs.
	
2004-05-08 Saturday 12:31  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, init.c, widgets.c, xa_graf.c:

	Debug AES kernel now loads xaaesdbg.cnf instead of xaaes.cnf.
	Added \'needclient\' flag to aes_tab, some functions other than
	appl_init() is accessible without process calling appl_init().
	HighWire calls graf_handl() to get physical VDI handle so it
	can check NVDI precence. Tempus Word now runs without MP
	enabled, but does not run under any AES with MP enabled.
	
2004-05-08 Saturday 09:38  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: xa_fnts.c, xa_form.c, xa_fslx.c, xa_lbox.c,
	xa_wdlg.c:

	Added documentation links about the MagiC/Wdialog extensions.
	
2004-05-07 Friday 23:27  Frank Naumann <fnaumann@freemint.de>

	* sys/cookie.h, xaaes/src.km/init.c:

	Remove HBFS cookie too (avoid any confusion with external fileselectors).
	
2004-05-07 Friday 23:25  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/handler.c:

	Added description string for shell_rdef/shell_wdef.
	
2004-05-07 Friday 23:17  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xaaes.rsc:

	Tuned the form_alert icons a little bit.
	
2004-05-07 Friday 21:59  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: k_main.c, k_mouse.c, k_mouse.h, xa_global.h,
	xa_shel.c:

	Removed more no longer used code and cleanup.
	
2004-05-07 Friday 21:56  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/semaphores.c:

	Corrected wrong DIAG(()) statements.
	
2004-05-07 Friday 21:32  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: adi.c, c_window.c, k_main.c, k_mouse.c,
	semaphores.c:

	Removed code for moose.xdd. Some cleanups.
	
2004-05-07 Friday 21:12  Frank Naumann <fnaumann@freemint.de>

	* sys/: global.h, libkern/kernel_module.h, mint/ktypes.h:

	Corrected macros for accessing kentry variables.
	
2004-05-07 Friday 21:11  Frank Naumann <fnaumann@freemint.de>

	* sys/adi/whlmoose/.cvsignore:

	Missing file.
	
2004-05-07 Friday 16:45  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, k_mouse.c:

	Redrawing windows from wrong context fixed
	
2004-05-07 Friday 15:36  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, k_mouse.c, k_mouse.h, messages.c,
	messages.h, xa_appl.c, xa_evnt.c, xa_types.h:

	Cleanup/release pending client-events and WM_REDRAW messages
	on client exit/crash. WM_REDRAW/mouse movement event relation-
	ship overhoul, now WM_REDRAW messages have priority over all
	other messages, and are queued in a separate queue.
	Live window actions are MUCH better now. Next up: handle
	clients not responding to WM_REDRAW messages..
	
2004-05-07 Friday 09:08  Frank Naumann <fnaumann@freemint.de>

	* sys/proc.c:

	Removed temporary F_OS_SPECIAL flag for rootproc kernel threads.
	
2004-05-07 Friday 09:07  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Attach newly created basepage to cuproc before accessing it (and detach
	afterwards).
	
2004-05-07 Friday 09:05  Frank Naumann <fnaumann@freemint.de>

	* sys/: kentry.c, memory.c, memory.h, libkern/kernel_module.h,
	mint/kentry.h:

	Added attach/detach_region to kentry interface.
	
2004-05-06 Thursday 20:31  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: Makefile.objs, SRCFILES, XAAESDEFS, app_man.c,
	debug.h, handler.c, xa_appl.c, xa_codes.h, xa_fnts.c, xa_fnts.h,
	xa_form.c, xa_fslx.c, xa_fslx.h, xa_lbox.c, xa_lbox.h, xa_shel.c,
	xa_types.h, xa_wdlg.c, xa_wdlg.h:

	Cleanup of the AES syscall table. It's now statically initialized.
	Unified and added missing wdialog prototypes. Someone want to help
	on the wdialog extensions?
	
2004-05-06 Thursday 17:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, k_main.c, k_mouse.c, messages.c,
	xa_appl.c, xa_evnt.c, xa_types.h, xa_wind.c:

	Experimental WM_REDRAW vs. mouse movement event scheme.
	
2004-05-05 Wednesday 11:23  Odd Skancke <ozk@atari.org>

	* sys/adi/whlmoose/: vex_x.s, whlmoose.c:

	Starting to use new .adi mouse driver for XaAES
	
2004-05-05 Wednesday 11:22  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: adi.c, adi.h, init.c, k_main.c, k_mouse.c,
	xa_global.h:

	Starting to use new .adi mouse driver interface.
	
2004-05-04 Tuesday 15:36  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: c_window.c, desktop.c, menuwidg.c, widgets.c,
	xa_form.c, xa_fsel.c, xa_types.h:

	Fixed warnings in widgets.c by making moose_data pointer const for
	WidgetBehaviour functions.
	
2004-05-04 Tuesday 15:20  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: about.c, about.h, accstart.h, accstart.s, adi.c,
	adi.h, adiload.c, adiload.h, app_man.c, app_man.h, c_keybd.c,
	c_keybd.h, c_message.c, c_message.h, c_mouse.c, c_mouse.h,
	c_window.c, c_window.h, cnf_xaaes.c, cnf_xaaes.h, debug.c, debug.h,
	desktop.c, desktop.h, draw_obj.c, global.h, handler.c, handler.h,
	init.c, init.h, k_init.c, k_init.h, k_keybd.c, k_keybd.h, k_main.c,
	k_main.h, k_mouse.c, k_mouse.h, k_shutdown.c, k_shutdown.h,
	matchpat.c, matchpat.h, menuwidg.c, menuwidg.h, messages.c,
	messages.h, my_aes.c, my_aes.h, nkcc-gc.s, nkcc.c, nkcc.h,
	objects.h, rectlist.c, rectlist.h, scrlobjc.c, scrlobjc.h,
	semaphores.c, semaphores.h, sys_proc.c, sys_proc.h, taskman.c,
	taskman.h, trnfm.c, trnfm.h, util.c, util.h, vaproto.h, version.h,
	widgets.c, widgets.h, xa_aes.h, xa_appl.c, xa_appl.h, xa_codes.h,
	xa_defs.h, xa_evnt.c, xa_evnt.h, xa_form.c, xa_form.h, xa_fsel.c,
	xa_fsel.h, xa_global.c, xa_global.h, xa_graf.c, xa_graf.h,
	xa_lbox.c, xa_lbox.h, xa_menu.c, xa_menu.h, xa_objc.c, xa_objc.h,
	xa_rsrc.c, xa_rsrc.h, xa_scrp.c, xa_scrp.h, xa_shel.c, xa_shel.h,
	xa_types.h, xa_user_things.s, xa_wdlg.c, xa_wdlg.h, xa_wind.c,
	xa_wind.h, xalloc.c, xalloc.h:

	Cleanup and unification of all file head messages.
	
2004-05-04 Tuesday 15:04  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: xa_types.h, xa_wind.c:

	Fixed the two warnings in wind_set, structured wind_set a little bit
	better.
	
2004-05-04 Tuesday 12:03  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: adi.c, adi.h, adiload.c, adiload.h:

	Cleanup of the new adi stuff.
	
2004-05-04 Tuesday 11:54  Frank Naumann <fnaumann@freemint.de>

	* sys/adi/whlmoose/: Makefile, whlmoose.c:

	Corrected for kentry interface.
	
2004-05-04 Tuesday 11:23  Odd Skancke <ozk@atari.org>

	* sys/adi/adidefs.h, sys/adi/whlmoose/BINFILES,
	sys/adi/whlmoose/COPYING, sys/adi/whlmoose/EXTRAFILES,
	sys/adi/whlmoose/MISCFILES, sys/adi/whlmoose/Makefile,
	sys/adi/whlmoose/README, sys/adi/whlmoose/SRCFILES,
	sys/adi/whlmoose/vex_x.s, sys/adi/whlmoose/whlmoose.c,
	sys/adi/whlmoose/whlmoose.h, xaaes/src.km/SRCFILES,
	xaaes/src.km/adi.c, xaaes/src.km/adi.h, xaaes/src.km/adiload.c,
	xaaes/src.km/adiload.h, xaaes/src.km/k_main.c,
	xaaes/src.km/k_mouse.c, xaaes/src.km/k_mouse.h:

	Started new AES Device Interface driver API.
	This is not working yet..
	
2004-05-04 Tuesday 08:03  Frank Naumann <fnaumann@freemint.de>

	* sys/SRCFILES, sys/kentry.c, sys/kerinfo.c, sys/kmemory.c,
	sys/kmemory.h, sys/umemory.c, sys/umemory.h, sys/mint/mem.h,
	xaaes/src.km/scrlobjc.c, xaaes/src.km/sys_proc.c,
	xaaes/src.km/xa_rsrc.c:

	New umalloc/ufree implementation that handle also small blocks
	efficiently. umalloc/ufree now allocate private memory for the
	application and should not be called in context of kernel threads.
	Changed the XaAES kernel module to match these requirements.
	
2004-05-03 Monday 21:32  Frank Naumann <fnaumann@freemint.de>

	* sys/biosfs.c:

	Use 0666 instead DEFAULT_MODE (DEFAULT_MODE was recently set to 0644
	to make more sense).
	
2004-05-03 Monday 21:27  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_exec.c, memory.c, proc.c, proc_help.c, proc_help.h:

	Optimized mem array allocation a little bit.
	
2004-05-02 Sunday 21:45  Frank Naumann <fnaumann@freemint.de>

	* sys/: memory.c, memory.h:

	Moved struct srceen definition to memory.c; only used there.
	
2004-05-02 Sunday 21:42  Frank Naumann <fnaumann@freemint.de>

	* sys/: module.c, sockets/inet4/ifload.c:

	Removed unnecessary assembler wrapper for calling the module init.
	
2004-05-01 Saturday 17:32  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, c_window.c, cnf_xaaes.c, k_main.c,
	messages.c, widgets.c, xa_graf.c, xa_wind.c, xaaes.rsc,
	xaaeswdg.rsc:

	Fixed bug in pCP_setenv and pCP_run.
	redrawing of menu taken out of draw_window so menu is not
	redrawn each time a window moves. Trying different things
	regarding live window movement.
	
2004-05-01 Saturday 08:55  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: cnf_xaaes.c, cnf_xaaes.h, debug.c, debug.h,
	init.c, taskman.c, xa_defs.h, xa_global.h, xa_shel.c, xa_shel.h:

	Copy over environment from xaaes loader, made the strings table private
	for the xa_shel module.
	
2004-05-01 Saturday 07:42  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: Makefile, cnf_xaaes.c, k_init.c, xa_shel.c,
	xa_shel.h:

	Simplified put_env, if possible made arguments 'const'.
	
2004-04-30 Friday 19:02  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: .cvsignore, CONFIGVARS, Makefile, Makefile.objs,
	XAAESDEFS, init.c, util.c, util.h:

	Enhanced Makefile system for several targets (030, 000, debug).
	
2004-04-29 Thursday 22:48  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/dsp56k/dsp56k.c:

	The kernel errno.h already have negative error codes.
	
2004-04-29 Thursday 22:44  Frank Naumann <fnaumann@freemint.de>

	* sys/cnf.c:

	Added alert if cnf can't be opened, increase path buf.
	
2004-04-29 Thursday 22:12  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: cnf_xaaes.c, cnf_xaaes.h, init.c, k_init.c,
	xa_aes.h, xa_appl.c, xa_global.h:

	Clean up cnf loading, cnf is now loaded from FreeMiNT sysdir. Added
	debug information on cnf loading, removed lot of no longer used
	configuration variables.
	
2004-04-29 Thursday 21:51  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_shutdown.c:

	Instead polling sleep for a second.
	
2004-04-29 Thursday 19:19  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: semaphores.c, widgets.c, xa_wind.c:

	BEG_UPDATE and BEG_MCTL deadlocks solved, hopefully.
	Live window/widget action fixup
	
2004-04-29 Thursday 17:48  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_keybd.c, k_mouse.c, semaphores.c, widgets.c,
	xa_appl.c, xa_wind.c:

	BEG_UPDATE/END_UPDATE modes of wind_update() never
	blocks. More fixes related to mousehandling. Forced
	'live' option to clean up that part of the code.
	
2004-04-29 Thursday 11:12  Frank Naumann <fnaumann@freemint.de>

	* sys/: bios.c, dosfile.c, tty.c:

	Cleanup.
	
2004-04-28 Wednesday 19:21  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_mouse.c, xa_evnt.c, xa_types.h:

	Problems with detecting button-release situation partially
	solved. Much better now
	
2004-04-28 Wednesday 15:50  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, debug.c, k_main.c, k_mouse.c,
	xa_evnt.c, xa_types.h:

	Mouse handling is on the right way now...
	
2004-04-27 Tuesday 16:05  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, k_main.c, k_mouse.c, k_shutdown.c,
	menuwidg.c, semaphores.c, widgets.c, xa_evnt.c, xa_global.h,
	xa_graf.c:

	Fixes regarding mouse handling. More fixes regarding
	shutdown.
	
2004-04-27 Tuesday 13:31  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/handler.c:

	Added some missing AES trap descriptions.
	
2004-04-27 Tuesday 13:14  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: SRCFILES, app_man.c, handler.c, handler.h, init.c,
	init.h, k_init.c, op_names.c, op_names.h, xa_codes.h:

	Cleanup, merged seperate opcode name table with aes_tab (more consistent).
	
2004-04-27 Tuesday 07:37  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: handler.c, xa_types.h:

	Moved trap handler jump table definition privately to handler.c, removed
	no longer used flags.
	
2004-04-27 Tuesday 07:35  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_fsel.c:

	Additional check for open_fileselectro called from taskmanager.
	
2004-04-26 Monday 14:22  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/init.c:

	Kill FSEL cookie if set, we don't support external fileselectors yet.
	
2004-04-26 Monday 14:03  Frank Naumann <fnaumann@freemint.de>

	* sys/: dev-mouse.c, global.c, global.h, init.c, init.h, kentry.c,
	arch/init_mach.c, libkern/kernel_module.h, mint/emu_tos.h,
	mint/kentry.h:

	Moved some global data into a struct and added these to kentry too.
	
2004-04-26 Monday 13:42  Frank Naumann <fnaumann@freemint.de>

	* sys/: sockets/xif/rtl8012.c, xdd/audio/audiodev.c,
	xdd/dsp56k/dsp56k.c, xdd/mfp/mfp.c, xdd/scc/scc.c,
	xdd/skeleton/dummy.c, xdd/uart/pc16550.c, xdd/whlmoose/whlmoose.c:

	Use definitions from system headers instead defining them self.
	
2004-04-26 Monday 12:21  Frank Naumann <fnaumann@freemint.de>

	* sys/: cookie.c, dos.c, global.c, global.h, init.c, tosfs.c,
	tosfs.h, arch/init_mach.c, arch/tosbind.h:

	Removed no longer used screen_boundary variable, moved gemdos_version and
	flk variable to tosfs.c, corrected compile problems with OLDTOSFS option.
	
2004-04-26 Monday 11:39  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_fsel.c:

	Lock fileselector against multiple entry, copy over result in right
	context.
	
2004-04-26 Monday 11:38  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: handler.c, xa_wind.c:

	Cleanup.
	
2004-04-26 Monday 07:03  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/load.c:

	Only print return value on error, only pause on success.
	
2004-04-25 Sunday 21:15  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_shutdown.c:

	Don't manipulate the client list, only appl_init/exit_client are allowed
	to add/remove clients to the global list.
	
2004-04-25 Sunday 20:26  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_init.c, menuwidg.c, xa_appl.c, xa_types.h:

	Put the string 'clients ' which XaAES adds to the menu of
	application into umalloced() space.
	
2004-04-25 Sunday 18:30  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_keybd.c, c_keybd.h:

	initial version
	
2004-04-25 Sunday 18:29  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: SRCFILES, k_keybd.c:

	Making client events out of keyboard events..
	
2004-04-25 Sunday 16:41  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, k_shutdown.c, menuwidg.c, messages.c,
	xa_objc.c:

	Fixed some problems related to shutdown
	
2004-04-25 Sunday 16:32  Frank Naumann <fnaumann@freemint.de>

	* sys/k_fork.c:

	Only warn about missing command line if parent is not a system process.
	
2004-04-25 Sunday 16:31  Frank Naumann <fnaumann@freemint.de>

	* sys/: cmdline.c, kernfs.c, kernget.c:

	Don't use internal names for string functions.
	
2004-04-25 Sunday 16:29  Frank Naumann <fnaumann@freemint.de>

	* sys/proc.c:

	Set system flag for rootproc.
	
2004-04-25 Sunday 15:49  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/debug.h:

	Don't output an extra line for DIAGS messages.
	
2004-04-25 Sunday 15:47  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/proc_extensions.h, xaaes/src.km/sys_proc.c:

	Made p_ext share notification of return type void.
	
2004-04-25 Sunday 12:36  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/messages.c:

	Found a problem with message delivery.
	
2004-04-25 Sunday 12:10  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: c_window.c, menuwidg.c:

	Show XaAES in desktop menu only once.
	
2004-04-25 Sunday 12:02  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_window.c, k_mouse.c, menuwidg.c,
	sys_proc.c, xa_objc.c:

	Some more fixes related to accessing resources in the
	correct context.
	
2004-04-25 Sunday 11:52  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Set up pc correctly and use p_mem->base.
	
2004-04-24 Saturday 18:42  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_kthread.c, mint/signal.h:

	Add FORK_SHAREEXT flag to share process extensions too. Clear non-shared
	signal stuff.
	
2004-04-24 Saturday 18:40  Frank Naumann <fnaumann@freemint.de>

	* sys/k_exec.c:

	Only initialize p_mem->base and txtlen for non-thread mode in
	exec_region.
	
2004-04-24 Saturday 08:43  Frank Naumann <fnaumann@freemint.de>

	* sys/: cmdline.c, debug.c, dosdir.c, dosmem.c, k_exec.c,
	k_kthread.c, kernget.c, memory.c, memory.h, proc.c, procfs.c,
	ptrace.c, slb.c, arch/mprot030.c, arch/mprot040.c, arch/sig_mach.c,
	mint/proc.h:

	Moved proc->base member to struct memspace there it belongs too.
	
2004-04-24 Saturday 08:39  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: intr.S, magic/genmagic.c:

	Removed unused P_BASE, removed P_CTXT0 (the same as P_CTXTSYS).
	
2004-04-24 Saturday 08:15  Frank Naumann <fnaumann@freemint.de>

	* sys/: proc_help.c, proc_help.h, mint/proc.h,
	mint/proc_extensions.h:

	Reworked proc extension handling, extensions can now be shared. No
	linked lists, every proc have an array of all attached extensions.
	
2004-04-23 Friday 15:32  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_fork.c, k_fork.h, proc_help.c, proc_help.h:

	Allow sharing of proc extensions.
	
2004-04-23 Friday 10:28  Odd Skancke <ozk@atari.org>

	* sys/k_kthread.c, xaaes/src.km/c_window.c,
	xaaes/src.km/menuwidg.c, xaaes/src.km/messages.c,
	xaaes/src.km/widgets.c:

	set ppid to 0 for threads.
	Found one memory violation related to menu handling.
	Still loads to do...
	
2004-04-22 Thursday 21:30  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/kentry.h:

	Bumped versionm number.
	
2004-04-22 Thursday 21:29  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/init.c:

	Adopted for kthread_create argument change.
	
2004-04-22 Thursday 21:27  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_kthread.c, k_kthread.h, kerinfo.c, mis.c, update.c,
	mint/kentry.h:

	New optional argument to kthread_create for the context in which the
	kernel thread should be created. Also set the P_FLAG_SYS flag.
	
2004-04-22 Thursday 19:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, c_window.c, k_main.c, messages.c,
	semaphores.c, widgets.c, xa_types.h:

	Working on running different parts in the correct context.
	Some problems with delivering client events need to be sorted.
	
2004-04-21 Wednesday 20:36  Frank Naumann <fnaumann@freemint.de>

	* sys/: proc_wakeup.c, proc_wakeup.h, libkern/kernel_module.h,
	mint/kentry.h:

	Better name addonprocwakeup, increased kentry version number too.
	
2004-04-21 Wednesday 19:26  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_message.c, c_message.h:

	Initial versions
	
2004-04-21 Wednesday 19:24  Odd Skancke <ozk@atari.org>

	* sys/xdd/whlmoose/whlmoose.c, sys/xdd/whlmoose/whlmoose.h,
	xaaes/src/bootup.c, xaaes/src.km/SRCFILES, xaaes/src.km/c_mouse.c,
	xaaes/src.km/c_window.c, xaaes/src.km/desktop.c,
	xaaes/src.km/k_main.c, xaaes/src.km/k_main.h,
	xaaes/src.km/k_mouse.c, xaaes/src.km/menuwidg.c,
	xaaes/src.km/messages.c, xaaes/src.km/messages.h,
	xaaes/src.km/widgets.c, xaaes/src.km/widgets.h,
	xaaes/src.km/xa_form.c, xaaes/src.km/xa_types.h,
	xaaes/src.km/xa_wind.c:

	Cleaning up mouse handling to get rid of the fake-released
	packet generation. Added things to moose_data structure and
	whlmoose is now up to version 0.5. Message passing now done
	as client events. Window title/info line are now copied
	instead of pointing to strings in process user space.
	
2004-04-21 Wednesday 15:36  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, k_exec.c, k_exec.h, kentry.c, proc.c,
	proc_wakeup.c, proc_wakeup.h, libkern/kernel_module.h,
	mint/kentry.h, mint/ktypes.h, mint/proc.h:

	New custom wakeup callbacks for processes. Checked and executed on the next
	context switch to this process.
	
2004-04-20 Tuesday 00:02  Frank Naumann <fnaumann@freemint.de>

	* sys/: kmemory.c, kmemory.h, ssystem.c:

	Print more information for km_trace lookups.
	
2004-04-19 Monday 22:53  Frank Naumann <fnaumann@freemint.de>

	* sys/: debug.c, fatfs.c, kerinfo.c, kmemory.c, kmemory.h, ramfs.c,
	ssystem.c:

	Debug kernel can now dump out kmalloc'ed blocks with size and caller.
	With shift-cltr-alt-F5 the kmtrace file under /ram is written.
	
2004-04-19 Monday 22:48  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/kernel_module.h, xaaes/src.km/xalloc.c,
	xaaes/src.km/xalloc.h:

	Use original function name for calling kmalloc.
	
2004-04-19 Monday 22:46  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: desktop.c, k_init.c, menuwidg.c, xa_appl.c:

	Corrected some warnings.
	
2004-04-19 Monday 10:22  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, k_init.c, k_main.c, k_mouse.c,
	menuwidg.c, semaphores.c, xa_form.c, xa_fsel.c, xa_types.h:

	Fixed problems with screen/mouse lock/unlocking. Aslo checks to
	see if a client is in AES is done before trying to unblock to
	send client events. Unblock() calls troughout the AES removed,
	as they are no longer needed. Much more stable now, but still
	glitches in mouse handling...
	
2004-04-18 Sunday 17:38  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, k_mouse.c, xaaes.cnf:

	Fixed a problem with delivery of M1/M2 mouse events to clients
	
2004-04-18 Sunday 15:58  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_mouse.h, k_init.c, k_mouse.c,
	menuwidg.c, menuwidg.h, xa_appl.c, xa_menu.c, xa_types.h,
	xa_wind.c:

	Now all mouse events are dispatched to the receiving client.
	Fixed a small glitch in buffer/unbuffer moose packet functions.
	Some comments added
	
2004-04-18 Sunday 08:30  Frank Naumann <fnaumann@freemint.de>

	* sys/: kmemory.c, kmemory.h, ssystem.c, mint/ssystem.h:

	New debug stuff for looking up the kmalloc'ed memory (disabled by
	default, slowdown the system and cost RAM).
	
2004-04-18 Sunday 08:05  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: handler.c, menuwidg.c, menuwidg.h:

	Cleanup and optimization; added comment on fix_menu about private xaaes
	pointer.
	
2004-04-18 Sunday 00:33  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_mouse.h, k_mouse.c:

	Figured out the problem with clicks on root window
	in Thing. Getting better now
	
2004-04-17 Saturday 23:43  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/k_mouse.c:

	Terrible bug added by yours truly in previous
	k_mouse.c fixed. IQ sucks, eh?
	
2004-04-17 Saturday 22:56  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: desktop.c, draw_obj.c, k_mouse.c:

	Looking to kill hard-coded references to C.Aes
	
2004-04-17 Saturday 21:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: menuwidg.c, semaphores.c, xa_fsel.c:

	Fixed some lock/unlock mouse/screen problems.
	Now work on mouse-handling...
	
2004-04-17 Saturday 18:13  Frank Naumann <fnaumann@freemint.de>

	* sys/: info.c, init.c, ssystem.c, buildinfo/version.h,
	mint/kentry.h:

	Optimized version macros, distinguish between cvs version, beta release
	and stable release. cvs version look for \mint\1-16-cur module and
	config directory.
	
2004-04-17 Saturday 17:30  Frank Naumann <fnaumann@freemint.de>

	* sys/: init.c, init.h, module.c, buildinfo/version.h:

	Default module/config dir is now \mint\<version> with fallback to
	\mint if the dir don't exist. This should allow the concurrent
	installation and configuration of different freemint version and
	should make things more clear for user who experiment or tryout
	a little bit. Also trap #2 handler is now only installed if
	requested by a module to avoid trouble with N.AES.
	
2004-04-17 Saturday 17:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/k_mouse.c:

	Correction of new_active_widget_mouse
	
2004-04-17 Saturday 17:26  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_sysctl.c, kernfs.c, kernget.c, kernget.h, mint/sysctl.h:

	sysdir added as information to /kern and sysctl.
	
2004-04-17 Saturday 17:23  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: handler.c, init.c, init.h, k_keybd.c, k_main.c,
	k_mouse.c, xa_form.c, xa_graf.c, xa_shel.c:

	Minor cleanup; remember loader_pid and wake it up on shutdown.
	
2004-04-17 Saturday 16:54  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, k_main.c, k_mouse.c, menuwidg.c,
	xa_global.h:

	client-even dispatching works a little better now.
	
2004-04-17 Saturday 11:59  Frank Naumann <fnaumann@freemint.de>

	* sys/: KERNELDEFS, Makefile, debug.c, xdd/mfp/kgdb_mfp.c,
	xdd/mfp/mfp.h:

	New debug option for sending debug output directly to the MFP.
	
2004-04-17 Saturday 11:35  Frank Naumann <fnaumann@freemint.de>

	* sys/k_kthread.c:

	Don't share signals for kernel threads.
	
2004-04-17 Saturday 11:24  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/sig_mach.c:

	Signal handlers of system processes are directly called out now.
	
2004-04-17 Saturday 11:23  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/c_window.c:

	If current focus window is closed grab the top window as new focus owner.
	
2004-04-17 Saturday 08:46  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: taskman.c, widgets.c, xa_form.c, xa_wind.c:

	Changed more delete_window to delayed_delete_window to avoid invalid
	memory access.
	
2004-04-16 Friday 23:59  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: handler.c, k_main.c, load.c, xa_fsel.c, xa_rsrc.c:

	Reduced default diagnostic messages a little bit.
	
2004-04-16 Friday 20:34  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_appl.c:

	removed obsolete reference
	
2004-04-16 Friday 17:53  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_mouse.h:

	client-side of events files
	
2004-04-16 Friday 17:48  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: SRCFILES, handler.c, k_keybd.c, k_main.c,
	k_main.h, k_mouse.c, k_mouse.h, menuwidg.c, messages.c, xa_appl.c,
	xa_form.c, xa_fsel.c, xa_types.h:

	On the way to make client events work, which
	will make the AES MP clean
	
2004-04-16 Friday 08:34  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: app_man.c, c_window.c, init.c, menuwidg.c,
	messages.c, sys_proc.c, widgets.c, xa_appl.c, xa_appl.h, xa_defs.h,
	xa_fsel.c, xa_shel.c, xa_types.h, xa_wind.c:

	Removed no longer used flags in client structure.
	
2004-04-16 Friday 00:00  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: k_shutdown.c, sys_proc.c, xa_appl.c, xa_shel.c:

	Small bugfixes, return pid for shel_write started apps.
	
2004-04-15 Thursday 23:42  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_exit.c, proc_help.c, proc_help.h:

	Free process extensions on terminate.
	
2004-04-15 Thursday 22:59  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: global.h, handler.c, k_main.c, k_mouse.c,
	xa_appl.c, xa_global.h, xa_shel.c:

	Use create_process from kernel for process creation, remember shel_write
	informations.
	
2004-04-15 Thursday 22:58  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_exec.c, k_exec.h, kentry.c, kmemory.c, module.c, proc.c,
	proc_help.c, libkern/kernel_module.h, mint/kentry.h:

	New internal create_process; added to kentry too.
	
2004-04-15 Thursday 15:10  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: xa_appl.c, xa_global.h, xa_shel.c:

	Remember shel_write informations.
	
2004-04-14 Wednesday 22:34  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	Now trap_2_emu does not use any regs
	
2004-04-14 Wednesday 21:43  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_exec.c, k_exit.c, memory.c, memory.h:

	Simplified load_region/create_base, removed lot of unused code.
	
2004-04-14 Wednesday 21:04  Odd Skancke <ozk@atari.org>

	* sys/module.c, sys/module.h, sys/ssystem.c, sys/mint/kentry.h,
	xaaes/src.km/k_main.c, xaaes/src.km/xa_appl.c:

	Added an argument to register_trap2.
	
2004-04-14 Wednesday 20:51  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/syscall.S:

	Corrected errors if compiled without SYSCALL_REENTRANT.
	
2004-04-14 Wednesday 19:53  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_user_things.s:

	
	Cleaned it up, and it assembles now..
	
2004-04-14 Wednesday 13:55  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_user_things.s:

	initial version
	
2004-04-14 Wednesday 10:44  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_mouse.c, k_shutdown.c, taskman.c, xa_appl.c,
	xa_global.h, xa_types.h:

	
	Fixed a bug in check_mouse where wrong mouse coords were
	returned. Trying to determine if process is an ACC is
	appl_init... not working yet.
	
2004-04-14 Wednesday 08:59  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: k_main.c, k_mouse.c, k_shutdown.c:

	Reap exit code of exited childs (pwaitpid), optimized debug output.
	
2004-04-13 Tuesday 23:35  Frank Naumann <fnaumann@freemint.de>

	* sys/module.c:

	Print basepage for km module load.
	
2004-04-13 Tuesday 23:35  Frank Naumann <fnaumann@freemint.de>

	* sys/kmemory.c:

	umalloc'ed memory is also mapped into rootproc (allow access of these
	memory from kernel threads).
	
2004-04-13 Tuesday 23:34  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/kernel_module.h:

	Added p_waitpid syscall wrapper.
	
2004-04-13 Tuesday 23:32  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: debug.c, desktop.c, desktop.h, handler.c,
	k_keybd.c, k_main.c, k_mouse.c, k_mouse.h, menuwidg.c, widgets.c,
	xa_evnt.c, xa_form.c, xa_global.h, xa_graf.c, xa_objc.c:

	Cleaned up mouse input routines, handle SIGCHLD and try to exit
	gracefully on fatal errors.
	
2004-04-13 Tuesday 14:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_main.c, xa_evnt.c:

	
	Got M1/M2 events corrected now, I think
	
2004-04-13 Tuesday 14:00  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: semaphores.c, widgets.c, xa_evnt.c, xa_global.h:

	
	Fixed lock/unlock mouse/screen handling. Added screen_lock to
	drag_window and size_window (ghost boxes), plus some more...
	
2004-04-13 Tuesday 11:04  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, k_main.c, k_mouse.c:

	
	Got exclusive_mouse_input working somewhat OK now.
	Dont think this will work with MP yet.
	
2004-04-12 Monday 19:24  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	
	Blocked possible preempts upon leaving trap 2 calls.
	Need to find out how this affects AES/VDI
	
2004-04-12 Monday 19:22  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, handler.c, k_main.c, k_mouse.c,
	xa_appl.c, xa_graf.c, xa_types.h:

	
	Got Qed running, but system locked because of exclusive_mouse_imput
	calls from other context. Tried to fix that, and now clicks
	dont come trough. But it is much better than it was 4 hour ago
	
2004-04-11 Sunday 22:33  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: syscall.S, syscall.h:

	Fixed stupid bugs in trap#2 handler. Function pointer is an value and need
	an 'extern' in C, missing .globl in the assembler part too.
	
2004-04-11 Sunday 21:38  Frank Naumann <fnaumann@freemint.de>

	* sys/: biosfs.c, dosdir.c, dosfile.c, ramfs.c, unifs.c:

	Use the appropriate macros from mint/stat.h for checking mode word.
	
2004-04-11 Sunday 21:19  Frank Naumann <fnaumann@freemint.de>

	* sys/: filesys.c, k_fds.c, module.c:

	Clear lastname for ambigious '/foo/bar/' lookups, enhanced and corrected
	debug messages.
	
2004-04-11 Sunday 19:32  Frank Naumann <fnaumann@freemint.de>

	* sys/: module.c, module.h, ssystem.c:

	Some additional debug output.
	
2004-04-11 Sunday 19:24  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: SRCFILES, accstart.h, accstart.s, app_man.c,
	c_window.c, c_window.h, draw_obj.c, handler.c, handler.h, init.c,
	init.h, k_main.c, k_shutdown.c, menuwidg.c, p_handlr.s, widgets.c,
	xa_form.c, xa_global.h, xa_shel.c, xa_types.h, xa_wind.c:

	Preliminary reimplementation of xa_shel. Fixed several old race condition
	bugs, e.g. referencing freed memory. Delay destruction of windows
	in some situations until it's safe to free the memory. Also register
	trap handler in kernel trap#2 handler.
	
2004-04-11 Sunday 19:01  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/syscall.S:

	Added missing #endif.
	
2004-04-11 Sunday 17:40  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	
	Fixed trap_2_emu - why the previous code didnt work stable
	is beyond me. Some minor adjustments
	
2004-04-11 Sunday 16:24  Frank Naumann <fnaumann@freemint.de>

	* sys/: module.c, module.h, arch/syscall.S, arch/syscall.h,
	libkern/kernel_module.h, mint/kentry.h:

	Added register_trap2 helper (to kentry interface too).
	
2004-04-11 Sunday 15:26  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	
	Added some forgotten ONLY030 checks...
	
2004-04-11 Sunday 14:58  Odd Skancke <ozk@atari.org>

	* sys/: init.c, module.c, ssystem.c, arch/syscall.S,
	arch/syscall.h:

	
	Added trap handler for trap 2 (AES/VDI), prepared
	to handle the new AES and VDI kernel module schemes\!
	
2004-04-11 Sunday 08:07  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_form.c:

	Fixed invalid memory reference bug.
	
2004-04-11 Sunday 07:26  Frank Naumann <fnaumann@freemint.de>

	* sys/k_fork.c:

	proc->p_flag is not inherited by child.
	
2004-04-11 Sunday 07:25  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/kernel_module.h:

	New function wrapper p_renice.
	
2004-04-10 Saturday 23:15  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/debug.c:

	Corrected compilation for non-DIAGS target.
	
2004-04-10 Saturday 20:07  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: .cvsignore, BINFILES, CONFIGVARS, DEPENDENCIES,
	EXTRAFILES, MISCFILES, Makefile, PHONY, RULES, SRCFILES, about.c,
	about.h, accstart.h, accstart.s, app_man.c, app_man.h, c_window.c,
	c_window.h, cnf_xaaes.c, cnf_xaaes.h, debug.c, debug.h, desktop.c,
	desktop.h, draw_obj.c, global.h, handler.c, handler.h, init.c,
	init.h, k_init.c, k_init.h, k_keybd.c, k_keybd.h, k_main.c,
	k_main.h, k_mouse.c, k_mouse.h, k_shutdown.c, k_shutdown.h, load.c,
	matchpat.c, matchpat.h, menuwidg.c, menuwidg.h, messages.c,
	messages.h, mt_gem.h, mt_gemx.h, my_aes.c, my_aes.h, nkcc-gc.s,
	nkcc.c, nkcc.h, objects.h, op_names.c, op_names.h, p_handlr.s,
	rectlist.c, rectlist.h, scrlobjc.c, scrlobjc.h, semaphores.c,
	semaphores.h, sys_proc.c, sys_proc.h, taskman.c, taskman.h,
	trnfm.c, trnfm.h, util.c, util.h, vaproto.h, version.h, widgets.c,
	widgets.h, xa_aes.h, xa_appl.c, xa_appl.h, xa_codes.h, xa_defs.h,
	xa_evnt.c, xa_evnt.h, xa_form.c, xa_form.h, xa_fsel.c, xa_fsel.h,
	xa_global.c, xa_global.h, xa_graf.c, xa_graf.h, xa_lbox.c,
	xa_lbox.h, xa_menu.c, xa_menu.h, xa_objc.c, xa_objc.h, xa_rsrc.c,
	xa_rsrc.h, xa_scrp.c, xa_scrp.h, xa_shel.c, xa_shel.h, xa_types.h,
	xa_wdlg.c, xa_wdlg.h, xa_wind.c, xa_wind.h, xaaes.cnf, xaaes.h,
	xaaes.hrd, xaaes.rsc, xaaeswdg.h, xaaeswdg.hrd, xaaeswdg.rsc,
	xalloc.c, xalloc.h:

	First checkin of the new xaaes kernel module. This is alpha and
	lot of things don't work yet (including shel_write :-)) Contact me
	if you want to help and/or test.
	
2004-04-10 Saturday 08:02  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	Corrected messages to display the correct device number.
	
2004-04-10 Saturday 08:01  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/syscall.S:

	Added missing #ifdef SYSCALL_REENTRANT around the new stuff in case
	compiling a kernel without this flag.
	
2004-04-10 Saturday 08:00  Frank Naumann <fnaumann@freemint.de>

	* sys/filesys.c:

	Use message strings from info.c.
	
2004-04-10 Saturday 07:59  Frank Naumann <fnaumann@freemint.de>

	* sys/proc.c:

	Process dump display the ctxt[CURRENT] pc for system processes.
	
2004-04-09 Friday 13:24  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/syscall.S:

	New reentrant handler don't dispatch to old GEMDOS at all (this is
	for sure correct). Added some more comments and moved some parts
	for better understanding.
	
2004-04-09 Friday 13:22  Frank Naumann <fnaumann@freemint.de>

	* sys/: proc.c, arch/kernel.h:

	Two sanity checks for kthreads in the scheduler.
	
2004-04-09 Friday 13:17  Frank Naumann <fnaumann@freemint.de>

	* sys/k_kthread.c:

	Setup FATAL error for kthread SYSCALL context, returning from SYSCALL
	should never happen for kthreads.
	
2004-04-09 Friday 10:18  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	Corrected two alert messages.
	
2004-04-09 Friday 02:41  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	
	Put more work into getting traphanders (BIOS/XBIOS/GEMDOS) reentrant
	from kernel context.
	
2004-04-08 Thursday 20:27  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	
	Modified bios and xbios traps to use the same scheme as
	the gemdos trap handler when called from kernel context.
	Very preliminary, only use with 020+...
	
2004-04-07 Wednesday 22:49  Frank Naumann <fnaumann@freemint.de>

	* sys/: KERNELDEFS, bios.c, biosfs.c, debug.c, dev-mouse.c,
	filesys.c, init.c, init.h, keyboard.c, memory.c, proc.c,
	syscall_vectors.c, time.c, tty.c, xbios.c, arch/halt.c,
	arch/init_mach.c, arch/syscall.h, arch/tosbind.h, mint/debug.h,
	mint/emu_tos.h, mint/falcon.h:

	For SYSCALL_REENTRANT the kernel don't do any trap into BIOS/XBIOS anymore.
	The kernel go now with function calls directly through the old vectors.
	Also modified all initialization required GEMDOS/BIOS/XBIOS calls to be
	prefixed by 'TRAP_' to clarify this.
	
2004-04-07 Wednesday 20:55  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/minixfs/main.c:

	Removed unnecessary osbind.h include.
	
2004-04-07 Wednesday 20:54  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: syscall.S, syscall.h:

	Added #ifdef SYSCALL_REENTRANT around the new stuff, added some more
	comments and added BIOS/XBIOS #define's for directly jumping to the
	original vector.
	
2004-04-07 Wednesday 17:55  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	
	Added preliminary code to handle traps from within kernel
	context to the GemDos trap handler
	
2004-04-06 Tuesday 15:27  Frank Naumann <fnaumann@freemint.de>

	* sys/: KERNELDEFS, biosfs.c, dev-mouse.c, init.c, arch/syscall.S:

	Added missing includes if SYSCALL_REENTRANT is defined; added
	SYSCALL_REENTRANT as default compile option.
	
2004-04-06 Tuesday 12:10  Frank Naumann <fnaumann@freemint.de>

	* sys/cookie.h:

	Added FSEL cookie.
	
2004-04-06 Tuesday 12:10  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/kernel_module.h:

	Added f_stat64 wrapper.
	
2004-04-04 Sunday 21:58  Frank Naumann <fnaumann@freemint.de>

	* sys/: signal.c, signal.h, libkern/kernel_module.h, mint/kentry.h:

	Added raise to the new kentry interface.
	
2004-04-04 Sunday 21:26  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_exit.c, kentry.c, proc.c, proc.h, proc_help.c,
	proc_help.h, semaphores.c, semaphores.h, libkern/kernel_module.h,
	mint/kentry.h, mint/proc.h, mint/proc_extensions.h:

	on_exit get the exit code, minor enhancements of the new kentry.
	
2004-04-03 Saturday 10:18  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_exec.c, k_exit.c, k_fork.c, kentry.c, proc.c, proc.h,
	proc_help.c, proc_help.h, signal.c, buildinfo/version.h,
	libkern/kernel_module.h, mint/kentry.h, mint/ktypes.h, mint/proc.h,
	mint/proc_extensions.h:

	Started process extension implementation.
	
2004-04-03 Saturday 10:16  Frank Naumann <fnaumann@freemint.de>

	* sys/: semaphores.c, semaphores.h:

	Simplified and reduced the oversized debug code.
	
2004-04-03 Saturday 10:12  Frank Naumann <fnaumann@freemint.de>

	* sys/: dosdir.c, filesys.c, filesys.h, k_exit.c, kerinfo.c,
	kmemory.h, unifs.c, libkern/kernel_module.h, libkern/libkern.h,
	mint/debug.h, mint/kentry.h:

	Better debug info, generalized position macro.
	
2004-04-03 Saturday 09:59  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/mprot030.c:

	Fixed warning of possible uninitalized variable.
	
2004-04-03 Saturday 09:59  Frank Naumann <fnaumann@freemint.de>

	* sys/: sysv_shm.c, sysv_shm.h:

	Return type of syscalls is long, corrected for shmat.
	
2004-04-03 Saturday 06:58  Frank Naumann <fnaumann@freemint.de>

	* sys/: cookie.c, info.c, k_sysctl.c, kentry.c, kerinfo.c,
	kernfs.c, kernget.c, buildinfo/version.h, libkern/kernel_module.h,
	mint/kentry.h:

	Prefixed version macros with MINT.
	
2004-04-02 Friday 19:45  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/kernel_module.h:

	Added syscall wrapper for p_signal and d_xreaddir.
	
2004-04-01 Thursday 11:31  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/kernel_module.h:

	Added some more syscall wrapper.
	
2004-03-31 Wednesday 15:35  Frank Naumann <fnaumann@freemint.de>

	* sys/: module.c, libkern/kernel_module.h:

	Added missing define for lseek, error argument now optional for open.
	
2004-03-31 Wednesday 10:00  Frank Naumann <fnaumann@freemint.de>

	* sys/: kentry.c, kerinfo.c, kerinfo.h, module.c, module.h,
	libkern/kernel_module.h, libkern/kernel_xfs_xdd.h, mint/kentry.h:

	More updates and enhancements of the new kentry interface.
	
2004-03-31 Wednesday 09:58  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, filesys.c, filesys.h, xfs_xdd.c, xfs_xdd.h:

	Seperated out xfs/xdd accessor functions, made them non-inline.
	
2004-03-30 Tuesday 20:02  Frank Naumann <fnaumann@freemint.de>

	* sys/: cnf.h, kentry.c, arch/magic/genmagic.c,
	libkern/Makefile.objs, libkern/kernel_module.h, mint/kentry.h,
	mint/kernel.h, mint/ktypes.h, sockets/Makefile, sockets/global.h,
	sockets/inet4/Makefile, sockets/xif/Makefile, xdd/audio/Makefile,
	xdd/audio/global.h, xdd/dsp56k/Makefile, xdd/dsp56k/dsp56k.c,
	xdd/flop-raw/Makefile, xdd/flop-raw/flop_raw.c, xdd/lp/Makefile,
	xdd/lp/lp.h, xdd/mfp/Makefile, xdd/mfp/mfp.c, xdd/scc/Makefile,
	xdd/scc/scc.c, xdd/skeleton/Makefile, xdd/skeleton/dummy.c,
	xdd/uart/Makefile, xdd/uart/pc16550.c, xdd/whlmoose/Makefile,
	xdd/whlmoose/whlmoose.c, xdd/xconout2/Makefile,
	xdd/xconout2/xconout2.c, xfs/ext2fs/Makefile, xfs/ext2fs/global.h,
	xfs/minixfs/Makefile, xfs/minixfs/global.h, xfs/nfs/Makefile,
	xfs/nfs/global.h, xfs/skeleton/Makefile, xfs/skeleton/dummy.c:

	__KERNEL__ or __KERNEL_XFS__ or __KERNEL_XDD__ is now mandatory for
	kernel sources. Also given as compile time switch instead fixed
	#define.
	
2004-03-30 Tuesday 16:03  Frank Naumann <fnaumann@freemint.de>

	* sys/: libkern/SRCFILES, libkern/kernel_module.h,
	libkern/kernel_xfs_xdd.h, libkern/libkern.h,
	libkern/xfs_xdd_kernel.h, mint/kentry.h, mint/kernel.h,
	mint/mint.h:

	New support definitions for the new kentry interface.
	
2004-03-30 Tuesday 13:45  Frank Naumann <fnaumann@freemint.de>

	* sys/: arch/cpu.h, mint/kentry.h:

	Removed strtoll and strtoull, linker problems with functions returning
	long long.
	
2004-03-30 Tuesday 11:19  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, kentry.c, kentry.h, kerinfo.c, kerinfo.h,
	mint/kentry.h, mint/arch/mfp.h:

	New kentry stuff moved to own files.
	
2004-03-29 Monday 23:53  Frank Naumann <fnaumann@freemint.de>

	* sys/: kerinfo.c, libkern/libkern.h:

	Heavily updated new kernel entry interface.
	
2004-03-29 Monday 13:28  Frank Naumann <fnaumann@freemint.de>

	* sys/cnf.c:

	Corrected string argument handling.
	
2004-03-29 Monday 08:45  Frank Naumann <fnaumann@freemint.de>

	* sys/: dosdir.c, ssystem.h, libkern/xfs_xdd_kernel.h,
	mint/kcompiler.h, mint/proc_extensions.h, mint/ssystem.h:

	Updated some header issues.
	
2004-03-27 Saturday 18:43  Frank Naumann <fnaumann@freemint.de>

	* xaaes/: xaaes-kernel.txt, src/widgets.c:

	Added new notice.
	
2004-03-26 Friday 07:48  Frank Naumann <fnaumann@freemint.de>

	* sys/block_IO.c:

	Better message if puninfo is missing (suggested by standa).
	
2004-03-20 Saturday 10:19  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, k_semaphore.c, k_semaphore.h,
	mint/proc_extensions.h:

	New internal semaphore routines.
	
2004-03-17 Wednesday 12:46  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/cnf.h:

	Include only if new cnf parser is used.
	
2004-03-17 Wednesday 12:45  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/bootup.c:

	Always print out system and widget resource file.
	
2004-03-12 Friday 10:16  Frank Naumann <fnaumann@freemint.de>

	* xaaes/: xaaes-kernel.txt, src/debug.c:

	Commented out a debug line (causing trouble here). Checked in my notes
	for kernel integration.
	
2004-03-12 Friday 10:10  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/mprot040.c:

	Optimized ksprintf, additional optional debug info.
	
2004-03-01 Monday 21:24  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/Makefile:

	Added -lgcc to prevent linker-error.
	
2004-02-10 Tuesday 21:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/examples/mint.cnf:

	Updates.
	
2004-02-05 Thursday 16:47  Odd Skancke <ozk@atari.org>

	* xaaes/src/scrlobjc.c:

	
	Fixed the mouse-dropping problem in scroll-lists, used
	by the fileselector and Task-list
	
2004-02-01 Sunday 10:33  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: CONFIGVARS, SRCFILES, bootup.c, cnf.c, cnf.h,
	cnf_xaaes.c, cnf_xaaes.h, config.c, xaaes.cnf:

	Reuse the freemint cnf parser -> unique cnf syntax. Enable by
	setting MINT_CNF_PARSER in CONFIGVARS.
	
2004-01-30 Friday 13:44  Frank Naumann <fnaumann@freemint.de>

	* sys/cnf.c:

	Fixed typo in parse_boolean.
	
2004-01-30 Friday 12:41  Frank Naumann <fnaumann@freemint.de>

	* sys/: cnf.c, cnf.h, cnf_mint.c:

	struct parsinf include now a pointer to local data, some cleanup.
	
2004-01-28 Wednesday 16:04  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, cnf.c, cnf.h, cnf_mint.c, cnf_mint.h, init.c,
	keyboard.c, mis.c:

	Seperated out mint.cnf specific things from the cnf parser itself.
	This allow a reuse of the parser routines for other cnf files.
	
2004-01-27 Tuesday 20:44  Odd Skancke <ozk@atari.org>

	* xaaes/src/: c_window.c, widgets.c:

	
	Now bottoming non-iconified windows works again :)
	
2004-01-27 Tuesday 09:49  Odd Skancke <ozk@atari.org>

	* xaaes/src/: app_man.c, widgets.c, xa_aes.h, xa_evnt.c, xa_graf.c:

	
	Fixed bug #19, where iconfied windows refused to bottom.
	Fixed bug #18, where iconfied windows didn't hide.
	Added 'move slider to clicked spot' mode, like N.AES does
	when right-clicking a slide, when holding down either shift
	keys while clicking. (What is the official name of the
	sliders parent?).
	
2004-01-25 Sunday 23:03  Odd Skancke <ozk@atari.org>

	* .cvsignore:

	added ovdi
	
2004-01-22 Thursday 17:37  Odd Skancke <ozk@atari.org>

	* xaaes/src/xa_rsrc.c:

	Fixed idiotic color handling in LoadResources.
	The first 16 VDI pens are not to be changed on an application
	basis! Also there is no guarantee that the RSC
	file contains a valid RGB palette for pens above the first 16.
	
2004-01-16 Friday 11:11  Standa Opichal <opichals@seznam.cz>

	* sys/: syscall_vectors.c, syscalls.master, time.c, time.h:

	New syscall implementation sys_t_adjtime().
	
	Definitely not finished. The olddelta needs to be managed.
	
2004-01-15 Thursday 20:02  Frank Naumann <fnaumann@freemint.de>

	* sys/proc_help.c:

	Clear page table pointer before freeing it.
	
2004-01-15 Thursday 19:50  Frank Naumann <fnaumann@freemint.de>

	* sys/proc_help.c:

	On process termination invalidate the memspace ptr for the process before
	releasing the memspace structure itself.
	
2004-01-13 Tuesday 14:12  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_objc.c:

	ED_END works it seems now.
	
	CTRL+X,C,V: handling for clipboard cut, copy and paste in objc_edit().
	
2004-01-13 Tuesday 14:05  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_evnt.c:

	Just dome comments adjusted.
	
2004-01-12 Monday 14:24  Standa Opichal <opichals@seznam.cz>

	* tools/toswin2/textwin.c:

	SHIFT+Up (or better PageUp) and SHIFT+Down (or better PageDown) scroll
	the vertical slider of the terminal window.
	
	Milan owners, could you provide the PageUp/PageDown keycode values for
	combinations with SHIFT, CTRL, ALT and ALTGr. Or are they the same in
	all cases?
	
2004-01-12 Monday 14:22  Standa Opichal <opichals@seznam.cz>

	* tools/toswin2/main.c:

	short comment added.
	
2004-01-10 Saturday 09:37  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/pipefs.c:

	Disabled the workaround for the shutdown assert - problem gone,
	because Gryf has fixed the bug long time ago.
	
	Also stripped 360 trailing blanks :-)
	
2004-01-10 Saturday 07:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Setup stack for pid 0 more like fork_proc() does.
	
2004-01-10 Saturday 07:01  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	If $TERM is not set, set it to "st52".
	
2004-01-10 Saturday 03:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* todo.txt:

	Some update.
	
2004-01-10 Saturday 03:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Loading keytable and unicode table moved into the mint thread (pid 0).
	And some other minor improvements (mainly inlining).
	
2004-01-09 Friday 07:01  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: proc.c, kerinfo.c, proc.h, mint/kerinfo.h:

	Added function remaining_proc_time(), which returns the number of
	milliseconds remaining until preemption, and exported to the
	kerinfo.
	
2004-01-09 Friday 06:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, arch/cpu.S, arch/cpu.h:

	Added some debug blurp.
	
2004-01-09 Friday 03:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dos.c:

	Added a second of delay at the end of the shutdown,
	before poweroff/reboot/halt. Does it help?
	
2004-01-09 Friday 03:51  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/info.c:

	Added missing #ifdef.
	
2004-01-08 Thursday 18:22  Adam Klobukowski <atari@gabo.pl>

	* sys/arch/init_mach.c:

	Corrected 060 revision printing.
	
	(teamwork rulez ;) )
	
2004-01-07 Wednesday 10:22  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/trnfm.c:

	Removing unnecessary DIAG() line.
	
2004-01-07 Wednesday 10:08  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_rsrc.c:

	FreeResource bug fixed. Update the client->resources when removing the head
	of the resource list.
	
2004-01-07 Wednesday 09:26  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_rsrc.c:

	Ne cur need not to be valid at the end of the block.
	
2004-01-07 Wednesday 09:09  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: xa_rsrc.c, rsc/xaaeswdg.rsc:

	RSC palette support enabled.
	
	Correct palette added to the widget RSC.
	
2004-01-05 Monday 10:30  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_fsel.c:

	Keyboard and mouse handling improved. The file edit clearing conditions
	were improved. Report objections or change requests.
	
2004-01-04 Sunday 01:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	shell_setenv() will not reallocate the environment if there is enough
	place in the memory currently allocated for the environment.
	
2004-01-03 Saturday 20:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Removed superfluous pointer update in load_internal_table().
	
2004-01-03 Saturday 20:53  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: dos.c, dos.h, init.c, mis.c:

	Shutdown() modes #defined, numbers replaced with labels.
	Also use mode 3 in init.c so that debug kernel would not shut the
	power off when launching init fails :)
	
2004-01-03 Saturday 19:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	The same as below, add missing "+1" here and there. And some other minor
	stuff (mainly typos).
	
2004-01-03 Saturday 16:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	When loading external table, leave a place for the (possibly missing)
	altgr part. And some other minor improvements.
	
2004-01-02 Friday 22:36  Arnaud BERCEGEAY <arnaud.bercegeay@free.fr>

	* xaaes/src/xa_aes.h:

	search mt_gem.h in current dir too
	
2004-01-02 Friday 22:35  Arnaud BERCEGEAY <arnaud.bercegeay@free.fr>

	* xaaes/src/xa_graf.c:

	swap M_LAST (M_PREVIOUS) and M_RESTORE (see gemlib/a_graf_mouse.c)
	
2004-01-01 Thursday 23:42  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Minor updates (typos etc., and some minor code).
	
2004-01-01 Thursday 21:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h, syscall_vectors.c:

	Keytbl() call intercepted, outdated comments updated.
	
2004-01-01 Thursday 21:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/ssystem.c:

	Ssystem(S_LOADKBD) now reloads the system table when NULL is
	passed as filename.
	
2004-01-01 Thursday 21:05  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/syscalls.master:

	Update.
	
2004-01-01 Thursday 21:05  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/programmer/newcall.html/: shutdown.html, ssystem.html:

	Update:
	- Ssystem() for new modes;
	- Shutdown() for the modes 0 and 3 have been swapped.
	
2004-01-01 Thursday 18:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, keyboard.c, keyboard.h, ssystem.c:

	The keyboard table init routines reworked, should be more consistent
	now (I hope).
	
2004-01-01 Thursday 03:10  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/info.c:

	Fixed a typo in a message (caused incredible AKP codes to be printed at
	startup).
	
2004-01-01 Thursday 02:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: context.S, intr.S, syscall.S:

	Block VBL before leave_kernel(), but don't block all interrupts.
	Must see how this influences stability.
	
2004-01-01 Thursday 02:32  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/startup.S:

	Initial stack increased to 12k.
	
2004-01-01 Thursday 02:31  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	- initial stack for the GEM increased to 8k (this costs nothing);
	- code for "GEM=ROM" cleaned up (removed redundant code);
	- keyboard table and unicode table now load after modules;
	- new keyboard handler is now setup only for TOS >= 2.0 BIOS.
	
2004-01-01 Thursday 02:28  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Minor update.
	
2003-12-31 Wednesday 01:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* todo.txt:

	Some updates.
	
2003-12-29 Monday 23:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: arch/delay.c, arch/delay5.S, misc/rejected/delay.c,
	misc/rejected/delay5.S:

	Moved two old files to the rejected folder.
	
2003-12-29 Monday 18:14  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/KERNELDEFS:

	Re-enable -DBUILTIN_SHELL.
	
2003-12-29 Monday 18:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Added temporary fix to prevent hangs on TOS 3.0x
	
2003-12-29 Monday 18:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/aranym_asm.S:

	Added two nops for real 68040.
	
2003-12-28 Sunday 22:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/k_exec.c:

	Minor change in conditional expression (which nevertheless saves
	a bit of memory).
	
2003-12-28 Sunday 22:11  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dos.c:

	Experimentally swap operation of shutdown modes 0 (old halt) and 3
	(new halt/poweroff).
	
2003-12-28 Sunday 22:10  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: ipc_socketdev.c, ipc_socketutil.c, ipc_unix.c,
	ipc_unix_dgram.c, k_fds.c, k_fork.c, k_kthread.c, k_sysctl.c,
	kernfs.c, memory.c, mis.c, ptrace.c, signal.c, slb.c, update.c:

	Some minor improvements, mainly removing superfluous includes, typos et
	cetera. Also use newly defined #defs from mint/proc.h and mint/slb.h.
	
2003-12-28 Sunday 22:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/k_exec.c:

	Something odd commented out.
	
2003-12-28 Sunday 22:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: intr.S, kernel.S, kernel.h, syscall.S:

	enter_bios() inlined directly to the calling functions.
	
2003-12-28 Sunday 22:00  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/aranym_asm.S:

	Minor improvements
	
2003-12-28 Sunday 21:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/: proc.h, slb.h:

	Added minor defines:
	- for p_flag bits currently used
	- for SLB magic value in its TEXT segment
	
2003-12-22 Monday 18:05  Guido Flohr <guido@freemint.de>

	* tools/toswin2/textwin.c:

	this file will be re-written from scratch
	
2003-12-22 Monday 18:02  Guido Flohr <guido@freemint.de>

	* tools/toswin2/textwin.h:

	English comments
	
2003-12-22 Monday 18:01  Guido Flohr <guido@freemint.de>

	* tools/toswin2/ansicol.c:

	fixed comment
	
2003-12-22 Monday 16:27  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/context.S:

	Modified according to suggestion made by Didier Mequignon for 68060
	compatibility. Needs testing with software that uses FPU.
	
2003-12-22 Monday 16:25  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	slb_close_on_exit() forgot to unblock the signal delivery for an SLB
	being closed. This resulted in "dead" SLBs hanging on process list
	when the calling program unexpectedly died.
	
2003-12-22 Monday 14:56  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: k_exec.c, slb.c:

	The bug that prevented SLBs to work under memory protection has
	been fixed: wrong trampoline was used to jump into slb_init_and_exit(),
	i.e. the caller's one, which of course does not belong to the SLB process
	and this resulted in a bus error once the CPU touch the first instruction
	of the SLB startup code.
	
2003-12-22 Monday 14:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/user_things.S:

	Bugfix: the routine should not call slb_exit() when header constants are
	not OK (which is quite unlikely, BTW, because these checks are already
	done twice; but it doesn't cost much to check again).
	
	Apart of that, some resortings.
	
2003-12-18 Thursday 17:54  Guido Flohr <guido@freemint.de>

	* tools/toswin2/twterm.c:

	xterm compatibility: window modify operations (FIXME: causes crashes)
	
2003-12-18 Thursday 17:52  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: window.c, window.h:

	remember workspace dimensions for fulled window
	
2003-12-18 Thursday 17:51  Guido Flohr <guido@freemint.de>

	* tools/toswin2/vttest.txt:

	corrected
	
2003-12-18 Thursday 17:50  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: config.c, config.h, textwin.c:

	get rid of redundant width and height in pixels
	
2003-12-17 Wednesday 16:51  Standa Opichal <opichals@seznam.cz>

	* xaaes/TODO:

	Just few notes to not to forget that concerns the previous huge commit.
	
2003-12-17 Wednesday 16:46  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/global.h:

	Removing the shadowing "typedef ... bits"
	
2003-12-17 Wednesday 16:43  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: aes_defs.h, vdi_defs.h:

	Unnecessary headers removed.
	
2003-12-17 Wednesday 16:40  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: SRCFILES, about.c, app_man.c, bootup.c, c_window.c,
	c_window.h, config.c, debug.h, desktop.c, draw_obj.c, handler.c,
	ipff.c, kernel.c, menuwidg.c, messages.c, messages.h, objects.h,
	rectlist.c, rectlist.h, scrlobjc.c, semaphores.h, taskman.c,
	trnfm.c, trnfm.h, widgets.c, xa_aes.h, xa_appl.c, xa_defs.h,
	xa_evnt.c, xa_fork.c, xa_form.c, xa_fsel.c, xa_graf.c, xa_graf.h,
	xa_menu.c, xa_objc.c, xa_rsrc.c, xa_scrp.c, xa_shel.c, xa_types.h,
	xa_wdial.c, xa_wind.c:

	Rewriten to use the gemlib headers (aes_defs.h vdi_defs.h :: mt_gemx.h).
	
	Generally the changes concerns:
	
	- RECT is not in OBJECT in gemlib and so *(RECT*)&ob_x is the way.
	- OBJC_COLOURS were replaced by BFOBSPEC (should be the OBJC_COLORWORD
	  in the future hopefuly after changing the gemlib somehow)
	- WDIALOG stuff is already defined within the mt_gemx.h
	
	Two more specific things were added:
	
	- RSC palette (conditioned to not to be used ATM because it is not
	  functional well in my setup) support (nice for Jinnee)
	- Fileselector file field cleaning fixed to follow the suggestions from
	  the mailing list (not finished)
	
2003-12-17 Wednesday 15:59  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/draw_obj.c:

	No more coredumps in Jinnee v<2.5. Although it is a kind of a hack.
	
	We may remove this in case we don't need such compatibility.
	Surprisingly the same situation works for TOS, MagiC, Geneva etc... weird.
	
2003-12-17 Wednesday 15:53  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_rsrc.c:

	Fixing bug #22:
	
	The Jinnee icons are displayed correctly when the CICON structure is
	patched to contain correct plane count after the bitmap translation.
	
2003-12-14 Sunday 11:02  Frank Naumann <fnaumann@freemint.de>

	* sys/: kerinfo.c, arch/aranym.h, arch/init_mach.c, mint/kerinfo.h,
	mint/arch/nf_ops.h:

	Enhanced kerinfo structure with nf operation vector.
	
2003-12-14 Sunday 10:33  Petr Stehlik <joy@sophics.cz>

	* sys/arch/detect.S:

	detect_cpu/fpu must save and restore used registers. Without this protection some local variables (add_info) in parent C function were destroyed.
	
2003-12-14 Sunday 10:30  Petr Stehlik <joy@sophics.cz>

	* sys/debug.c:

	nf_debug() can output whole string at once
	
2003-12-14 Sunday 10:29  Petr Stehlik <joy@sophics.cz>

	* sys/cookie.h:

	NatFeat cookie jar key is __NF
	
2003-12-13 Saturday 14:59  Frank Naumann <fnaumann@freemint.de>

	* sys/: KERNELDEFS, cookie.c, cookie.h, debug.c, dos.c, k_exec.c,
	arch/SRCFILES, arch/aranym.c, arch/aranym.h, arch/aranym_asm.S,
	arch/halt.c, arch/halt.h, arch/init_mach.c, arch/intr.h,
	mint/debug.h, mint/proc.h:

	Started aranym support, new aranym kernel target; seperated out some more
	hardware specific things (halt, poweroff) into the arch subdir.
	
2003-12-01 Monday 19:09  Odd Skancke <ozk@atari.org>

	* xaaes/src/bootup.c:

	added v_exit/enter_cur calls to open/close VDI code.
	
2003-11-25 Tuesday 19:20  Standa Opichal <opichals@seznam.cz>

	* sys/sockets/inet4/: if.c, if.h, ip.c, route.c, route.h:

	if_primary replaced with rt_primary a new invisible route instance.
	
	All this was done due to the ifconfig 0.0.0.0 implied setting which
	creates a special (to the /sbin/route invisible) route which is
	used in case no common route matches and the destination IP
	is 0xffffffff which might be used for UDP broadcast.
	
	The former if_primary pointer is beeing held in rt_primary.nif field.
	
	The new behaviour allows the isc.org DHCP client port to work properly.
	
2003-11-25 Tuesday 19:06  Standa Opichal <opichals@seznam.cz>

	* sys/sockets/inet4/: ifeth.c, udp.c:

	debugging lines added.
	
2003-11-24 Monday 13:54  Frank Naumann <fnaumann@freemint.de>

	* sys/dosdir.c:

	Reverted Fchown() to the old behaviour to not follow symlinks.
	
2003-11-23 Sunday 21:33  Matthias Alles <alles@rhrk.uni-kl.de>

	* todo.txt:

	marked the "not must"-stuff listed by draco
	
2003-11-20 Thursday 19:18  Frank Naumann <fnaumann@freemint.de>

	* tools/IO/mint_io.c:

	Bugfixed typo.
	
2003-11-19 Wednesday 15:04  Frank Naumann <fnaumann@freemint.de>

	* tools/IO/mint_io.c:

	Incorporated the e2fsprogs specific things, some cleanup and corrections.
	
2003-11-19 Wednesday 13:39  Standa Opichal <opichals@seznam.cz>

	* tools/mktbl/mktbl.c:

	The getdelim() return value check fixed.
	
2003-11-18 Tuesday 22:24  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_fsel.c:

	Keyboard accessibility (similar to Freedom mapping):
	
	CTRL + '*': causes the *.* to be used as a filter
	CTRL + BACKSPACE: go to the parent folder
	
2003-11-18 Tuesday 21:48  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_fsel.c:

	Usability improvements.
	
	The file editfield contents is clared on drive change, folder enter, parent
	folder enter. This saves man an Esc press after each subdir enter (I hope
	other people feel it the same way. If not then please report incoveniencies).
	
	For this purpose the set_file() method was added. It uses not very
	conceptual way of setting the cursor position (as this should be done
	by the edit_object() calls IMHO), but this is reported within the comment
	in there.
	
2003-11-18 Tuesday 21:36  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_form.c:

	Unused and shadow variables removal.
	
	The 'editable' define removed (expanded manualy).
	
2003-11-18 Tuesday 21:33  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_objc.c:

	Little cleanup.
	
	edit_object() now always updates the *newpos value if successful.
	
2003-11-18 Tuesday 21:28  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xalloc.c:

	Cast added to the GENERATE_DIAG section.
	
2003-11-18 Tuesday 21:26  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/widgets.c:

	Debug message extended.
	
2003-11-18 Tuesday 21:24  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/draw_obj.c:

	Debug message added.
	
2003-11-18 Tuesday 21:23  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: config.c, kernel.c:

	New "nofsel" configuration option that causes the fsel_* functions not
	hooked (it was only compile time feature until today).
	
2003-11-18 Tuesday 21:21  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/debug.h:

	Cast warning removed (int -> short).
	
	display_env() header added.
	
2003-11-18 Tuesday 21:20  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/xa_appl.c:

	Moving the declaration upper among others to get it compile.
	
2003-11-18 Tuesday 21:05  Standa Opichal <opichals@seznam.cz>

	* tools/IO/mint_io.c:

	Small standardization bugfix.
	
2003-11-18 Tuesday 20:55  Standa Opichal <opichals@seznam.cz>

	* tools/IO/mint_io.c:

	Adding stat().
	
	The lack of this libc call emulation is most probably the cause of mke2fs
	(current RPM 1.27-1) failure when not using -F (force) flag. It uses stat()
	to check whether the requested device exists and is valid
	(in misc/util.c:check_plausibility()) and somewhere else too.
	
2003-10-27 Monday 22:31  Matthias Alles <alles@rhrk.uni-kl.de>

	* todo.txt:

	bios remapping for lp.xdd done
	
2003-10-27 Monday 22:28  Matthias Alles <alles@rhrk.uni-kl.de>

	* sys/xdd/lp/lp.c:

	Bumped version to 0.9
	
2003-10-27 Monday 22:26  Matthias Alles <alles@rhrk.uni-kl.de>

	* sys/xdd/lp/lp.c:

	Added bios remapping.
	
2003-09-29 Monday 09:51  Frank Naumann <fnaumann@freemint.de>

	* tools/mkfatfs/mkfatfs.c:

	Corrected size calculation (only the user presented size was wrong).
	
2003-09-10 Wednesday 22:41  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/sysctl.h:

	Corrected ulong to unsigned long.
	
2003-08-19 Tuesday 14:38  Standa Opichal <opichals@seznam.cz>

	* sys/dosdir.c:

	Fchown() syscall semantics changed to follow symlinks.
	
	This is now in sync with the libc specification.
	
	The mintlib falls back to Fchown() if the new Fchown16() syscall
	is not present (older kernel is in use).
	
2003-08-19 Tuesday 11:28  Standa Opichal <opichals@seznam.cz>

	* sys/: dosdir.c, dosdir.h, syscall_vectors.c, syscalls.master:

	Adding the sys_f_chown16 syscall that is like sys_f_chown() but takes the
	extra 'follow_symlinks' argument.
	
	This is usefull to implement correct mintlib chown() and lchown() calls.
	
2003-08-19 Tuesday 11:25  Standa Opichal <opichals@seznam.cz>

	* sys/: CONFIGVARS, arch/magic/Makefile:

	Adjusted to be able to propagate CVS/CONFIGVARS GLOBAL variable setting.
	
	This is usefull e.g. when you have the libc in other than default directory
	on your system to specify the -I and -L paths.
	
2003-08-08 Friday 11:49  Adam Klobukowski <atari@gabo.pl>

	* doc/programmer/newcall.html/shutdown.html:

	Little bugfix (sorry)
	
2003-08-08 Friday 11:45  Adam Klobukowski <atari@gabo.pl>

	* doc/programmer/newcall.html/shutdown.html:

	Update about poweroff mode
	
2003-08-07 Thursday 09:31  Adam Klobukowski <atari@gabo.pl>

	* sys/: cookie.h, dos.c:

	CT60 poweroff support
	
2003-08-02 Saturday 17:03  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Added missing #ifdef VERBOSE_BOOT.
	
2003-07-29 Tuesday 12:11  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/: main.c, syscalls.c:

	Bugfix: EOF check in check_exception (called by select)
	
2003-07-28 Monday 20:49  Michael Schwingen <rincewind@a-tuin.dascon.de>

	* sys/biosfs.c:

	- disable (broken) biosfs support for Milan UARTs - use the XDD instead.
	
2003-07-28 Monday 20:48  Michael Schwingen <rincewind@a-tuin.dascon.de>

	* sys/init.c:

	- re-add code to run ROM AES: GEM=ROM sets init_is_gem==1 and init_prg == 0
	- do not hook into reset vector - this should not be necessary, and can cause problems on MagnumST
	
2003-07-28 Monday 20:46  Michael Schwingen <rincewind@a-tuin.dascon.de>

	* sys/: info.c, info.h:

	- add message for ROM AES
	
2003-07-28 Monday 20:45  Michael Schwingen <rincewind@a-tuin.dascon.de>

	* sys/cnf.c:

	- re-add code to run ROM AES: GEM=ROM sets init_is_gem==1 and init_prg == 0
	
2003-07-28 Monday 18:10  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Corrected the number of seconds in a Gregiorian year
	for internal time calculations
	(it is 365 days, 5 hours, 48 minutes and 45 seconds, and not
	 365 days, 6 hours, 11 minutes and 15 seconds :-))
	
2003-07-12 Saturday 16:46  Odd Skancke <ozk@atari.org>

	* xaaes/src/: bootup.c, kernel.c, menuwidg.c, xa_shel.c:

	Fixed Ssystem() call to get conterm value, fixes kbd repeat.
	Fixed a problem caused by small apps terminating too fast, causing parent
	code after Pvfork() call to work on a freed xa_client structure by
	blocking sigchild longer.
	
2003-07-01 Tuesday 06:55  Jens Heitmann <jheitmann@debitel.net>

	* xaaes/src/xa_form.c:

	Fixed <RETURN> problem, with dialogs containing only
	one edit field and no default button. (Was inserting
	CR chars before)
	
2003-06-27 Friday 23:38  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* todo.txt:

	Some updates.
	
2003-06-27 Friday 06:34  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/: main.c, syscalls.c:

	1. EAGAIN Handling in Exception check
	2. Connect: EALREADY mapped to ST_EISCONNECTING
	
2003-06-24 Tuesday 14:28  Matthias Alles <alles@rhrk.uni-kl.de>

	* todo.txt:

	English fsetter-RSC synced with german one.
	
2003-06-24 Tuesday 14:27  Matthias Alles <alles@rhrk.uni-kl.de>

	* tools/fsetter/fsetter_e.rsc:

	Synced with german RSC.
	
2003-06-24 Tuesday 07:33  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/: main.c, syscalls.c:

	Corrected handling of EALREADY.
	
2003-06-23 Monday 18:58  Frank Naumann <fnaumann@freemint.de>

	* doc/xaaes/usrguide.txt:

	Corrected typo.
	
2003-06-23 Monday 18:39  Matthias Alles <alles@rhrk.uni-kl.de>

	* doc/xaaes/usrguide.txt:

	minor changes.
	
2003-06-23 Monday 18:28  Matthias Alles <alles@rhrk.uni-kl.de>

	* doc/xaaes/usrguide.txt:

	Initial CVS-import. Overworked the file, so it should be uptodate now. Made
	it also fit into 80 columns.
	
2003-06-23 Monday 18:27  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/: kernel.c, messages.c, signals.c, taskman.c,
	xa_types.h:

	CTRL+ALT+A now will quit XaAES after all GEM-clients have been quitted (I
	think it behaved so some time ago)
	
2003-06-20 Friday 11:40  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/magic/genmagic.pl:

	Updated for perl 5.8 (thanks to Jens Heitmann for this fix)!
	
2003-06-19 Thursday 07:21  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/syscalls.c:

	select() corrected.
	Frecvfrom may return EINPROGRESS, which was handled as an
	incoming character before.
	
2003-06-19 Thursday 07:20  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/main.c:

	New usage info.
	
2003-06-19 Thursday 07:19  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/: LIESMICH, README:

	Updated version info
	
2003-06-18 Wednesday 21:14  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Changed DEBUG message to TRACE message (reduce debug log a little bit).
	
2003-06-17 Tuesday 22:29  Frank Naumann <fnaumann@freemint.de>

	* todo.txt:

	New todo list, temp file for developers.
	
2003-06-17 Tuesday 22:12  Frank Naumann <fnaumann@freemint.de>

	* tools/: Makefile, lpflush/.cvsignore, lpflush/BINFILES,
	lpflush/COPYING, lpflush/EXTRAFILES, lpflush/MISCFILES,
	lpflush/Makefile, lpflush/SRCFILES, lpflush/lpflush.1,
	lpflush/lpflush.c:

	Added new tool lpflush for flushing the spooler buffer of the lp.xdd.
	
2003-06-17 Tuesday 21:25  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/: Makefile, lp/.cvsignore, lp/BINFILES, lp/COPYING,
	lp/EXTRAFILES, lp/MISCFILES, lp/Makefile, lp/SRCFILES, lp/centr.s,
	lp/lp.c, lp/lp.h:

	Checkin of the lp.xdd (interrupt driven). Todo: BIOS remapping for
	this device.
	
2003-06-15 Sunday 21:18  Matthias Alles <alles@rhrk.uni-kl.de>

	* doc/programmer/ssystem.txt:

	adapted to mint.h
	
2003-06-15 Sunday 17:39  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/bootup.c:

	removed irrelevant commentar
	
2003-06-15 Sunday 17:31  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/: bootup.c, kernel.c:

	now bit 3 of conterm is set to make sure Bconin() returns the keyboard
	states. Taskmanager now can be opened with Ctrl-Alt-Esc
	
2003-06-15 Sunday 08:42  Frank Naumann <fnaumann@freemint.de>

	* sys/rendez.c:

	Enhanced documentation a little bit.
	
2003-06-14 Saturday 23:39  Odd Skancke <ozk@atari.org>

	* xaaes/src/: draw_obj.c, handler.c, kernel.c, menuwidg.c,
	xa_menu.c:

	[no log message]
	
2003-06-14 Saturday 22:00  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: SRCFILES, bootup.c, semaphores.c, semaphores.h:

	Reworked smeaphore creation and destruction. Should work now much
	better and should fix bug #5.
	
2003-06-14 Saturday 21:58  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: app_man.c, bootup.c, c_window.c, config.c, debug.h,
	handler.c, kernel.c, my_aes.c, my_aes.h, objects.h, rectlist.c,
	widgets.c, xa_defs.h, xa_evnt.h, xa_menu.c, xa_wind.c:

	Removed USE_CALL_DIRECT stuff, never used.
	
2003-06-14 Saturday 09:41  Frank Naumann <fnaumann@freemint.de>

	* sys/rendez.c:

	Bugfix, free semaphores can now be deleted. Releasing free semaphores
	return E_OK. Some source cleanup.
	
2003-06-14 Saturday 09:40  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, semaphores.c, semaphores.h:

	New internal semaphore primitives.
	
2003-06-14 Saturday 09:39  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/falcon.h:

	Cleanup, removed no longer used and maintained define's.
	
2003-06-13 Friday 23:26  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: xa_fork.c, xa_shel.c:

	Better SIGCHLD blocking.
	
2003-06-12 Thursday 18:31  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/rsc/xaaes.rsc:

	Some facelifting. Removed double used hotkey Q in the taskmanager.
	Note, that this rsc is 20k bigger than the old one.
	
2003-06-05 Thursday 18:32  Frank Naumann <fnaumann@freemint.de>

	* sys/k_fork.c:

	Corrected comment.
	
2003-06-04 Wednesday 14:18  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/bootup.c:

	removed two displaced characters
	
2003-06-04 Wednesday 11:57  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/bootup.c:

	Added a patch to make XaAES work with Screenblaster on Falcons
	
2003-06-03 Tuesday 10:25  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/examples/mint.cnf:

	Minor updates.
	
2003-06-03 Tuesday 10:14  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/mint-en.stg:

	Minor updates and fixes.
	
2003-05-29 Thursday 12:34  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: desktop.c, handler.c, xa_evnt.c:

	Fixed compile problems with diagnostic messages.
	
2003-05-26 Monday 20:00  Odd Skancke <ozk@atari.org>

	* sys/slb.c:

	 Now slb_open() searches for SLB in paths given by SLBPATH if not found in
	 parameter 'path', or if 'path' is NULL.
	
2003-05-26 Monday 12:16  Odd Skancke <ozk@atari.org>

	* xaaes/src/: desktop.c, handler.c, messages.c, xa_evnt.c:

	Fixed a bug in button event handling. This bug cuased CAB to lock up when it
	was sent a VA_START to open a URL while not being ontop. CAB would stay
	locked up until a click on its window happened.
	Always call desktops event handler upon right-button clicks on empty desktop
	areas, left-button clicks on emtpy areas tops desktop. Is that correct?
	
2003-05-25 Sunday 19:37  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/: bootup.c, config.c, kernel.c, messages.c, signals.c,
	taskman.c, taskman.h, xa_types.h:

	Improved readability of the code,
	removed one parameter that was given to the taskmanager (kind of useless in
	my eyes)
	
2003-05-25 Sunday 19:03  Odd Skancke <ozk@atari.org>

	* xaaes/src/: desktop.c, handler.c, kernel.c, xa_evnt.c, xa_graf.c:

	Made appl_init return AES version 4.10 instead of 4.01.
	Temporary fix for graf_xxxbox() functions - they get out of sync with moose,
	sometimes resulting in stray clicks.
	
2003-05-24 Saturday 12:05  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/: bootup.c, kernel.c, messages.c, signals.c, taskman.c,
	taskman.h, xa_types.h:

	Overworked Taskmanager. Now it is possible to halt the system or reboot.
	
2003-05-24 Saturday 12:03  Matthias Alles <alles@rhrk.uni-kl.de>

	* xaaes/src/rsc/: xaaes.h, xaaes.rsc:

	Added Halt- and Reboot-Button to Taskmanager, added a menu-entry
	
2003-05-23 Friday 19:24  Odd Skancke <ozk@atari.org>

	* xaaes/src/: draw_obj.c, handler.c, widgets.c, xa_evnt.c:

	Fixed a bug I added regarding button events, causing XaAES to choke on event
	combinations in Interface and AtarICQ.
	
2003-05-22 Thursday 08:57  Odd Skancke <ozk@atari.org>

	* xaaes/src/: desktop.c, draw_obj.c, kernel.c, xa_evnt.c,
	xa_graf.c:

	Fixed a bug causing XaAES to send desktop to top when clicking icons on it.
	
2003-05-20 Tuesday 13:17  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/whlmoose/whlmoose.c, sys/xdd/whlmoose/whlmoose.h,
	xaaes/src/bootup.c:

	Changed moose.xdd <-> XaAES interaction. xdd now have version information
	that is checked by XaAES. Configuration is done through Fcntl() and not
	this ugly read/write interaction.
	
2003-05-20 Tuesday 10:55  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/whlmoose/whlmoose.c, sys/xdd/whlmoose/whlmoose.h,
	xaaes/src/kernel.h, xaaes/src/xa_types.h:

	Removed double moose definitions, xaaes use now the the moose xdd
	definitions.
	
2003-05-20 Tuesday 09:47  Odd Skancke <ozk@atari.org>

	* xaaes/src/messages.c:

	More checks for duplicate AES messages in pending message buffer for applications
	
2003-05-20 Tuesday 09:00  Odd Skancke <ozk@atari.org>

	* xaaes/src/: kernel.c, taskman.c, widgets.c:

	Fixed some visual aspects of gadget handling
	
2003-05-19 Monday 19:34  Odd Skancke <ozk@atari.org>

	* xaaes/src/xa_evnt.c:

	Perhaps fixed first-button-click crash problem
	
2003-05-19 Monday 19:07  Odd Skancke <ozk@atari.org>

	* xaaes/src/: c_window.c, handler.c, kernel.c, widgets.c,
	xa_evnt.c, xa_types.h:

	Diverse widget handling fixes (repeated actions)
	
2003-05-19 Monday 18:32  Matthias Alles <alles@rhrk.uni-kl.de>

	* sys/xdd/Makefile:

	Added whlmoose.
	
2003-05-18 Sunday 16:24  Odd Skancke <ozk@atari.org>

	* xaaes/src/: handler.c, kernel.c, menuwidg.c, xa_menu.c:

	Fixed two instances of Psemaphore() usages across different process pids.
	
2003-05-18 Sunday 13:21  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/whlmoose/.cvsignore:

	Added .cvsignore file.
	
2003-05-18 Sunday 11:51  Odd Skancke <ozk@atari.org>

	* sys/xdd/whlmoose/whlmoose.c:

	added some comments
	
2003-05-18 Sunday 11:41  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/audio/Makefile:

	Fixed typo.
	
2003-05-18 Sunday 11:35  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/whlmoose/whlmoose.c:

	Fixed two gcc warnings.
	
2003-05-18 Sunday 11:24  Odd Skancke <ozk@atari.org>

	* xaaes/src/: handler.c, xa_evnt.c:

	Fixed a bug causing menu_popup() to fail.
	
2003-05-17 Saturday 22:15  Odd Skancke <ozk@atari.org>

	* sys/: k_exec.c, rendez.c, arch/context.S, xdd/audio/Makefile:

	Added SHAREMEM flag to fork_proc calls for Pexec(104)
	
2003-05-17 Saturday 22:12  Odd Skancke <ozk@atari.org>

	* xaaes/: README, src/c_window.c, src/desktop.c, src/handler.c,
	src/kernel.c, src/messages.c, src/widgets.c, src/xa_defs.h,
	src/xa_evnt.c, src/xa_evnt.h, src/xa_global.h, src/xa_types.h:

	 Fixed mouse-button event handling. Converted moose.xdd to gcc source and
	 moved it to freemint/sys/xdd/whlmoose/. XaAES is now incompatible with
	 all the old moose.xdd variants - USE NEW ONE!!.
	
2003-05-17 Saturday 22:07  Odd Skancke <ozk@atari.org>

	* sys/xdd/whlmoose/: BINFILES, COPYING, EXTRAFILES, MISCFILES,
	Makefile, README, SRCFILES, vex_x.s, whlmoose.c, whlmoose.h:

	[no log message]
	
2003-05-13 Tuesday 15:04  Frank Naumann <fnaumann@freemint.de>

	* tools/gluestik/transprt.h:

	Removed invalid macros, converted to unix line style.
	
2003-05-06 Tuesday 12:04  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* tools/mktbl/mktbl.c:

	Internal getdelim() bugfix:
	store the terminator character in the buffer as well.
	
2003-05-04 Sunday 22:36  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* tools/mktbl/: Makefile, mktbl.c:

	Added internal getdelim() to make the thing more portable.
	
2003-05-01 Thursday 13:14  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/dsp56k/: Makefile.lnx, dsp56k.c, dsp56k.h:

	Removed the linux source, only confusing and already out of date. Fixed
	some warnings.
	
2003-05-01 Thursday 12:33  Matthias Alles <alles@rhrk.uni-kl.de>

	* sys/xdd/dsp56k/: BINFILES, COPYING, EXTRAFILES, MISCFILES,
	Makefile, Makefile.lnx, README_MiNT, SRCFILES, atarihw.h, dsp56k.c,
	dsp56k.h, .cvsignore:

	Initial CVS import.
	
2003-05-01 Thursday 12:27  Matthias Alles <alles@rhrk.uni-kl.de>

	* sys/xdd/Makefile:

	[no log message]
	
2003-04-24 Thursday 11:45  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: handler.c, kernel.c, xa_evnt.c:

	Added some patches contributed by Henk.
	
2003-04-24 Thursday 11:44  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/bootup.c:

	Fixed compiler warnings.
	
2003-04-23 Wednesday 15:13  Arnaud BERCEGEAY <arnaud.bercegeay@free.fr>

	* xaaes/src/: bootup.c, my_aes.c, my_aes.h:

	replace my_aes functions by mt_aes functions from gemlib
	
2003-04-18 Friday 07:06  Arnaud BERCEGEAY <arnaud.bercegeay@free.fr>

	* xaaes/src/bootup.c:

	clean up (no more distinction between PUREC and GCC code for -fvideo switch)
	
2003-04-17 Thursday 20:48  Arnaud BERCEGEAY <arnaud.bercegeay@free.fr>

	* xaaes/src/bootup.c:

	ptsout[0] is work_out[45] for gemlib too, it's not specific to PUREC
	
2003-04-15 Tuesday 11:42  Jens Heitmann <jheitmann@debitel.net>

	* xaaes/src/xa_objc.c:

	
	* objc_add no longer modifies the ob_head, ob_tail pointers,
	  because this was incompatible with other AES systems.
	
2003-04-10 Thursday 09:22  Standa Opichal <opichals@seznam.cz>

	* sys/unifs.c:

	A-Z1-6 mountpoints improvements.
	
	The FS_UNMOUNT changed so that it is able to unmount the filesystem even
	if it was mounted to the A-Z1-6 drive.
	
2003-04-10 Thursday 07:50  Standa Opichal <opichals@seznam.cz>

	* sys/unifs.c:

	uni_fscntl improvements.
	
	FS_MOUNT for a A-Z1-6 drives (like mount u:\m). It updates the BIOS
	0x4c2 drive map now if the mountpoint is a single letter.
	FS_UNMOUNT does not work for these mounts. A little hack? was added to
	not to try to use the uni_remove on such mountpoints.
	
2003-04-08 Tuesday 22:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/KERNELDEFS:

	-DJAR_PRIVATE temporarily disabled (currently no time to fix it).
	
2003-03-27 Thursday 12:24  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/proc.c:

	Declare do_wakeup_things() as static, not INLINE (used twice, inlining
	only wastes space).
	
2003-03-27 Thursday 07:52  Frank Naumann <fnaumann@freemint.de>

	* tools/nfs/: SRCFILES, mntent.c, mntent.h, mount.c, nfsmnt.c,
	nfsmnt.h:

	Updated for new mintlib.
	
2003-03-26 Wednesday 23:35  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/mprot030.c:

	Updated for struct cookie too.
	
2003-03-26 Wednesday 23:19  Frank Naumann <fnaumann@freemint.de>

	* sys/: bios.c, cookie.c:

	Corrected some compiler warnings.
	
2003-03-26 Wednesday 23:18  Frank Naumann <fnaumann@freemint.de>

	* sys/proc.c:

	Always assign cookie jar pointer, the compare only cost cpu.
	
2003-03-26 Wednesday 22:55  Frank Naumann <fnaumann@freemint.de>

	* sys/: bios.c, cookie.c, cookie.h, k_fork.c, memory.c, proc.c,
	proc_help.c, slb.c, ssystem.c, arch/init_mach.c, arch/sig_mach.c,
	arch/user_things.h, mint/proc.h:

	Removed USER_THINGS typedef, use struct instead and removed the ugly casts.
	
2003-03-26 Wednesday 21:37  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cnf.c, global.c, global.h, info.c, init.c, keyboard.c,
	unicode.c:

	Save the complete absolute path in sysdir[], because pathnames like
	'\multitos\keyboard.tbl' displayed at bootup seem to be confusing for
	some users (who think it means 'u:\multitos...'). Also, use backslashes
	in it, when MiNT is already up.
	
2003-03-26 Wednesday 21:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/mint-en.stg:

	Update for features of version 1.16.0.
	
2003-03-26 Wednesday 17:35  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: xa_appl.c, xa_evnt.c:

	The pmsg() declaration added in IFDIAG()
	
2003-03-26 Wednesday 12:19  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/crtinit.c:

	_setstack changed to cdecl
	
2003-03-26 Wednesday 12:16  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: desktop.c, menuwidg.c, config.c:

	#include "libkern.h" -> #include "global.h" for compatibility reasons.
	The global.h should be the only file including libkern.h to be able to
	compile it all not using the FreeMiNT libkern.
	
2003-03-26 Wednesday 10:44  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/handler.c:

	ExchangeVec typedef fixed
	
2003-03-26 Wednesday 10:35  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/messages.c:

	#include <mintbind.h> -> #include <mint/mintbind.h>
	
2003-03-26 Wednesday 10:34  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: bootup.c, vdi_defs.h:

	Enabled mouse wheel initialization. Disabled until now due to missing
	gemlib VDI binding.
	
2003-03-26 Wednesday 10:14  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/kernel.c:

	Changed back moose_data to local struct, was static for testing.
	
2003-03-26 Wednesday 10:12  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: SRCFILES, get_parent.c, get_parent.h, my_aes.c,
	nkcc.c, nkcc_gem_to_norm.c:

	Long filenames removal:
	   get_parent() moved to the my_aes.c
	   nkcc_gem_to_norm() moved to nkcc.c
	
2003-03-26 Wednesday 10:08  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/objects.h:

	Removing the cdecl directive from get_parent()
	
2003-03-26 Wednesday 09:59  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: bootup.c, c_window.c, kernel.c, xa_shel.c,
	xa_types.h:

	The C++ comments // fixed to C ones /* */ or #if XXX #endif.
	
2003-03-26 Wednesday 01:25  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h:

	Uh, don't use get_cookie() inside init_keybd(), the cookie jar is not
	yet initialized that time!
	Also added some other preliminary code (disabled for now).
	
2003-03-26 Wednesday 01:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, init.c:

	Added yet one message to print at startup (TOS kbd/lang preference).
	
2003-03-26 Wednesday 01:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/unicode.c:

	Fixed minor bug (supervacuous argument in boot_printf).
	
2003-03-26 Wednesday 01:20  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	_mint_5ms divided into two copies, one for 030 and other for 68000.
	This will facilitate code updates by reducing the number of #ifdef
	switches inside the routine.
	
2003-03-26 Wednesday 01:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/startup.S:

	Initial stack size increased to 8k.
	
2003-03-26 Wednesday 01:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/user_things.h:

	Updated a comment.
	
2003-03-25 Tuesday 01:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/k_kthread.c:

	Oops, SSP initialization not really necessary here, fork_proc1()
	does that. Reverted to the original, modification in init.c is enough.
	
2003-03-24 Monday 23:56  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, k_kthread.c:

	Initialize the SSP (apart the USP) while creating a thread.
	This seems to cure the "mint.cnf-exec bug".
	
2003-03-24 Monday 13:13  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/ssystem.c:

	Don't update the master cookie jar more than once (in the "cookie
	forwarding" code).
	
2003-03-22 Saturday 00:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h:

	Updated compile time switches.
	
2003-03-22 Saturday 00:41  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cookie.h, ssystem.c:

	Also forward the Draconis cookie, like STiK's.
	
2003-03-22 Saturday 00:39  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* tools/mgw/main.c:

	Use Ssystem() to delete the ICIP cookie.
	Bumped version number to 0.32b.
	
2003-03-21 Friday 22:40  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/ssystem.c:

	Correction in the cookie forwarding code.
	
2003-03-21 Friday 22:39  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	When the kernel jar is not accessible by applications, it
	may as well reside in kernel's BSS segment.
	
2003-03-21 Friday 22:38  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/info.c:

	Update.
	
2003-03-21 Friday 22:36  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Same re-correction again.
	
2003-03-21 Friday 11:52  Frank Naumann <fnaumann@freemint.de>

	* Makefile:

	Added new folder xaaes to the subfolder list.
	
2003-03-21 Friday 10:46  Frank Naumann <fnaumann@freemint.de>

	* sys/: info.c, keyboard.c:

	Added again missing #ifdef VERBOSE_BOOT removed from Draco.
	
2003-03-21 Friday 00:51  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cookie.h, ssystem.c:

	STiK cookie forwarding bugfixed.
	Added #define COOKIE_STiK to cookie.h
	
2003-03-20 Thursday 22:25  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* tools/gluestik/main.c:

	Use Ssystem(S_DELCOOKIE) for removing the 'STiK' cookie.
	
2003-03-20 Thursday 21:30  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cookie.c, cookie.h, kernget.c, keyboard.c, ssystem.c:

	Ssystem(S_SETCOOKIE, 'STiK', ...) and Ssystem(S_DELCOOKIE, 'STiK', ...)
	when run by superuser: forward the cookie to all the running processes.
	This should for now make gluestik work again.
	
2003-03-20 Thursday 21:25  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/examples/mint.cnf:

	Fixed wrong comment about SLICES. There was 'the higher the SLICES value',
	there should be 'the lower the SLICES value'.
	
2003-03-20 Thursday 21:24  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/user_things.S:

	Added a comment.
	
2003-03-20 Thursday 15:22  Frank Naumann <fnaumann@freemint.de>

	* tools/mktbl/: .cvsignore, Makefile, mktbl.c:

	Use the right compiler, some cleanup.
	
2003-03-20 Thursday 13:20  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/user_things.h:

	Updated a comment.
	
2003-03-19 Wednesday 09:25  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: SRCFILES, bootup.c, bootup.h, crtinit.c, setstack.S,
	startup.S:

	Added environment handling (mainly using the mintlib argument parser).
	
2003-03-18 Tuesday 22:39  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: draw_obj.c, xa_appl.c, xa_objc.c:

	Some cleanup.
	
2003-03-18 Tuesday 10:12  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: bootup.c, bootup.h, xa_appl.c, xa_form.c:

	Moved handle_XaAES_msgs to xa_appl.c, private now.
	
2003-03-18 Tuesday 09:47  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src/: aes_defs.h, bootup.c, c_window.c, config.c, ipff.c,
	widgets.c, xa_clnt.c, xa_clnt.h, xa_defs.h, xa_evnt.c, xa_fsel.c,
	xa_wind.c:

	Reworked get_procname and fixed a very bad bug of returning pointer
	to a local variable. Also disabled SEPERATE_SCL, XaAES now
	evaluate xa_exec.scl correctly. Some other cleanup too.
	
2003-03-18 Tuesday 01:01  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/: xa_clnt.c, xa_menu.c:

	#include "util.h" was missing for strnupr().
	
2003-03-18 Tuesday 01:00  Standa Opichal <opichals@seznam.cz>

	* xaaes/src/ipff.c:

	char -> uchar conversion
	
2003-03-17 Monday 21:14  Frank Naumann <fnaumann@freemint.de>

	* doc/xaaes/: xaaes.hyp, xaaes.ref, xaaes.stg:

	Added XaAES extension docu from Henk.
	
2003-03-16 Sunday 21:26  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: KERNELDEFS, bios.c, cookie.c, cookie.h, init.c, proc.c,
	proc_help.c, scsidrv.c, ssystem.c, xhdi.c, arch/user_things.S,
	arch/user_things.h:

	The Cookie Jar is private now for each application.
	
2003-03-16 Sunday 21:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/programmer/cookiejar.txt:

	Added small info on the Cookie Jar.
	
2003-03-16 Sunday 21:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/: mint-en.hyp, mint-en.ref, mint-en.stg:

	Update.
	
2003-03-16 Sunday 21:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/unicode.c:

	Corrected the #ifdef VERBOSE_BOOT stuff.
	
2003-03-16 Sunday 21:12  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, keyboard.c:

	Corrected the VERBOSE_BOOT stuff.
	
2003-03-16 Sunday 19:32  Frank Naumann <fnaumann@freemint.de>

	* sys/keyboard.c:

	Added missing #ifdef VERBOSE_BOOT.
	
2003-03-15 Saturday 21:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, init.c, keyboard.c, memory.c, unicode.c:

	Updates in verbosity stuff, step by step init made possible.
	
2003-03-15 Saturday 21:13  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cookie.c, proc_help.c, arch/user_things.S,
	arch/user_things.h, arch/xhdi_emu.S:

	Some preliminary code for moving more stuff to user space.
	
2003-03-15 Saturday 16:38  Frank Naumann <fnaumann@freemint.de>

	* xaaes/: BINFILES, COPYING, ChangeLog, ChangeLog.Craig,
	ChangeLog.Henk, EXTRAFILES, MISCFILES, Makefile, README, SRCFILES,
	TODO, src/.cvsignore, src/BINFILES, src/CONFIGVARS,
	src/DEPENDENCIES, src/EXTRAFILES, src/MISCFILES, src/Makefile,
	src/PHONY, src/RULES, src/SRCFILES, src/about.c, src/about.h,
	src/accstart.h, src/accstart.s, src/aes_defs.h, src/ahcm.c,
	src/ahcm.h, src/app_man.c, src/app_man.h, src/bootup.c,
	src/bootup.h, src/c_window.c, src/c_window.h, src/config.c,
	src/config.h, src/debug.c, src/debug.h, src/desktop.c,
	src/desktop.h, src/display.c, src/display.h, src/draw_obj.c,
	src/get_parent.c, src/get_parent.h, src/global.h, src/handler.c,
	src/handler.h, src/ipff.c, src/ipff.h, src/kernel.c, src/kernel.h,
	src/libkern.h, src/matchpat.c, src/matchpat.h, src/menuwidg.c,
	src/menuwidg.h, src/messages.c, src/messages.h, src/my_aes.c,
	src/my_aes.h, src/nkcc-gc.s, src/nkcc-pc.s, src/nkcc.c, src/nkcc.h,
	src/nkcc_gem_to_norm.c, src/objects.h, src/op_names.h,
	src/p_handlr.s, src/rectlist.c, src/rectlist.h, src/scrlobjc.c,
	src/scrlobjc.h, src/signals.c, src/signals.h, src/startup.S,
	src/taskman.c, src/taskman.h, src/trnfm.c, src/trnfm.h, src/util.c,
	src/util.h, src/vaproto.h, src/vdi_defs.h, src/version.h,
	src/widgets.c, src/widgets.h, src/xa_aes.h, src/xa_appl.c,
	src/xa_clnt.c, src/xa_clnt.h, src/xa_codes.h, src/xa_defs.h,
	src/xa_evnt.c, src/xa_evnt.h, src/xa_fork.c, src/xa_form.c,
	src/xa_form.h, src/xa_fsel.c, src/xa_fsel.h, src/xa_global.h,
	src/xa_graf.c, src/xa_graf.h, src/xa_menu.c, src/xa_objc.c,
	src/xa_rsrc.c, src/xa_rsrc.h, src/xa_scrp.c, src/xa_shel.c,
	src/xa_shel.h, src/xa_types.h, src/xa_wdial.c, src/xa_wind.c,
	src/xalloc.c, src/xalloc.h, src/moose/README, src/moose/vmoose.prj,
	src/moose/whlmoose.S, src/moose/whlmoose.prj, src/rsc/xaaes.h,
	src/rsc/xaaes.hrd, src/rsc/xaaes.rsc, src/rsc/xaaeswdg.h,
	src/rsc/xaaeswdg.hrd, src/rsc/xaaeswdg.rsc, src/widgets/adam.hrd,
	src/widgets/adam.rsc, src/widgets/baroqwdg.h,
	src/widgets/baroqwdg.hrd, src/widgets/baroqwdg.rsc,
	src/widgets/cbox1214.h, src/widgets/cbox1214.hrd,
	src/widgets/cbox1214.rsc, src/widgets/cboxwdg.h,
	src/widgets/cboxwdg.hrd, src/widgets/cboxwdg.rsc,
	src/widgets/cboxwidg.h, src/widgets/cboxwidg.hrd,
	src/widgets/cboxwidg.rsc, src/widgets/gemjwdg.rsc,
	src/widgets/gilwidg.hrd, src/widgets/gilwidg.rsc,
	src/widgets/homwdg.rsc, src/widgets/ligt_wdg.rsc,
	src/widgets/magicwdg.rsc, src/widgets/mbox1214.h,
	src/widgets/mbox1214.hrd, src/widgets/mbox1214.rsc,
	src/widgets/mboxwdg.h, src/widgets/mboxwdg.hrd,
	src/widgets/mboxwdg.rsc, src/widgets/mboxwidg.h,
	src/widgets/mboxwidg.hrd, src/widgets/mboxwidg.rsc,
	src/widgets/monowidg.h, src/widgets/monowidg.hrd,
	src/widgets/monowidg.rsc, src/widgets/nine-wdg.rsc,
	src/widgets/nine_wdg.rsc, src/widgets/pas_wdg.rsc,
	src/widgets/ronb_wdg.rsc, src/widgets/rond_wdg.rsc,
	src/widgets/rondswdg.rsc, src/widgets/styl_wdg.rsc,
	src/widgets/w98_wdg.rsc, src/widgets/win_wdg.rsc,
	src/widgets/xaaeswdg.h, src/widgets/xaaeswdg.hrd,
	src/widgets/xaaeswdg.rsc:

	Initial import of the gcc modified XaAES 0.963 source. Version
	bumped to 0.970.
	
2003-03-15 Saturday 16:16  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/mprot040.c:

	Ignore proc structs with invalid page tables instead halting the kernel.
	
2003-03-15 Saturday 16:16  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Added some missing #ifdef VERBOSE_BOOT.
	
2003-03-13 Thursday 22:14  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dosmem.c:

	Argh, forgot to commit this (refers to the m_addalt() update).
	
2003-03-13 Thursday 21:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, init.c:

	Added some more 'verbose' messages.
	Added the 4 s. delay at startup for easier entering bootmenu.
	Started adding the step-by-step initializing mode.
	
2003-03-13 Thursday 21:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: detect.S, detect.h:

	sys_m_addalt() will now check whether the memory to be added
	does really exist.
	
2003-03-13 Thursday 21:00  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/cpu.S:

	Minor size optimizations.
	
2003-03-13 Thursday 20:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/startup.S:

	Add 256 bytes to the initial stack size.
	
2003-03-12 Wednesday 10:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Added two missing #ifdef VERBOSE_BOOT.
	
2003-03-11 Tuesday 22:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bios.c, bios.h, biosfs.c, init.c, k_exit.c, keyboard.c,
	keyboard.h, syscall_vectors.c, time.c, time.h, xbios.c, xbios.h:

	Rename XBIOS functions to the sys_b_* convention.
	
2003-03-11 Tuesday 22:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, init.c:

	Make VERBOSE_BOOT a bit more verbose.
	
2003-03-11 Tuesday 22:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Updated a comment.
	
2003-03-11 Tuesday 22:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	Minor optimizations.
	
2003-03-11 Tuesday 22:14  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Use the newly defined TM_* indices to address the TIMEOUT structure.
	
2003-03-10 Monday 13:27  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	The time slice value set by mint.cnf may not be 0.
	
2003-03-10 Monday 13:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf.c:

	Fixed a typo.
	
2003-03-09 Sunday 23:28  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bios.c, cnf.c, console.c, crypt_IO.c, crypt_IO.h, debug.c,
	dos.c, arch/mmu030.S, dosdir.c, dosfile.c, dosfile.h, dosmem.c,
	dosmem.h, dossig.c, dossig.h, filesys.c, filesys.h, ipc_unix.c,
	ipc_unix_cache.c, keyboard.c, kmemory.c, memory.c, memory.h, mis.c,
	proc.c, ptrace.c, ptrace.h, random.c, rendez.c, rendez.h, signal.c,
	slb.c, slb.h, ssystem.c, ssystem.h, syscall_vectors.c, time.c,
	time.h, update.c:

	All GEMDOS functions renamed to be compliant with the sys_* convention
	of the syscalls.c module.
	
2003-03-09 Sunday 23:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/magic/genmagic.c:

	Updated for indices in struct timeout.
	
2003-03-09 Sunday 12:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, arch/intr.S, arch/kernel.S, arch/user_things.S,
	arch/user_things.h:

	Cleanup. Removed all references to the TOS basepage (tosbp no
	longer needed).
	
2003-03-09 Sunday 09:42  Adam Klobukowski <atari@gabo.pl>

	* tools/fsetter/fsetter.c:

	Little include fix
	
2003-03-08 Saturday 23:53  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/syscall.S:

	Updated comments, sig_return and pc_valid_return aint here.
	
2003-03-08 Saturday 23:41  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf.c:

	Internal strchr() removed, conflicting with the new one inside
	libkern.
	
2003-03-08 Saturday 23:32  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: k_exec.c, memory.c, proc.c, proc_help.c, slb.c,
	arch/sig_mach.c, arch/user_things.S, arch/user_things.h:

	The trampoline enabled. Now the code necessary to return from signal
	handler and to execute SLB functions is provided separately for each
	process and resides in its private memspace.
	
2003-03-08 Saturday 23:27  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Changed sizeof(long) to sizeof(void *) to get size of a pointer.
	
2003-03-08 Saturday 20:58  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/: libkern.h, strchr.c, SRCFILES, libkern.h:

	Added strchr() function.
	
2003-03-07 Friday 01:20  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cnf.c, crypt_IO.c, dosdir.c, dosdir.h, init.c, ipc_unix.c,
	ipc_unix_cache.c, k_exec.c, mis.c, module.c, syscall_vectors.c,
	cnf.c, crypt_IO.c, dosdir.c, dosdir.h, init.c, ipc_unix.c,
	ipc_unix_cache.c, k_exec.c, mis.c, module.c, syscall_vectors.c:

	Functions of dosdir.c renamed.
	
2003-03-06 Thursday 15:45  Frank Naumann <fnaumann@freemint.de>

	* tools/: IO/xhdi.c, gluestik/main.c, minix/fsck/fsck.c,
	net-tools/tests/speed.c, net-tools/tests/speed2.c:

	Updated for new MiNTLib-current.
	
2003-03-06 Thursday 00:13  Frank Naumann <fnaumann@freemint.de>

	* sys/: bios.c, dos.c, dosmem.c, k_exec.c, k_fork.c, kernget.c,
	memory.c, proc.c, proc_help.c, procfs.c, slb.c, arch/mprot.h,
	arch/mprot030.c, arch/mprot040.c, mint/proc.h:

	Setup memory management for user space trampoline code.
	
2003-03-05 Wednesday 23:59  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/user_things.h:

	Draco, in C are arrays and pointers NOT the same :-)
	
2003-03-05 Wednesday 21:14  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/syscalls.master:

	Updated for the removal of the Psigintr() call.
	
2003-03-05 Wednesday 21:11  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bios.c, bios.h, block_IO.c, dos.c, dos.h, dosdir.c,
	filesys.c, init.c, ipc_socketdev.c, keyboard.c, mis.c, ramfs.c,
	slb.c, syscall_vectors.c, unifs.c, arch/syscall.S:

	User functions from bios.c and dos.c renamed to be compliant
	with the new syscalls.c module.
	
2003-03-05 Wednesday 21:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: console.c, console.h, init.c, keyboard.c, mis.c,
	syscall_vectors.c, unicode.c:

	c_* functions renamed to sys_c_* to be compliant with the new
	automatically generated syscalls.c module.
	
2003-03-03 Monday 01:03  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, mis.c:

	Added cp and mv, bugfixed ls. Also some other minor changes.
	
2003-02-28 Friday 09:18  Frank Naumann <fnaumann@freemint.de>

	* sys/k_exec.c:

	Restore signal handlers if pwaitpid in mkwait handling fail too.
	
2003-02-28 Friday 00:35  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: memory.c, arch/user_things.S, arch/user_things.h:

	terminateme() moved to user_things.S.
	Minor optimizations in the latter.
	
2003-02-28 Friday 00:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Minor improvements.
	
2003-02-26 Wednesday 22:43  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	get_arg() should not be inlined, it is long and used twice.
	
2003-02-26 Wednesday 22:42  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: SRCFILES, sig_mach.c, syscall.h:

	Updated for the new user_things module.
	
2003-02-26 Wednesday 22:41  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: memory.c, slb.c:

	Updated
	
2003-02-26 Wednesday 22:40  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: sigreturn.S, slb_util.S, slb_util.h, user_things.S,
	user_things.h:

	All trampoline code moved to a single module for simplicity.
	
2003-02-25 Tuesday 23:26  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, mis.c:

	Output of commands and programs may be now redirected
	to a file (via > directive).
	
2003-02-25 Tuesday 23:24  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/: Britain/british.tbl, France/french.tbl,
	Germany/german.tbl, Italy/italian.tbl, Spain/spanish.tbl,
	Switzerland/swiss_french.tbl, Switzerland/swiss_german.tbl:

	Update and bugfixes.
	
2003-02-25 Tuesday 23:20  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/: Poland/src/british-pl.src, Poland/src/french-pl.src,
	Poland/src/german-pl.src, Poland/src/italian-pl.src,
	Poland/src/spanish-pl.src, Poland/src/swiss_french-pl.src,
	Poland/src/swiss_german-pl.src, Poland/src/usa-pl.src,
	Britain/british.src, France/french.src, Germany/german.src,
	Italy/italian.src, Spain/spanish.src, Switzerland/swiss_french.src,
	Switzerland/swiss_german.src:

	Moved to freemint/tools/mktbl/keyboards/
	
2003-02-25 Tuesday 23:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/Poland/: british-pl.tbl, french-pl.tbl, italian-pl.tbl,
	spanish-pl.tbl, swiss_french-pl.tbl, swiss_german-pl.tbl,
	usa-pl.tbl:

	Update & bugfixes.
	
2003-02-25 Tuesday 23:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/: ReadMe, Poland/!Czytaj:

	Update.
	
2003-02-25 Tuesday 23:13  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* tools/mktbl/: BINFILES, COPYING, EXTRAFILES, MISCFILES, Makefile,
	SRCFILES, mktbl.c, keyboards/british-pl.src, keyboards/british.src,
	keyboards/french-pl.src, keyboards/french.src,
	keyboards/german-pl.src, keyboards/german.src,
	keyboards/italian-pl.src, keyboards/italian.src,
	keyboards/spanish-pl.src, keyboards/spanish.src,
	keyboards/swiss_french-pl.src, keyboards/swiss_french.src,
	keyboards/swiss_german-pl.src, keyboards/swiss_german.src,
	keyboards/usa-pl.src:

	Added a tool to convert keyboard translation tables from src to
	tbl format.
	
2003-02-25 Tuesday 23:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/FAQ, tools/Makefile:

	Update.
	
2003-02-25 Tuesday 23:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/atari/: ARGV-blank.txt, ARGV.txt, f_lock.txt, tos4rn.stg:

	Added documents about ARGV, file locking, also the TOS 4.0 release
	notes in stg form.
	
2003-02-24 Monday 17:16  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* RULES:

	Finally it turned over, that the `distclean' target is supposed to
	work the way as the newly defined `superclean' does. So the latter
	has been removed and the former improved.
	
2003-02-24 Monday 03:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dos.c:

	In shutdown() reverted to the original code because of problems at
	shutdown time. I must admit that putting everything in one loop
	wasn't a good idea.
	
2003-02-24 Monday 02:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* RULES, sys/sockets/Makefile, sys/sockets/xif/Makefile,
	sys/xdd/audio/Makefile, sys/xdd/flop-raw/Makefile,
	sys/xdd/mfp/Makefile, sys/xdd/scc/Makefile,
	sys/xdd/skeleton/Makefile, sys/xdd/uart/Makefile,
	sys/xdd/xconout2/Makefile, sys/xfs/ext2fs/Makefile,
	sys/xfs/minixfs/Makefile, sys/xfs/nfs/Makefile,
	sys/xfs/skeleton/Makefile:

	Added new target `superclean', which, contrary to the `distclean', doesn't
	leave any binaries after the cleanup is done.
	
2003-02-24 Monday 02:43  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* tools/Makefile:

	sysctl directory was missing; added.
	
2003-02-24 Monday 01:16  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: arch/vm5.S, misc/expired/vm5.S:

	Moved to expired folder (the rest of the vm code was thrown off the
	kernel years ago, so it wouldn't work anyways).
	
2003-02-24 Monday 00:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dos.c:

	Simplified the conditionals inside shutdown() - the `flag' variable
	doesn't seem necessary.
	
2003-02-24 Monday 00:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/slb_util.S:

	Released the environment variable area attached to the SLB
	(env. variables are pretty useless for an SLB since SLBs
	don't work as processes on its own).
	Update for new indices generated by genmagic.
	
2003-02-24 Monday 00:55  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/magic/: genmagic.c, genmagic.pl:

	Updated for basepage offsets.
	
2003-02-23 Sunday 22:41  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: slb.c, arch/slb_util.S, arch/slb_util.h:

	slb_init_and_exit() converted from C to asm and moved from slb.c
	to slb_util.S. This will allow easy relocation to the program
	memory space in the future.
	
2003-02-23 Sunday 22:38  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf.c:

	The quiet mode wasn't really quiet for the include directive.
	
2003-02-23 Sunday 17:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	When no `path' argument is given to Slbpath(), the library is searched
	in all the directories indicated in the SLBPATH env. variable.
	
2003-02-23 Sunday 17:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/slb_util.S:

	Removed a call to Psigsetmask(), not used anymore.
	
2003-02-23 Sunday 17:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/proc.c:

	Removed an obsolete dependence on util.h.
	
2003-02-23 Sunday 12:49  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Reactivated CPU stop in idle thread. Commented out 060 low power stop,
	this don't work at least on the Milan060.
	
2003-02-23 Sunday 11:42  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Start init_prg in background, seems to work fine with the new
	context setup.
	
2003-02-23 Sunday 10:27  Frank Naumann <fnaumann@freemint.de>

	* sys/: init.c, mis.h:

	Init now setup a real context for the mint idle thread. Changed all
	curproc to rootproc references. Deactivated idle CPU stop for now
	(need more testing).
	
2003-02-23 Sunday 10:24  Frank Naumann <fnaumann@freemint.de>

	* sys/dos.c:

	Bugfixed race condition in shutdown(); p was possible invalidated before
	next pointer was read. This fixes some shutdown problems.
	
2003-02-23 Sunday 10:23  Frank Naumann <fnaumann@freemint.de>

	* sys/proc.c:

	Initialize fname and cmdlin of the rootproc too.
	
2003-02-23 Sunday 10:22  Frank Naumann <fnaumann@freemint.de>

	* sys/: util.c, util.h:

	Updated set_pid_1(), is only a hint for sure.
	
2003-02-23 Sunday 08:26  Frank Naumann <fnaumann@freemint.de>

	* sys/: mis.c, k_exec.c, k_exit.c, update.c:

	Cleanup.
	
2003-02-22 Saturday 21:57  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Static buffers changed to dynamic (m_xalloc()/m_free()).
	Bugfixes: shell_delenv(), sh_cd().
	crunch() written anew.
	Other minor updates.
	
2003-02-22 Saturday 21:55  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Minor update.
	
2003-02-22 Saturday 21:55  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf.c:

	Removed unused command SINGLEMODE.
	
2003-02-22 Saturday 21:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cmdline.c, k_fork.c, kernget.c, unifs.c:

	Minor changes related to size optimizations.
	
2003-02-22 Saturday 02:47  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Fixed the 'Oops no command line' messages, which occurred once
	again. Also general cleanup of the code.
	
2003-02-22 Saturday 02:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/k_fork.c:

	Size optimization (on 68020+).
	
2003-02-22 Saturday 02:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dos.c:

	Minor changes in shutdown(), mainly size optimization.
	
2003-02-22 Saturday 01:07  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Fixed most problems with the `thread' code, now activated.
	Also fix in internal ls: don't display directory entries on
	which stat() fails. This is /a, when there is no floppy
	inserted.
	
2003-02-22 Saturday 01:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	Removed Psigsetmask(-1) from the slb_init_and_exit(), no longer
	necessary. Also other minor updates.
	
2003-02-21 Friday 22:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/signal.c:

	Modify the post_sig() to check p->p_flag before posting a signal.
	
2003-02-21 Friday 22:51  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/slb.c:

	Set and reset slb->slb_proc->p_flag appropriately to protect
	SLBs from being killed by p_kill().
	
2003-02-21 Friday 22:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: update.c, update.h:

	The variable `update_pid' removed, set the p->p_flag instead.
	
2003-02-21 Friday 22:48  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/proc.h:

	Defined usage of proc->p_flag. Bit 0, when set, means that the process
	cannot be killed by SIGKILL. These can only be system processes, e.g.
	the update daemon. Bit 1 means that the process is an SLB and cannot
	be sent signals at all.
	
2003-02-21 Friday 22:45  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, mis.c:

	Make the internal ls use options -l and -a.
	
2003-02-20 Thursday 23:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/misc/rejected/: fasttext.c, fasttext.h:

	Removed.
	
2003-02-20 Thursday 12:55  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* BUGS:

	Actualized.
	
2003-02-20 Thursday 12:53  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/misc/expired/psigintr.c:

	Moved from doc/examples.
	
2003-02-20 Thursday 12:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/programmer/examples/psigintr.c:

	Moved to the /sys/misc/expired folder (Psigintr() call is disabled).
	
2003-02-20 Thursday 12:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/misc/expired/: fasttext.c, fasttext.h:

	Oops, this should be the 'expired' folder. Moved again (what a mess).
	
2003-02-20 Thursday 12:47  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/misc/rejected/: fasttext.c, fasttext.h:

	Moved from the main directory (forgot to do that at once).
	
2003-02-20 Thursday 12:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: fasttext.c, fasttext.h:

	Moved to misc/rejected
	
2003-02-20 Thursday 12:44  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dosmem.c:

	Added a comment in m_shrink().
	
2003-02-20 Thursday 12:29  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/xdd/: mfp/mfp.c, scc/scc.c, skeleton/dummy.c, uart/pc16550.c:

	Fixed a minor typo.
	
2003-02-20 Thursday 12:27  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/xdd/audio/audiodev.c:

	Fixed minor typo.
	
2003-02-20 Thursday 12:25  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/xfs/: ext2fs/main.c, minixfs/main.c, nfs/main.c,
	skeleton/dummy.c:

	Corrected some minor typos.
	
2003-02-18 Tuesday 21:35  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Experimentally introduced code to start the shell as kernel thread.
	Disabled for now.
	
2003-02-18 Tuesday 21:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, keyboard.c, unicode.c:

	Some strcpy()/strcat() pairs replaced by ksprintf() (minor changes).
	
2003-02-18 Tuesday 10:56  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, init.c:

	Minor updates (messages etc.)
	
2003-02-18 Tuesday 10:53  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: mis.c, slb.c, arch/slb_util.S:

	Adapt to use _mint_getenv().
	
2003-02-18 Tuesday 10:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/libkern/: SRCFILES, getenv.c, libkern.h:

	Added _mint_getenv().
	
2003-02-18 Tuesday 10:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: mis.c, info.c, info.h:

	Arguments with blank spaces inside can now be passed to
	programs started by shell; also the ARGV=NULL: strings
	are now made when necessary (NULL arguments).
	
	Also added internal rm, messages moved to info.c
	
2003-02-18 Tuesday 10:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dosmem.c:

	Releasing own basepage should not be legal (this time Mshrink()).
	
2003-02-14 Friday 15:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, mis.c:

	Bugfix in dos2unix(). Updates and optimizations.
	
2003-02-01 Saturday 19:04  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Updates.
	
2003-02-01 Saturday 19:04  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cmdline.c, kernget.c:

	Minor size optimizations (for 68020+).
	
2003-01-29 Wednesday 13:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Minor updates here and there.
	
2003-01-29 Wednesday 00:42  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Added # include "mint/proc.h" needed to compile a debug kernel.
	
2003-01-28 Tuesday 22:43  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, mis.c:

	Updated routines for environment manipulation. Added commands
	'export' and 'setenv', removed 'env'. Other minor changes.
	
2003-01-27 Monday 14:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bios.c, init.c, k_exit.c, syscall_vectors.c, arch/intr.S,
	arch/intr.h, arch/sig_mach.c, arch/sig_mach.h:

	Deactivated (secluded) the Psigintr() system call.
	
2003-01-27 Monday 00:55  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Added forgotten VT-52 commands at startup: cursor enable and wordwrap
	enable.
	
2003-01-26 Sunday 22:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Various minor changes all over the place.
	
2003-01-26 Sunday 01:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Internal `ls' command now displays the contents of softlinks.
	
2003-01-24 Friday 00:12  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Updates and emendations.
	
2003-01-24 Friday 00:10  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/SRCFILES:

	The vm5.S module will not be compiled now.
	
2003-01-24 Friday 00:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: KERNELDEFS, SRCFILES, biosfs.c, cnf.c, dosmem.c, info.c,
	info.h, init.c, k_exec.c, memory.c, memory.h, proc.c,
	mint/config.h:

	Removed #defines MULTITOS i FASTTEXT. The #ifdef MULTITOS code is now always compiled, #ifdef FASTTEXT never (this
	always was exclusive stuff).
	
2003-01-24 Friday 00:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: KERNELDEFS, init.c, arch/syscall.S:

	Removed the compiler #define TRAPS_PRIVATE; traps are always private now.
	
2003-01-23 Thursday 23:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: KERNELDEFS, init.c, mis.c:

	Added new #define BUILTIN_SHELL; you can exclude the internal shell by
	undefining that.
	
2003-01-23 Thursday 13:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Updates and improvements in the code existing so far.
	
2003-01-23 Thursday 13:57  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/libkern/: libkern.h, unix2xbios.c:

	Added function unix2calendar(); unix2xbios() is now only a wrapper around
	that.
	
2003-01-21 Tuesday 23:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	Updates and improvements all around, added simple equivalents ls, chown,
	chgrp, chmod, use of them made switchable etc.
	
2003-01-21 Tuesday 23:45  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/stat.h:

	Added macro S_ISMEM().
	
2003-01-20 Monday 17:53  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mis.c:

	No more 'no command line' messages, when executing programs.
	
2003-01-20 Monday 16:09  Frank Naumann <fnaumann@freemint.de>

	* sys/dosmem.c:

	Corrected error code.
	
2003-01-20 Monday 11:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: SRCFILES, init.c, mis.c, mis.h:

	Added the internal shell (very early stage now and probably buggy yet).
	
2003-01-20 Monday 11:47  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dosmem.c:

	Prevent programs from releasing own basepage with Mfree().
	
2003-01-20 Monday 11:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Removed the rest of the code that started the ROM GEM.
	
2003-01-17 Friday 14:06  Frank Naumann <fnaumann@freemint.de>

	* sys/: sockets/main.c, xdd/flop-raw/flop_raw.c,
	xdd/xconout2/xconout2.c, xfs/ext2fs/main.c, xfs/nfs/main.c,
	xfs/skeleton/dummy.c:

	Corrected typo (detected from Peter Slegg, thanks!).
	
2003-01-14 Tuesday 00:55  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Minor updates and corrections.
	
2003-01-13 Monday 23:43  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: global.c, global.h, init.c, init.h, keyboard.c, module.c,
	unicode.c, info.c, info.h:

	More changes at one this time. User visible ones are:
	
	- MiNT now MUST run from autofolder;
	- when no init program is specified, ROM GEM wouldn't be started anymore;
	- instead, MiNT now tries to execute a file called `shell.tos' located
	in the system directory on the boot drive (i.e. c:\multitos\ for example);
	- when this fails, system halts. In the future a sort of internal minimum
	shell shall be executed instead (of halting).
	
	Also some old stuff has been removed from the init.c, i.e. obsolete code
	that was ifdef'ed out and only polluted the source. Despite that
	declarations of sysdir and sysdrv have been moved to global.c (hence
	slight changes in most other modules, like unicode.c etc.).
	
2003-01-13 Monday 23:32  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/debug.c:

	Also stop the CPU while waiting for keypress after the system has been
	halted (e.g. after Shutdown(0)).
	
2003-01-13 Monday 17:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h, init.c, mint/arch/asm_spl.h:

	A little restructurization at the end of init() in init.c. The decision
	whether the kernel has to halt there or reboot should be really working
	now.
	
	Also changes in the `idling' code, to use the lpstop instruction when
	available (68060).
	
2003-01-13 Monday 17:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Minor typo.
	
2003-01-12 Sunday 22:00  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/arch/asm_spl.h:

	Misleading comment corrected.
	
2003-01-12 Sunday 19:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, mint/arch/asm_spl.h:

	Experimental implementation of CPU idling. When there is no process to
	run, the CPU gets stopped instead of looping. This should reduce
	power consumption on laptops and host CPU speed consumption on
	emulators (esp. Aranym, the idea came from the aranym-user list).
	
2003-01-12 Sunday 19:31  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Adjustment of the IPL, at which the flopvbl() is called.
	Don't really know, whether IPL 6 or IPL 3 is better.
	
2003-01-12 Sunday 01:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Added a routine periodically (ca. 6 times per second) calling flopvbl().
	
2003-01-12 Sunday 01:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/floppy.c:

	memcmp() is already defined inside libkern.
	
2003-01-08 Wednesday 17:51  Adam Klobukowski <atari@gabo.pl>

	* sys/: floppy.c, floppy.h:

	
	Synced with EmuTOS code.
	
2003-01-08 Wednesday 17:51  Adam Klobukowski <atari@gabo.pl>

	* sys/init.c:

	
	Minor spelling correction.
	
2002-12-24 Tuesday 00:16  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: k_fds.c, mint/config.h:

	Removed compiler #define CREATE_PIPES, the code is always on now.
	
2002-12-22 Sunday 15:48  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, signal.c, arch/sig_mach.c, mint/config.h:

	Removed compiler #define EXCEPTION_SIGS, the code is now always included.
	
2002-12-21 Saturday 12:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: dosfile.c, dosmem.c, fasttext.c, filesys.c, gmon.c, info.c,
	info.h, keyboard.c:

	More internal messages moved into info.c
	
2002-12-15 Sunday 01:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: biosfs.c, block_IO.c, dma.c, info.c, info.h, slb.c,
	unicode.c, unifs.c:

	Some more messages moved into info.c (for purposes of nationalization).
	
2002-12-15 Sunday 01:31  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/fatfs.c:

	Minor adjustment of a comments.
	
2002-12-15 Sunday 01:31  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/floppy.c:

	Minor spelling correction.
	
2002-11-28 Thursday 22:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/USA/: ReadMe.uk2us, uk2us.s:

	Added keyboard table for Hades (made by Lonny Pursell)
	
2002-11-24 Sunday 14:22  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	Bugfixed wrong root directory condition check in fatfs_rename. This
	prevented directory moving of non-root directory entries to be working.
	
2002-11-03 Sunday 19:12  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	Fixed bug in fatfs_rename, endless recursion inside clean_cache_hierachy.
	
2002-11-01 Friday 14:39  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Added an XXX comment, Frank, please read.
	
2002-10-28 Monday 21:36  Frank Naumann <fnaumann@freemint.de>

	* sys/keyboard.c:

	Bugfixed get_region/free_region usage (XXX these should be generally
	reworked).
	
2002-10-24 Thursday 22:37  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/version.h:

	Bumped version to 1.6.1. This version include the buf_deref interrupt
	safety fix.
	
2002-10-24 Thursday 22:36  Frank Naumann <fnaumann@freemint.de>

	* sys/: debug.c, ipc_unix_cache.c, k_sysctl.c, mint/debug.h,
	mint/proc.h:

	Bugfixed new process debug stuff, work now.
	Usage: simply set the debug_level of a specific process with:
	sysctl -w proc.curproc.<pid>.debug=<level>
	
2002-10-24 Thursday 22:33  Frank Naumann <fnaumann@freemint.de>

	* CONFIGVARS, sys/KERNELDEFS:

	Reverted.
	
2002-10-24 Thursday 20:14  Frank Naumann <fnaumann@freemint.de>

	* sys/syscall_vectors.c:

	Fixed a warning.
	
2002-10-24 Thursday 19:54  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_sysctl.c, arch/mmu.h:

	Fixed two warnings.
	
2002-10-24 Thursday 14:22  Daniel Pralle <pralle@gdv.uni-hannover.de>

	* CONFIGVARS, sys/KERNELDEFS, sys/debug.c, sys/k_sysctl.c,
	sys/memory.h, sys/mint/proc.h, tools/sysctl/sysctl.c:

	process-specific debug-output (alpha :)
	
2002-10-11 Friday 22:40  Adam Klobukowski <atari@gabo.pl>

	* sys/block_IO.c:

	
	Chamges related to floppy code
	
2002-10-11 Friday 21:53  Adam Klobukowski <atari@gabo.pl>

	* sys/mint/arch/wd1772.h:

	
	Definitions of WD1772 and DMA registers
	
2002-10-11 Friday 21:51  Adam Klobukowski <atari@gabo.pl>

	* sys/mint/arch/psg.h:

	
	Definitions of PSG registers
	
2002-10-11 Friday 21:50  Adam Klobukowski <atari@gabo.pl>

	* sys/mint/arch/mfp.h:

	
	Some aditional stuff neede by floppy routines
	
2002-10-11 Friday 21:50  Adam Klobukowski <atari@gabo.pl>

	* sys/SRCFILES:

	
	added floppy.c
	
2002-10-11 Friday 21:49  Adam Klobukowski <atari@gabo.pl>

	* sys/init.c:

	
	Changes related to new floppy routines
	
2002-10-11 Friday 21:47  Adam Klobukowski <atari@gabo.pl>

	* sys/: floppy.c, floppy.h:

	
	Floppy routines adapted from EmuTOS.
	Still unstable, writing does not work.
	Disabled by default, to enable compil”ewith -DFLOPPY_ROUTINES
	
2002-10-09 Wednesday 20:18  Frank Naumann <fnaumann@freemint.de>

	* sys/: key_tables.h, keyboard.c:

	Bugfix, tbl parsing is hopefully correctly now.
	
2002-10-09 Wednesday 11:22  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/ptrace.h:

	Bugfix from Patrice Mandine.
	
2002-09-19 Thursday 07:24  Frank Naumann <fnaumann@freemint.de>

	* tools/mkfatfs/mkfatfs.c:

	Bumped version to 0.25.
	
2002-09-19 Thursday 07:22  Frank Naumann <fnaumann@freemint.de>

	* tools/mkfatfs/mkfatfs.c:

	New option -B to only write out the bootsector (expert option).
	
2002-09-08 Sunday 14:35  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/ext2fs/inode.c:

	Corrected ALERT to DEBUG message.
	
2002-09-08 Sunday 14:21  Frank Naumann <fnaumann@freemint.de>

	* sys/: Makefile.objs, libkern/Makefile.objs, xfs/ext2fs/inode.c:

	Updated.
	
2002-09-08 Sunday 14:21  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/skeleton/dummy.c:

	Removed tty stuff in this example.
	
2002-09-08 Sunday 14:21  Frank Naumann <fnaumann@freemint.de>

	* sys/: init.c, k_fds.c:

	Cleanup.
	
2002-09-08 Sunday 14:21  Frank Naumann <fnaumann@freemint.de>

	* sys/keyboard.c:

	More failure safe.
	
2002-09-08 Sunday 14:21  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/buf.c:

	Cleanup, extended failure checks. buf_deref should now be really
	interrupt safe.
	
2002-09-08 Sunday 13:55  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/sig_mach.c:

	Cleanup.
	
2002-09-08 Sunday 13:54  Frank Naumann <fnaumann@freemint.de>

	* sys/: keyboard.c, keyboard.h:

	New strategy, default to TOS keyboard table if no user supplied
	table is available.
	
2002-09-08 Sunday 13:52  Frank Naumann <fnaumann@freemint.de>

	* sys/KERNELDEFS:

	Added missing entries, better explanation.
	
2002-05-21 Tuesday 08:49  Adam Klobukowski <atari@gabo.pl>

	* PHONY, RULES:

	
	
	Added strip target. Not very good code but works.
	
2002-05-21 Tuesday 08:47  Adam Klobukowski <atari@gabo.pl>

	* sys/unicode.c:

	
	
	Bugfix of unicode module. Should be stable now.
	
2002-04-26 Friday 11:59  Frank Naumann <fnaumann@freemint.de>

	* tools/toswin2/proc.c:

	Corrected new utmp handling.
	
2002-04-25 Thursday 18:17  Standa Opichal <opichals@seznam.cz>

	* tools/toswin2/: event.c, event.h, textwin.c, window.c, window.h:

	Basicaly the AES / window abstraction layer to be able to use the textwin.c
	in other (nonAES) projects.
	
2002-04-24 Wednesday 14:31  Frank Naumann <fnaumann@freemint.de>

	* sys/: unicode.c, unicode.h:

	Cleanup.
	
2002-04-24 Wednesday 14:28  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/: ext2fs/ext2sys.c, minixfs/minixsys.c:

	Corrected error code for invalid directory move.
	
2002-04-24 Wednesday 14:26  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	Check for invalid directory moving (breaking the hierachy).
	
2002-03-22 Friday 22:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h, ssystem.c, ssystem.h:

	New keyboard tables can be now soft-loaded at runtime.
	
2002-03-21 Thursday 20:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Fixed memory protection bugs for loadable keyboard tables. Problems
	reported by Rafa³ Kawecki <kawecki@elektryk.ie.pwr.wroc.pl>
	
2002-03-21 Thursday 20:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/Poland/papyrus/: papyrus.mac, papyrus.pap:

	Added macro file for Papyrus and ISO-8859-2 keyboard (*.mac) and
	a bit of documentation (*.pap)
	
2002-03-21 Thursday 20:11  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/Poland/fonts/ISO-8859-2.fnt:

	Added true Atari-style font with ISO-8859-2 characters for Poland.
	
2002-03-21 Thursday 20:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/Italy/: italian.src, italian.tbl:

	Added forgotten Italian keyboard tables.
	
2002-03-14 Thursday 01:27  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/Poland/: !Czytaj, british-pl.tbl, french-pl.tbl,
	german-pl.tbl, italian-pl.tbl, spanish-pl.tbl, swiss_french-pl.tbl,
	swiss_german-pl.tbl, usa-pl.tbl, src/british-pl.src,
	src/french-pl.src, src/german-pl.src, src/italian-pl.src,
	src/spanish-pl.src, src/swiss_french-pl.src,
	src/swiss_german-pl.src, src/usa-pl.src:

	Mapping for the most common types of Atari keyboards expanded with
	Polish national characters mapped according to ISO-8859-2. This is
	the 'programmer's' keyboard, i.e. Alt + a produces ± and so on.
	
2002-03-14 Thursday 01:24  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/Poland/fonts/: system08.fnt, system10.fnt:

	A GEM bitmap font with ISO-8859-2 charset for Poland.
	
2002-03-14 Thursday 01:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/tbl/: Britain/british.src, Britain/british.tbl,
	France/french.src, France/french.tbl, Germany/german.src,
	Germany/german.tbl, Spain/spanish.src, Spain/spanish.tbl,
	Switzerland/swiss_french.src, ReadMe, Switzerland/swiss_french.tbl,
	Switzerland/swiss_german.src, Switzerland/swiss_german.tbl:

	Added West-European keyboard translation tables (taken from the TOS 4.0
	BIOS).
	
2002-03-14 Thursday 01:12  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: key_tables.h, keyboard.c, keyboard.h:

	Yet another cleanup. Only the table for USA keyboard remained in
	the kernel, others must be loaded externally. Also the code simpified.
	This all allowed to save about 3k of kernel length.
	
2002-03-11 Monday 11:00  Frank Naumann <fnaumann@freemint.de>

	* sys/: key_tables.h, keyboard.c, keyboard.h:

	Added cvs Id line on the top of every file.
	
2002-03-11 Monday 10:58  Frank Naumann <fnaumann@freemint.de>

	* doc/programmer/man/man2/: Pgetegid.2, Pgeteuid.2, Pgetgid.2,
	Psetgid.2, Psigmask.2, Pwait.2:

	Corrected man page references to the real files.
	
2002-03-11 Monday 10:58  Frank Naumann <fnaumann@freemint.de>

	* doc/programmer/man/: man2/Slbclose.2, man2/Slbopen.2, man5/slb.5:

	New manpages for the Slbopen/Slbclose system calls and the SLB library
	format. I don't remember at the moment who contributed the manpages :-/
	
2002-03-11 Monday 09:46  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: key_tables.h, keyboard.c:

	Cleanup. Default keyboard tables separated into key_tables.h (new file).
	
2002-03-11 Monday 00:28  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Fixed wrong _AKP update when external keyboard table was loaded.
	
2002-03-10 Sunday 23:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h, syscall_vectors.c:

	Implemented the XBIOS call Bioskeys()
	Completed the keyboard initialization routines.
	Switched to the internal keyboard translation tables.
	
2002-03-10 Sunday 12:24  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/fatfs.c:

	Minor size optimization in fatfs_fscntl().
	Also removed quite a lot of trailing blank spaces across the entire
	module.
	
2002-03-10 Sunday 10:41  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cnf.c, info.c, info.h:

	More kernel messages moved to info.c
	
2002-03-09 Saturday 14:52  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	restr_intr() now restores the keyboard scancode vector to the TOS state.
	
2002-03-09 Saturday 11:47  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Added `const' to the definition of skiplist[].
	Updated a comment.
	
2002-03-09 Saturday 08:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/: mint-de.hyp, mint-de.ref, mint-en.hyp,
	mint-en.ref, mint-prg.hyp, mint-prg.ref, mintdocs.hyp,
	mintdocs.ref:

	Added the MiNT-beginner documentation in HYP form.
	
2002-03-09 Saturday 08:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/atari/: tos4rn.hyp, tos4rn.ref:

	Added Atari's TOS 4.0/MultiTOS release notes in HYP form.
	
2002-03-07 Thursday 12:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: KERNELDEFS, info.c:

	Added -DLANG_ENGLISH as a switch that includes English kernel messages.
	
2002-03-04 Monday 13:23  Frank Naumann <fnaumann@freemint.de>

	* sys/k_sysctl.c, sys/mint/sysctl.h, tools/sysctl/sysctl.c:

	Added new CTL_PROC opcode for setting process specific things.
	
2002-03-04 Monday 12:10  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/mprot040.c:

	Disabled default DEBUG mode.
	
2002-03-04 Monday 12:10  Frank Naumann <fnaumann@freemint.de>

	* sys/kerinfo.c:

	Disabled dmabuf_alloc(); doesn't work stable at the moment.
	
2002-03-04 Monday 12:09  Frank Naumann <fnaumann@freemint.de>

	* sys/k_kthread.c:

	Small bugfix, set the basepage pointer to NULL.
	
2002-03-04 Monday 11:32  Frank Naumann <fnaumann@freemint.de>

	* sys/memory.c:

	Reworked addr2region() function, only worked under memory protection
	until now :-/
	
2002-02-27 Wednesday 11:22  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/nfs/: index.c, nfssys.c:

	Bugfix, don't allow mount points named '.' or '..' or empty names.
	
2002-02-26 Tuesday 11:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/fatfs.c:

	Corrected minor spelling stuff in ALERTs.
	
2002-02-24 Sunday 14:26  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/sockets/xif/serial.c:

	sld's open/close messages #ifdefed out, polluted the console (why these
	aren't defined as DEBUGs?)
	
2002-02-24 Sunday 00:30  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Argh, correcting own fix in write_ini(), hopefully okay now.
	
2002-02-23 Saturday 15:45  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: context.S, intr.S, syscall.S:

	Removed setting IPL 7 before change_context() and restore_context()
	and in few other places where it seems unnecessary. It should reduce the
	possibility of serial overruns on slow machines and high baud rates (like
	115200 baud).
	
2002-02-21 Thursday 11:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Fixed an idiotic bug that prevented write_ini() from creating new mint.ini file when no such
	file existed previously. Problem reported by Jakub Klawiter <wariat@klub.chip.pl>.
	
2002-02-05 Tuesday 01:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Slight optimization in mint_5ms(). Added few words of commentary.
	
2002-02-03 Sunday 23:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Fixed wrong offset to sp in mint_5m(), which caused the wrong byte on the
	stackt to be checked for the supervisor state bit. Hopefully this
	fixes the problem, Jo.
	
2002-01-25 Friday 09:28  Frank Naumann <fnaumann@freemint.de>

	* sys/: bios.c, k_exec.c, k_exit.c, kerinfo.c, kmemory.c,
	kmemory.h, memory.c, memory.h, xbios.c, arch/mprot.h,
	arch/mprot030.c, arch/mprot040.c, mint/kerinfo.h, mint/mem.h:

	Added new function dmabuf_alloc for allocatin DMA buffers with
	requested cache setting. Enhanced mprot Interface for that a little bit.
	Also added to the kerinfo interface.
	
2002-01-25 Friday 09:23  Frank Naumann <fnaumann@freemint.de>

	* sys/: cnf.c, filesys.c, init.c, k_exec.c, module.c, tosfs.c,
	libkern/strtol.c, xfs/ext2fs/namei.c:

	Corrected the toupper() function calls to (int)c && 0xff.
	
2002-01-25 Friday 09:19  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	Corrected the translation table access functions. Should now work
	more correctly.
	
2002-01-10 Thursday 12:24  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: KERNELDEFS, init.c, unicode.c:

	Added -DSOFT_UNITABLE allowing to switch on/off at compile time the code
	which loads unicode tables.
	
2002-01-09 Wednesday 23:10  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/inet4/if.c:

	Cleanup and allow null ip's for interfaces.
	
2002-01-09 Wednesday 23:08  Frank Naumann <fnaumann@freemint.de>

	* tools/net-tools/: arp.c, ifconfig.c:

	Minor corrections of the error messages.
	
2001-12-24 Monday 09:05  Frank Naumann <fnaumann@freemint.de>

	* sys/global.c:

	Fixed wrong #if OLDTOSFS to #ifdef (reported by Andreas Dahlberg).
	
2001-12-20 Thursday 13:38  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Updates.
	
2001-12-20 Thursday 13:37  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, init.h, unicode.c, unicode.h:

	Added unicode init module. DOESN'T WORK AT THE MOMENT!!
	The code originally comes from Adam Klobukowski <atari@gabo.pl>
	
2001-12-20 Thursday 13:35  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/module.c:

	Modules are now loaded from the *sysdir directory.
	
2001-12-20 Thursday 13:35  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bios.c, cnf.c, debug.c, xhdi.c:

	Messages replaced with references to constants defined in info.c
	
2001-12-20 Thursday 13:33  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h:

	Many messages generated by the kernel have been moved into here to facilitate translation to
	vernacular languages. Also only the English versions have been retained, German and
	French went into comments (prepare complete translation, we'll see).
	
2001-12-14 Friday 14:45  Frank Naumann <fnaumann@freemint.de>

	* sys/: scsidrv.c, xhdi.c:

	Added notice for XHDI_MON/SCSIDRV_MON contributing from Uwe Seimet.
	
2001-12-14 Friday 11:16  Frank Naumann <fnaumann@freemint.de>

	* sys/: cookie.c, cookie.h, xhdi.c, arch/xhdi_emu.S,
	arch/xhdi_emu.h:

	Added optional XHDI_MON functionality like the HDDriver tool from
	Uwe Seimet (thanks to Uwe for contributing code examples).
	XHDI_MON is disabled by default.
	
2001-12-13 Thursday 13:10  Frank Naumann <fnaumann@freemint.de>

	* sys/scsidrv.c:

	Fixed wrong #if conditional for including the SCSI_MON.
	
2001-12-13 Thursday 11:45  Frank Naumann <fnaumann@freemint.de>

	* sys/: scsidrv.c, scsidrv.h:

	Added SCSI_MON debug feature (like the tool from HDDriver). Thanks to
	Uwe Seimet for contributing source examples.
	
2001-12-13 Thursday 11:40  Frank Naumann <fnaumann@freemint.de>

	* sys/fatfs.c:

	More internal consistency checks for data cluster access.
	
2001-12-13 Thursday 11:38  Frank Naumann <fnaumann@freemint.de>

	* sys/block_IO.c:

	More exact debug messages for XHDI access.
	
2001-12-11 Tuesday 10:40  Frank Naumann <fnaumann@freemint.de>

	* CONFIGVARS:

	Reverted latest changes, the default behaviour shouldn't be to cross-
	compile.
	
2001-12-10 Monday 22:27  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* CONFIGVARS:

	Changed $CROSSPREFIX
	
2001-12-10 Monday 22:25  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h:

	Update. Alt/numpad should now work. Also: if you press
	Ctrl/Alt/Delete, and the system doesn't react, wait 5 secs.
	and press the same key combination again. This causes
	immediate reboot, without closing the system. The same
	applies for Ctrl/Alt/RShift/Del and Ctrl/Alt/LShift/Del.
	
	Also various fixes and updates are made in the code
	responsible for loading the alternative keyboard tables. BUT:
	the routines are still unfinished, so DON'T put
	`keyboard.tbl' into your u:/boot/, because it WON'T work
	anyways.
	
2001-12-10 Monday 22:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: intr.S, intr.h:

	The BIOS keyclick routine should be called with keyboards scancode passed
	in d0. Fixed by replacing click() in keyboard.c with kbdclick() in intr.S.
	
2001-12-10 Monday 22:20  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/startup.S:

	Minor updates.
	
2001-12-10 Monday 22:20  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/memory.c:

	Removed series of dots which were printed out at startup. Frank, this was *ugly* :-)
	
2001-12-10 Monday 22:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cookie.c, global.c:

	Use the TOS' _FLK cookie only when TOSFS is used, establish entirely new one
	otherwise. Also put version number (1.0) as demanded by various documentation.
	
2001-12-06 Thursday 12:03  Frank Naumann <fnaumann@freemint.de>

	* doc/programmer/: man/man2/Fdup.2, man/man2/Fforce.2,
	man/man2/Fseek.2, man/man2/Pexec.2, man/man2/Pterm.2,
	man/man2/Pterm0.2, man/man2/Ptermres.2,
	newcall.html/tsetitimer.html:

	Added manual pages for some system calls.
	
2001-12-06 Thursday 11:59  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/xif/dummyeth.c:

	Fixed typo.
	
2001-12-06 Thursday 11:37  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/inet4/: inet.c, inet.h, tcp.h:

	Increased TCP window size and MSS (suggestion from Howard Chu).
	
2001-11-28 Wednesday 10:56  Standa Opichal <opichals@seznam.cz>

	* tools/toswin2/: SRCFILES, global.c, global.h, isotost.c,
	isotost.h, textwin.c, vt.c:

	The iso_to_st and st_to_iso tables were put into a separate file.
	
2001-11-26 Monday 12:03  Frank Naumann <fnaumann@freemint.de>

	* sys/: cnf.c, keyboard.c, keyboard.h:

	Updated, corrected the prototypes.
	
2001-11-26 Monday 11:30  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, init.h:

	The current directory whether it is /c/mint, /c/multitos or something, is decided at startup
	and then saved so that routines don't need to check this at each time.
	
2001-11-26 Monday 11:28  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf.c:

	Updates for the new way of establishing the current system directory.
	
2001-11-26 Monday 11:26  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/config.h:

	Removed AUTO_FIX
	
2001-11-26 Monday 11:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/info.c:

	Removed predefined paths for the system directory.
	
2001-11-26 Monday 11:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h:

	Updates in the handler.
	
2001-11-26 Monday 11:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/ssystem.c:

	Added keyboard.c controls (CAD)
	
2001-11-26 Monday 11:09  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/misc/keytab.c:

	A program to extract keyboard transtaltion tables from ROM
	
2001-11-26 Monday 11:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: detect.S, detect.h:

	Removed function verify_access()
	Added three functions for testing hardware presence (unused for now)
	
2001-11-23 Friday 14:38  Frank Naumann <fnaumann@freemint.de>

	* sys/ptrace.c:

	Bugfix for ATTACH (check now security) and also send SIGSTOP to the
	attached child.
	
2001-11-22 Thursday 09:46  Frank Naumann <fnaumann@freemint.de>

	* sys/ptrace.c:

	Flush write-back cache if writing to the data segment of a traced process.
	
2001-11-16 Friday 01:21  Frank Naumann <fnaumann@freemint.de>

	* sys/kernfs.c:

	Checking fd struct pointer for /kern/<pid>/fd/ access.
	
2001-11-16 Friday 01:20  Frank Naumann <fnaumann@freemint.de>

	* sys/kernget.c:

	Cleanup.
	
2001-11-16 Friday 01:19  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/ext2fs/ext2sys.c:

	Dfree() return for non-privileged processes the right free space.
	
2001-11-14 Wednesday 13:48  Frank Naumann <fnaumann@freemint.de>

	* sys/: libkern/xfs_xdd_kernel.h, sys/param.h, xfs/nfs/sock_ipc.c:

	nfs now lookup the hostname through the new kernel service as first
	choice. Also added the missing calling stuff to the xfs_xdd wrapper.
	
2001-11-14 Wednesday 13:44  Frank Naumann <fnaumann@freemint.de>

	* tools/gluestik/: gs_stik.c, version.h:

	Bugfix for LISTEN mode on socket creation (thanks to Vassilis for
	figuring this out). Bumped version to 0.30 to be on the same
	level as the mgw gateway.
	
2001-11-08 Thursday 12:51  Frank Naumann <fnaumann@freemint.de>

	* sys/: KERNELDEFS, debug.c, init.c, memory.c:

	Reverted last changes from Daniel (this was not supposed to go into
	the repository).
	
2001-11-08 Thursday 12:23  Daniel Pralle <pralle@gdv.uni-hannover.de>

	* sys/: KERNELDEFS, debug.c, dosmem.c, init.c, kernfs.c, kernget.c,
	kernget.h, memory.c, syscall_vectors.c, mint/mem.h, mint/proc.h:

	support for /kern/#/statm
	
2001-10-31 Wednesday 23:15  Frank Naumann <fnaumann@freemint.de>

	* tools/toswin2/: main.c, proc.c, proc.h, share.c:

	Use the new utmp/wtmp interface to correctly log shell logins.
	
2001-10-31 Wednesday 12:16  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/: mem.h, arch/context.h, arch/mmu.h:

	Moved MMU type definitions and macros to the arch subdir.
	
2001-10-31 Wednesday 12:15  Frank Naumann <fnaumann@freemint.de>

	* sys/: cnf.c, dosmem.c, dosmem.h, k_exec.c, kmemory.c, memory.c,
	memory.h, proc.c, proc_help.c, shmfs.c, slb.c, mint/mem.h,
	mint/proc.h:

	Removed irritating and inconsequentially used virtaddr type definition.
	
2001-10-31 Wednesday 12:08  Frank Naumann <fnaumann@freemint.de>

	* sys/mint/arch/: asm.h, asm_atomic.h, asm_misc.h, asm_spl.h,
	bswap.h, delay.h, mfp.h, ptrace.h, register.h, swap.h:

	Cleanup.
	
2001-10-31 Wednesday 12:05  Frank Naumann <fnaumann@freemint.de>

	* sys/: kernget.c, kernget.h:

	Fixed bugs for /kern/<pid>/meminfo and /kern/<pid>/status (invalid
	pointer access).
	
2001-10-23 Tuesday 09:09  Frank Naumann <fnaumann@freemint.de>

	* sys/dosdir.c:

	Cleanup.
	
2001-10-23 Tuesday 09:08  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_prot.c, k_prot.h, syscalls.master, mint/credentials.h:

	Changed short uid/gid to unsigned short. This allow the setting/getting
	of uid/gid greater that 32767 (like required from the standard).
	
2001-10-23 Tuesday 09:04  Frank Naumann <fnaumann@freemint.de>

	* sys/kernget.c:

	Fixup for the idle time counter in /kern/stat.
	
2001-10-23 Tuesday 06:35  Daniel Pralle <pralle@gdv.uni-hannover.de>

	* sys/: memory.c, mint/mem.h:

	Added some comments.
	
2001-10-23 Tuesday 06:32  Daniel Pralle <pralle@gdv.uni-hannover.de>

	* sys/: kernfs.c, kernget.c, kernget.h:

	start support for LiNUX-like /kern/stat
	
2001-10-07 Sunday 20:34  Frank Naumann <fnaumann@freemint.de>

	* sys/ipc_socket.c:

	Fixed missing fp->links decrement in sys_accept before freeing the fp.
	
2001-09-28 Friday 23:25  Frank Naumann <fnaumann@freemint.de>

	* sys/: biosfs.c, biosfs.h, sockets/inet4/arpdev.c,
	sockets/inet4/bpf.c, sockets/inet4/inetdev.c,
	sockets/inet4/masqdev.c, sockets/inet4/routedev.c,
	sockets/xif/dial.c, sockets/xif/ppp.c:

	Changed access permission of configuration devices to root only.
	
2001-09-21 Friday 10:58  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/ext2fs/version.h:

	Bumped version to 0.61.
	
2001-09-20 Thursday 18:15  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/ext2fs/ext2sys.c:

	Additional secure checks on name creation.
	
2001-09-18 Tuesday 12:36  Frank Naumann <fnaumann@freemint.de>

	* sys/: ipc_socketdev.c, pipefs.c:

	Return ESPIPE for seek operations on pipes and sockets.
	
2001-09-17 Monday 12:30  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/mfp/mfp.c:

	Corrected some debug messages, better error handling interrupt routine.
	
2001-09-17 Monday 12:24  Frank Naumann <fnaumann@freemint.de>

	* sys/: kernfs.c, memory.c, memory.h:

	Added new memdebug entry to read out the core and alt RAM maps.
	
2001-09-17 Monday 12:16  Frank Naumann <fnaumann@freemint.de>

	* sys/: kernget.c, arch/mprot040.c:

	Cleanup.
	
2001-09-17 Monday 12:10  Frank Naumann <fnaumann@freemint.de>

	* sys/filesys.c:

	Added ENOENT error check for empty paths.
	
2001-09-11 Tuesday 22:56  Frank Naumann <fnaumann@freemint.de>

	* sys/kernget.c:

	Bugfixed kernel crash (two wrong assert) and a small bugfix
	in pretty printing the new /kern/meminfo entry.
	
2001-09-11 Tuesday 22:55  Frank Naumann <fnaumann@freemint.de>

	* sys/: syscall_vectors.c, syscalls.master:

	Cleanup.
	
2001-09-07 Friday 16:13  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/ext2fs/: ext2sys.c, namei.c:

	Corrected cookie handling, added missing cookie release. Reduced
	the directory cache a little bit.
	
2001-09-07 Friday 00:36  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/ext2fs/: ext2sys.c, version.h:

	Fixed bug for directory moving, circular dependencies not checked.
	
2001-08-31 Friday 12:04  Daniel Pralle <pralle@gdv.uni-hannover.de>

	* sys/: kernget.c, kernget.h:

	Implemented "/kern/meminfo". Just CORE and ALT, At The Moment.
	
2001-08-31 Friday 12:03  Daniel Pralle <pralle@gdv.uni-hannover.de>

	* sys/kernfs.c:

	Insert link to "kern_get_meminfo()" in "__rootdir[]"
	
2001-08-31 Friday 11:59  Daniel Pralle <pralle@gdv.uni-hannover.de>

	* sys/mint/mem.h:

	Introduced ONE_K = 0x400L as memory constant. Used in kernget.c
	
2001-08-16 Thursday 07:10  Frank Naumann <fnaumann@freemint.de>

	* tools/: IO/mint_io.c, gluestik/gs.h, mgw/global.h,
	mkfatfs/mkfatfs.c, net-tools/tests/client.c,
	net-tools/tests/sockname.c, net-tools/tests/speed.c,
	net-tools/tests/speed2.c, net-tools/tests/udpclnt.c,
	net-tools/tests/udpserv.c, sysctl/sysctl.c:

	Bugfixes and cleanup for the 0.57 mintlib.
	
2001-08-15 Wednesday 10:26  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/version.h:

	Removed alpha status for the inet4 module.
	
2001-08-15 Wednesday 10:25  Frank Naumann <fnaumann@freemint.de>

	* sys/: memory.c, mint/mem.h, xdd/flop-raw/flop_raw.c,
	xdd/scc/scc.c, xdd/uart/pc16550.c:

	Cleanup.
	
2001-08-15 Wednesday 10:23  Frank Naumann <fnaumann@freemint.de>

	* sys/: dosmem.c, dosmem.h, syscall_vectors.c, syscalls.master:

	Added Maccess/Mvalidate like 1.15.12.
	
2001-08-14 Tuesday 13:43  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/init_mach.c:

	1. Fixed a typo
	2. Changed Super() to Supexec() in getmch()
	
2001-07-31 Tuesday 23:39  Frank Naumann <fnaumann@freemint.de>

	* ChangeLog.#1.15.12:

	file ChangeLog.#1.15.12 was initially added on branch branch-1_15.
	
2001-07-31 Tuesday 23:39  Frank Naumann <fnaumann@freemint.de>

	* ChangeLog.#1.15.11:

	file ChangeLog.#1.15.11 was initially added on branch branch-1_15.
	
2001-07-31 Tuesday 18:29  Frank Naumann <fnaumann@freemint.de>

	* README:

	Initial checkin of the FreeMiNT docu.
	
2001-07-31 Tuesday 18:19  Frank Naumann <fnaumann@freemint.de>

	* doc/: FAQ, INSTALL, NEWS, README, README.1st, block_IO.txt,
	cnf.txt, fatfs.txt, limits.txt, minttime.txt, mp.txt, mp_list.txt,
	timezone.txt, unixmode.txt, cnf.hyp/mint1150.hyp,
	cnf.hyp/mint1150.ref, cnf.hyp/mint1150.stg,
	examples/fscheck.readme, examples/fscheck.sh, examples/mint.cnf,
	german/CONFIG.ger, german/FAQ.ger, german/INSTALL.ger,
	german/LIESMICH, german/guide.txt, german/tuning.txt,
	programmer/appendix.A, programmer/appendix.B,
	programmer/appendix.C, programmer/appendix.D,
	programmer/appendix.E, programmer/block_IO.txt, programmer/dma.txt,
	programmer/fatfs.txt, programmer/kerinfo.txt, programmer/mint.txt,
	programmer/mint2.pap, programmer/mint2.readme,
	programmer/ssystem.txt, programmer/examples/README,
	programmer/examples/psigintr.c, programmer/examples/cache/caches.c,
	programmer/examples/cache/ctrlcache.c,
	programmer/examples/memspeed/Makefile,
	programmer/examples/memspeed/README,
	programmer/examples/memspeed/blockcopy.s,
	programmer/examples/memspeed/memspeed.c, programmer/man/README,
	programmer/man/man2/Dchroot.2, programmer/man/man2/Dclosedir.2,
	programmer/man/man2/Dcntl.2, programmer/man/man2/Dgetcwd.2,
	programmer/man/man2/Dlock.2, programmer/man/man2/Dopendir.2,
	programmer/man/man2/Dpathconf.2, programmer/man/man2/Dreaddir.2,
	programmer/man/man2/Dreadlabel.2, programmer/man/man2/Drewind.2,
	programmer/man/man2/Dwritelabel.2, programmer/man/man2/Fchmod.2,
	programmer/man/man2/Fchown.2, programmer/man/man2/Fcntl.2,
	programmer/man/man2/Fgetchar.2, programmer/man/man2/Finstat.2,
	programmer/man/man2/Flink.2, programmer/man/man2/Fmidipipe.2,
	programmer/man/man2/Foutstat.2, programmer/man/man2/Fpipe.2,
	programmer/man/man2/Fputchar.2, programmer/man/man2/Freadlink.2,
	programmer/man/man2/Fselect.2, programmer/man/man2/Fsymlink.2,
	programmer/man/man2/Fxattr.2, programmer/man/man2/Itimer.2,
	programmer/man/man2/Pause.2, programmer/man/man2/Pdomain.2,
	programmer/man/man2/Pfork.2, programmer/man/man2/Pgetegid.2,
	programmer/man/man2/Pgeteuid.2, programmer/man/man2/Pgetgid.2,
	programmer/man/man2/Pgetpgrp.2, programmer/man/man2/Pgetpid.2,
	programmer/man/man2/Pgetppid.2, programmer/man/man2/Pgetuid.2,
	programmer/man/man2/Pkill.2, programmer/man/man2/Pmsg.2,
	programmer/man/man2/Pnice.2, programmer/man/man2/Prenice.2,
	programmer/man/man2/Prusage.2, programmer/man/man2/Psemaphore.2,
	programmer/man/man2/Psetgid.2, programmer/man/man2/Psetlimit.2,
	programmer/man/man2/Psetpgrp.2, programmer/man/man2/Psetuid.2,
	programmer/man/man2/Psigaction.2, programmer/man/man2/Psigblock.2,
	programmer/man/man2/Psigmask.2, programmer/man/man2/Psignal.2,
	programmer/man/man2/Psigpause.2, programmer/man/man2/Psigpending.2,
	programmer/man/man2/Psigreturn.2, programmer/man/man2/Pumask.2,
	programmer/man/man2/Pusrval.2, programmer/man/man2/Pvfork.2,
	programmer/man/man2/Pwait.2, programmer/man/man2/Pwait3.2,
	programmer/man/man2/Salert.2, programmer/man/man2/Syield.2,
	programmer/man/man2/Sysconf.2, programmer/man/man2/Talarm.2,
	programmer/newcall.html/Pgetpid.html,
	programmer/newcall.html/Pgetppid.html,
	programmer/newcall.html/README.FIRST,
	programmer/newcall.html/Super.html,
	programmer/newcall.html/Sversion.html,
	programmer/newcall.html/Syield.html,
	programmer/newcall.html/Tsetitimer.html,
	programmer/newcall.html/dreadlabel.html,
	programmer/newcall.html/dwritelabel.html,
	programmer/newcall.html/dxreaddir.html,
	programmer/newcall.html/index.html,
	programmer/newcall.html/indexname.html,
	programmer/newcall.html/indexopcode.html,
	programmer/newcall.html/pgetauid.html,
	programmer/newcall.html/pgetgroups.html,
	programmer/newcall.html/pgetpriority.html,
	programmer/newcall.html/psetauid.html,
	programmer/newcall.html/psetegid.html,
	programmer/newcall.html/pseteuid.html,
	programmer/newcall.html/psetgroups.html,
	programmer/newcall.html/psetpriority.html,
	programmer/newcall.html/psetregid.html,
	programmer/newcall.html/psetreuid.html,
	programmer/newcall.html/psigintr.html,
	programmer/newcall.html/shutdown.html,
	programmer/newcall.html/slbclose.html,
	programmer/newcall.html/slbopen.html,
	programmer/newcall.html/ssystem.html,
	programmer/newcall.html/suptime.html,
	programmer/newcall.html/sync.html,
	programmer/newcall.html/talarm.html,
	programmer/newcall.html/tgettimeofday.html,
	programmer/newcall.html/tmalarm.html,
	programmer/newcall.html/tsetitimer.html,
	programmer/newcall.html/tsettimeofday.html:

	Initial checkin of the FreeMiNT docu.
	
2001-07-18 Wednesday 23:27  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/audio/audiodev.c:

	Fixed compile error, missing mch declaration.
	
2001-07-18 Wednesday 22:44  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/audio/audiodev.c:

	Added cookie check for the right machine.
	
2001-07-18 Wednesday 22:43  Frank Naumann <fnaumann@freemint.de>

	* sys/: xdd/audio/Makefile, xdd/flop-raw/Makefile,
	xdd/mfp/Makefile, xdd/scc/Makefile, xdd/skeleton/Makefile,
	xdd/uart/Makefile, xdd/xconout2/Makefile, xfs/ext2fs/Makefile,
	xfs/minixfs/Makefile, xfs/skeleton/Makefile, xfs/nfs/Makefile:

	Don't strip compiled modules by default.
	
2001-07-18 Wednesday 22:38  Frank Naumann <fnaumann@freemint.de>

	* sys/: syscall_vectors.c, syscalls.master:

	Corrected version info for Ptarce() (backported to 1.15.11).
	
2001-07-18 Wednesday 22:37  Frank Naumann <fnaumann@freemint.de>

	* sys/signal.c:

	Removed unused code.
	
2001-07-18 Wednesday 22:35  Frank Naumann <fnaumann@freemint.de>

	* sys/init.c:

	Kludge for PAKed ST/STE which claim to have Bconmap() that later crash
	the kernel.
	
2001-07-18 Wednesday 22:35  Frank Naumann <fnaumann@freemint.de>

	* sys/k_fork.c:

	Clear trace flags in the CONTEXTs on fork_proc.
	
2001-07-11 Wednesday 16:16  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/examples/: chap-secrets, ip-up, myppp, myppp.chat,
	myppp.sh, pap-secrets:

	examples
	
2001-07-08 Sunday 17:50  Jens Heitmann <jheitmann@debitel.net>

	* tools/mgw/: syscalls.c, global.h, libsocket.c, libsocket.h,
	main.c, mgw.c:

	
	- sendto repaired
	- select changed, corresponding to version of branch1-15
	- blocking versions of gethostby...., getservby... added
	- get_etcdir is returning a correct value
	- DNS functions added
	- several new command line parameters (check mgw --help)
	
2001-06-29 Friday 10:59  Frank Naumann <fnaumann@freemint.de>

	* sys/dosmem.c:

	Check for F_OS_SPECIAL corrected to cuproc.
	
2001-06-29 Friday 10:58  Frank Naumann <fnaumann@freemint.de>

	* sys/update.c:

	Fixed the compiler warnings.
	
2001-06-29 Friday 10:44  Frank Naumann <fnaumann@freemint.de>

	* tools/IO/: SRCFILES, mint_io.c, mint_io.h, stdlib.c, stdlib.h:

	Renamed new std I/O wrappers to a more intelligent name.
	
2001-06-28 Thursday 23:20  Frank Naumann <fnaumann@freemint.de>

	* sys/Makefile.objs:

	Explicitly specified entry point for the linker.
	
2001-06-28 Thursday 20:03  Frank Naumann <fnaumann@freemint.de>

	* sys/: dosmem.c, dosmem.h, syscall_vectors.c, syscalls.master:

	New syscall Mvalidate() to validate memory vectors against the
	address space of processes.
	
2001-06-28 Thursday 20:00  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_sysctl.c, memory.c, memory.h, mint/sysctl.h:

	Added new hw.freephysmem read value. Return the free physical memory.
	
2001-06-28 Thursday 19:58  Frank Naumann <fnaumann@freemint.de>

	* sys/: util.c, util.h:

	Use struct proc instead typedefed PROC.
	
2001-06-28 Thursday 19:57  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/minixfs/: inode.c, zone.c:

	Cleanup.
	
2001-06-19 Tuesday 16:28  Frank Naumann <fnaumann@freemint.de>

	* sys/: mint/ioctl.h, fatfs.c, xfs/ext2fs/ext2dev.c,
	xfs/minixfs/minixdev.c:

	Added new experimental ioctl() FIBMAP.
	
2001-06-15 Friday 23:16  Frank Naumann <fnaumann@freemint.de>

	* sys/dosdir.c:

	Fstat64 is always used now. For non-stat64 capable filesystems it's
	mapped through getxattr.
	
2001-06-15 Friday 23:15  Frank Naumann <fnaumann@freemint.de>

	* sys/update.c:

	Run update daemon as kernel thread.
	
2001-06-15 Friday 22:51  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: process_reg.c, process_reg.h:

	Replaced typedef PROC by struct proc.
	
2001-06-15 Friday 11:07  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/: ext2fs/ext2sys.c, minixfs/minixsys.c:

	Cleanup.
	
2001-06-15 Friday 11:01  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/minixfs/zone.c:

	Bugfix, m_time update on directory creation used localtime.
	
2001-06-14 Thursday 10:23  Frank Naumann <fnaumann@freemint.de>

	* tools/: IO/bswap.h, IO/mytypes.h, IO/xhdi.c, IO/xhdi.h,
	mgw/global.h, mgw/libsocket.c, mgw/libsocket.h, mgw/main.c,
	mgw/mgw.c, mgw/mgw.h, mgw/options.h, mgw/syscalls.c,
	mgw/syscalls.h:

	Added $Id to the src files, cleaned up the copyright notice.
	
2001-06-14 Thursday 10:22  Frank Naumann <fnaumann@freemint.de>

	* tools/IO/: stdlib.c, stdlib.h, SRCFILES:

	Added stdlib functions that overlay the libc and can handle XHDI.
	
2001-06-13 Wednesday 22:17  Frank Naumann <fnaumann@freemint.de>

	* tools/gluestik/: gs_func.c, gs_stik.c, transprt.h:

	Fixed some 16bit <-> 32bit problems. gluestik work now correctly as
	32bit application I think.
	
2001-06-13 Wednesday 20:21  Frank Naumann <fnaumann@freemint.de>

	* sys/: bf_tab.h, bios.c, bios.h, biosfs.c, biosfs.h, block_IO.c,
	block_IO.h, blowfish.c, blowfish.h, cmdline.c, cmdline.h, cnf.c,
	cnf.h, console.c, console.h, cookie.c, cookie.h, crypt_IO.c,
	crypt_IO.h, debug.c, debug.h, delay.c, delay.h, dev-mouse.c,
	dev-mouse.h, dev-null.c, dev-null.h, dma.c, dma.h, dos.c, dos.h,
	dosdir.c, dosdir.h, dosfile.c, dosfile.h, dosmem.c, dosmem.h,
	dossig.c, dossig.h, fasttext.c, fasttext.h, fatfs.c, fatfs.h,
	filesys.c, filesys.h, global.c, global.h, gmon.c, gmon.h, info.c,
	info.h, init.c, init.h, ipc_socket.c, ipc_socket.h,
	ipc_socketdev.c, ipc_socketdev.h, ipc_socketutil.c,
	ipc_socketutil.h, ipc_unix.c, ipc_unix.h, ipc_unix_cache.c,
	ipc_unix_cache.h, ipc_unix_dgram.c, ipc_unix_dgram.h,
	ipc_unix_stream.c, ipc_unix_stream.h, k_exec.c, k_exec.h, k_exit.c,
	k_exit.h, k_fds.c, k_fds.h, k_fork.c, k_fork.h, k_kthread.c,
	k_kthread.h, k_prot.c, k_prot.h, k_resource.c, k_resource.h,
	kerinfo.c, kerinfo.h, kernfs.c, kernfs.h, kernget.c, kernget.h,
	keyboard.c, keyboard.h, kmemory.c, kmemory.h, mcount.c, md5.c,
	md5.h, memory.c, memory.h, module.c, module.h, nullfs.c, nullfs.h,
	pipefs.c, pipefs.h, proc.c, proc.h, proc_help.c, proc_help.h,
	procfs.c, procfs.h, profil.c, profil.h, ptrace.c, ptrace.h, pun.c,
	pun.h, ramfs.c, ramfs.h, random.c, random.h, rendez.c, rendez.h,
	scsidrv.c, scsidrv.h, shmfs.c, shmfs.h, signal.c, signal.h, slb.c,
	slb.h, ssystem.c, ssystem.h, sys_emu.c, sys_emu.h,
	syscall_vectors.c, syscall_vectors.h, syscalls.master, sysv_ipc.c,
	sysv_ipc.h, sysv_msg.c, sysv_msg.h, sysv_sem.c, sysv_sem.h,
	sysv_shm.c, sysv_shm.h, time.c, time.h, timeout.c, timeout.h,
	timeout_new.c, timeout_new.h, tosfs.c, tosfs.h, tty.c, tty.h,
	unicode.c, unicode.h, unifs.c, unifs.h, update.c, update.h, util.c,
	util.h, xbios.c, xbios.h, xhdi.c, xhdi.h, arch/context.S,
	arch/context.h, arch/cpu.h, arch/detect.S, arch/detect.h,
	arch/info_mach.c, arch/info_mach.h, arch/init_mach.h, arch/intr.h,
	arch/kernel.S, arch/kernel.h, arch/kernfs_mach.c,
	arch/kernfs_mach.h, arch/mmu.h, arch/mmu030.S, arch/mmu040.S,
	arch/mprot.h, arch/mprot030.c, arch/mprot040.c, arch/process_reg.c,
	arch/process_reg.h, arch/scsidrv_emu.S, arch/scsidrv_emu.h,
	arch/sig_mach.c, arch/sig_mach.h, arch/sigreturn.S,
	arch/slb_util.S, arch/slb_util.h, arch/startup.S, arch/startup.h,
	arch/syscall.S, arch/syscall.h, arch/timer.c, arch/timer.h,
	arch/xhdi_emu.S, arch/xhdi_emu.h, mint/asm.h, mint/basepage.h,
	mint/block_IO.h, mint/bswap.h, mint/config.h, mint/credentials.h,
	mint/dcntl.h, mint/debug.h, mint/delay.h, mint/emu_tos.h,
	mint/endian.h, mint/errno.h, mint/falcon.h, mint/fcntl.h,
	mint/file.h, mint/filedesc.h, mint/fsops.h, mint/ioctl.h,
	mint/iov.h, mint/ipc.h, mint/kassert.h, mint/kcompiler.h,
	mint/kerinfo.h, mint/kernel.h, mint/ktypes.h, mint/lists.h,
	mint/mdelay.h, mint/mem.h, mint/mint.h, mint/msg.h, mint/net.h,
	mint/pathconf.h, mint/poll.h, mint/proc.h, mint/ptrace.h,
	mint/resource.h, mint/rsvf.h, mint/sem.h, mint/shm.h,
	mint/signal.h, mint/slb.h, mint/socket.h, mint/sockio.h,
	mint/stat.h, mint/swap.h, mint/time.h, mint/uio.h, mint/un.h,
	mint/xbra.h, mint/arch/asm.h, mint/arch/asm_atomic.h,
	mint/arch/asm_misc.h, mint/arch/asm_spl.h, mint/arch/bswap.h,
	mint/arch/context.h, mint/arch/delay.h, mint/arch/endian.h,
	mint/arch/mfp.h, mint/arch/ptrace.h, mint/arch/register.h,
	mint/arch/swap.h, sys/gmon.h, sys/gmon_out.h, sys/param.h,
	xdd/mfp/mfp.c, xdd/mfp/mfp.h, xdd/scc/scc.c, xdd/scc/scc.h,
	xdd/skeleton/dummy.c, xdd/skeleton/dummy.h, xdd/uart/pc16550.c,
	xdd/xconout2/xconout2.c, xfs/skeleton/dummy.c,
	xfs/skeleton/dummy.h:

	Cleanup of copyright messages, added $Id to most of the src files
	for automatic recording of the last change.
	
2001-06-06 Wednesday 19:11  Frank Naumann <fnaumann@freemint.de>

	* tools/mgw/: global.h, libsocket.c, main.c, syscalls.c:

	Updated, wrap all lib calls over the mgw context too.
	
2001-05-29 Tuesday 01:08  Frank Naumann <fnaumann@freemint.de>

	* sys/: dosmem.c, k_exec.c, k_exit.c, k_fds.c, kernget.c, memory.c,
	proc.c, proc_help.c, procfs.c, slb.c:

	Added more checks for substructure access.
	
2001-05-28 Monday 17:12  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/: global.c, global.h, xif/main.c:

	Removed kmalloc() wrapper that caused FATAL errors due to the
	socket rstructurization. Traced down and fixed by gryf (many thanks).
	
2001-05-26 Saturday 00:35  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/inet4/: tcp.c, tcpin.c:

	Wakup/select patch for non-blocking sockets that are connecting.
	
2001-05-26 Saturday 00:30  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/inet4/: route.c, inetutil.c, masquerade.c:

	Cleanup, bzero kmalloc'ed memory.
	
2001-05-26 Saturday 00:22  Frank Naumann <fnaumann@freemint.de>

	* sys/: fatfs.c, kerinfo.c, ramfs.c:

	Cleanup.
	
2001-05-26 Saturday 00:21  Frank Naumann <fnaumann@freemint.de>

	* sys/memory.c:

	Additional check to prevent illegal pointer dereference.
	
2001-05-24 Thursday 16:47  Frank Naumann <fnaumann@freemint.de>

	* tools/toswin2/textwin.c:

	Additional redraw fixes and fix of the crash if selected text in
	a window is clicked with the mouse.
	
2001-05-24 Thursday 15:54  Frank Naumann <fnaumann@freemint.de>

	* tools/toswin2/: textwin.c, window.c, window.h:

	Fixed the redraw bugs and the crash if the about dialog is opened.
	
2001-05-17 Thursday 22:23  Frank Naumann <fnaumann@freemint.de>

	* sys/k_fds.c:

	More correct assert checks.
	
2001-05-17 Thursday 21:15  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_sysctl.c, mint/sysctl.h:

	Added initialtpa kernel limit.
	
2001-05-17 Thursday 11:56  Frank Naumann <fnaumann@freemint.de>

	* sys/: gmon.c, mcount.c:

	Updated to be in sync with the kernel and gcc.
	
2001-05-16 Wednesday 13:16  Frank Naumann <fnaumann@freemint.de>

	* sys/filesys.c:

	Bugfix, run changedrv() only for regular files and not sockets.
	
2001-05-16 Wednesday 13:15  Frank Naumann <fnaumann@freemint.de>

	* sys/procfs.c:

	Added struct proc * pointer validation.
	
2001-05-16 Wednesday 13:15  Frank Naumann <fnaumann@freemint.de>

	* sys/: pipefs.h, unifs.c, mint/config.h:

	Updated NAME_MAX definition. It don't belong to mint/config.h.
	
2001-05-11 Friday 23:19  Frank Naumann <fnaumann@freemint.de>

	* sys/procfs.c:

	Fixed two bugs for accessing invalid pointers.
	
2001-05-11 Friday 22:39  Frank Naumann <fnaumann@freemint.de>

	* tools/sysctl/Makefile:

	Small bugfix, removed incorrect dependency.
	
2001-05-10 Thursday 12:44  Frank Naumann <fnaumann@freemint.de>

	* tools/sysctl/: .cvsignore, BINFILES, EXTRAFILES, MISCFILES,
	Makefile, SRCFILES, fparseln.c, fparseln.h, sysctl.c:

	Frontend for the new sysctl system call.
	
2001-05-10 Thursday 12:06  Frank Naumann <fnaumann@freemint.de>

	* sys/: init.c, arch/info_mach.c, arch/info_mach.h,
	arch/init_mach.c, arch/kernfs_mach.c:

	Updated the info strings and hardware detection sequence.
	
2001-05-09 Wednesday 17:19  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_sysctl.c, mint/sysctl.h:

	Fixed wrong permission check, only super user is allowed to set values.
	
2001-05-09 Wednesday 17:17  Frank Naumann <fnaumann@freemint.de>

	* sys/: dossig.c, slb.c, tty.c, xbios.c, arch/sig_mach.c:

	Cleanup, removed unused code.
	
2001-05-08 Tuesday 20:40  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/mprot030.c:

	Added missing header include.
	
2001-05-08 Tuesday 20:38  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/mprot030.c:

	Corrected copy&paste bug.
	
2001-05-08 Tuesday 20:10  Frank Naumann <fnaumann@freemint.de>

	* sys/k_kthread.c:

	Kernel threads share now all ressources with proc0 (rootproc).
	
2001-05-08 Tuesday 20:09  Frank Naumann <fnaumann@freemint.de>

	* sys/: SRCFILES, info.c, info.h, init.c, k_sysctl.c, k_sysctl.h,
	ssystem.c, syscall_vectors.c, syscalls.master, time.c, time.h,
	arch/SRCFILES, arch/info_mach.c, arch/info_mach.h,
	arch/init_mach.c, arch/init_mach.h, arch/kernfs_mach.c,
	arch/mprot030.c, mint/credentials.h, mint/proc.h, mint/sysctl.h,
	sys/param.h:

	Added new system call sysctl for an easy and extendible kernel
	control interface. Restructured some parts of the kernel for that.
	Features at the moment getting/setting hostname/domainname and
	extended info.
	
2001-05-08 Tuesday 20:02  Frank Naumann <fnaumann@freemint.de>

	* sys/k_prot.c:

	Cleanup, removed unused code.
	
2001-05-08 Tuesday 09:14  Frank Naumann <fnaumann@freemint.de>

	* sys/: delay.c, init.c:

	Delay calibration is only done at bootup now.
	
2001-05-08 Tuesday 09:13  Frank Naumann <fnaumann@freemint.de>

	* sys/: kernfs.c, kernget.c, kernget.h, arch/SRCFILES,
	arch/kernfs_mach.c, arch/kernfs_mach.h:

	Moved the cpuinfo function to the arch subdir there it belongs too.
	
2001-05-07 Monday 23:30  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: mmu030.S, mprot030.c:

	Bugfixes and cleanup for the CT2 support.
	
2001-05-07 Monday 23:29  Frank Naumann <fnaumann@freemint.de>

	* sys/kernget.c:

	Bugfixed clock speed calculation. Is hopefully correct now.
	
2001-05-07 Monday 19:42  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: mmu030.S, mprot030.c:

	Changes for the Falcon CT2 MMU setup. Memory protection should now
	work on a CT2. Thanks to Didier MEQUIGNON <didier.mequignon@wanadoo.fr>
	who implemented that.
	
2001-05-07 Monday 19:12  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: Makefile, Makefile.objs, SRCFILES, context.S,
	context.spp, cpu.S, cpu.spp, delay5.S, delay5.spp, detect.S,
	detect.spp, intr.S, intr.spp, kernel.S, kernel.spp, mmu030.S,
	mmu030.spp, mmu040.S, mmu040.spp, scsidrv_emu.S, scsidrv_emu.spp,
	sigreturn.S, sigreturn.s, slb_util.S, slb_util.spp, startup.S,
	startup.spp, syscall.S, syscall.spp, vm5.S, vm5.spp, xhdi_emu.S,
	xhdi_emu.spp, asmtrans/.cvsignore, asmtrans/BINFILES,
	asmtrans/EXTRAFILES, asmtrans/MISCFILES, asmtrans/Makefile,
	asmtrans/SRCFILES, asmtrans/asm.y, asmtrans/asmtrans.h,
	asmtrans/trans.c, asmtrans/trutil.c, magic/genmagic.c,
	magic/genmagic.pl:

	Heavily changed, removed the asmtrans converter and converted all .spp
	files to .S files (asmtrans is buggy).
	
2001-04-30 Monday 03:24  Frank Naumann <fnaumann@freemint.de>

	* sys/: dosdir.c, filesys.c, k_exec.c, k_exit.c, proc.c,
	proc_help.c, mint/filedesc.h, mint/proc.h:

	Moved the Fsfirst/Fsnext emulation and the open directory proc
	member into the shareable filedes struct (there it belongs too).
	
2001-04-30 Monday 03:21  Frank Naumann <fnaumann@freemint.de>

	* sys/k_fork.c:

	Don't initialize the page table if the memory space is shared.
	
2001-04-30 Monday 03:18  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_fds.c, k_fds.h:

	Cleanup, removed no longer necessarry functions.
	
2001-04-30 Monday 03:14  Frank Naumann <fnaumann@freemint.de>

	* sys/: biosfs.c, block_IO.c, cnf.c, debug.c, fatfs.c,
	ipc_socket.c, memory.c, module.c, init.c, keyboard.c:

	Corrected fp_alloc/fp_free to the macro calls.
	
2001-04-30 Monday 03:05  Frank Naumann <fnaumann@freemint.de>

	* sys/: kmemory.c, kerinfo.c, kmemory.h:

	Reworked the debug messages, cleaned up the header file.
	
2001-04-27 Friday 20:17  Frank Naumann <fnaumann@freemint.de>

	* tools/: fdisk/Makefile, crypto/Makefile, fsetter/Makefile,
	gluestik/Makefile, mgw/Makefile, minix/fsck/Makefile,
	minix/minit/Makefile, minix/tools/Makefile, net-tools/Makefile,
	net-tools/tests/Makefile, nfs/Makefile:

	Don't strip the linked binaries, this must be done on installation.
	
2001-04-27 Friday 20:05  Frank Naumann <fnaumann@freemint.de>

	* sys/buildinfo/mkbuild.c:

	Some patches for cygwin cross compiling environment.
	
2001-04-27 Friday 19:45  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/magic/genmagic.pl:

	For crosscompiling let run the perl script over the object file,
	not the executable.
	
2001-04-27 Friday 19:44  Frank Naumann <fnaumann@freemint.de>

	* sys/gen-syscall/: pars.y, scan.l:

	Renamed some macros to avoid conflicts with some libc implementations.
	
2001-04-27 Friday 02:35  Frank Naumann <fnaumann@freemint.de>

	* sys/filesys.c:

	Added assert before accessing critical proc data in changedrv().
	
2001-04-27 Friday 02:34  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_fds.c, proc_help.c:

	Cleanup.
	
2001-04-27 Friday 02:27  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/: inet4/ifload.c, xif/ppp.h, xif/serial.c,
	xif/serial.h, xif/slip.c:

	No FATAL error if the kernel lacks the required functions.
	
2001-04-26 Thursday 10:01  Guido Flohr <guido@freemint.de>

	* tools/toswin2/twterm.src:

	- added ech for tw100
	
2001-04-26 Thursday 09:59  Guido Flohr <guido@freemint.de>

	* tools/toswin2/vt.c:

	- fixed save/restore cursor
	- proper implementation of G0-G3 charset designation
	
2001-04-26 Thursday 09:56  Guido Flohr <guido@freemint.de>

	* tools/toswin2/twterm.c:

	- fixed ECH
	- fixed save/restore cursor
	- proper implementation of G0-G3 charset designation
	
2001-04-26 Thursday 09:53  Guido Flohr <guido@freemint.de>

	* tools/toswin2/textwin.c:

	- proper implementation of G0-G3 charset designation
	- beautified diamond in line graphics mode
	
2001-04-26 Thursday 09:50  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: textwin.h, vt52.c:

	- proper implementation of G0-G3 charset designation
	
2001-04-26 Thursday 09:50  Frank Naumann <fnaumann@freemint.de>

	* sys/tosfs.c:

	Added include of missing kerinfo header.
	
2001-04-26 Thursday 09:48  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: BUGS, vttest.txt:

	- updated
	
2001-04-25 Wednesday 01:49  Frank Naumann <fnaumann@freemint.de>

	* CONFIGVARS:

	Added -Wall warning option to the NATIVECFLAGS.
	
2001-04-25 Wednesday 01:45  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/xif/: Makefile, serial.c, serial.h:

	Heavily reworked, the sld daemon is now a kernel thread.
	
2001-04-25 Wednesday 01:38  Frank Naumann <fnaumann@freemint.de>

	* sys/: timeout_new.c, timeout_new.h:

	New files, under development to be a better replacement for the
	existing timeout functions.
	
2001-04-25 Wednesday 01:37  Frank Naumann <fnaumann@freemint.de>

	* sys/: filesys.c, filesys.h, init.c, module.c, module.h:

	Restructured kernel module loading, now a generic helper function is
	exported to the xdd/xfs.
	
2001-04-25 Wednesday 01:34  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_exec.c, k_exit.c, k_fds.c, proc.c, proc.h:

	Cleanup, removed unnecessary code.
	
2001-04-25 Wednesday 01:32  Guido Flohr <guido@freemint.de>

	* tools/toswin2/clipbrd.c:

	- some minor optimizations
	
2001-04-25 Wednesday 01:29  Guido Flohr <guido@freemint.de>

	* tools/toswin2/config.h:

	- moved definition of struct wincfg here (from global.h)
	
2001-04-25 Wednesday 01:28  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: console.c, console.h, config.c, ansicol.c,
	ansicol.h, clipbrd.h:

	- reorganized headers
	
2001-04-25 Wednesday 01:27  Frank Naumann <fnaumann@freemint.de>

	* sys/: k_kthread.c, k_kthread.h, libkern/xfs_xdd_kernel.h,
	mint/kerinfo.h, SRCFILES, k_fork.c, k_fork.h:

	New kernel function kthread_create to fork a kernel thread.
	
2001-04-25 Wednesday 01:23  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: global.c, global.h:

	- reorganized headers
	- moved draw_winicon() to window.c
	
2001-04-25 Wednesday 01:20  Frank Naumann <fnaumann@freemint.de>

	* sys/: kerinfo.c, biosfs.c, dosdir.c, kerinfo.h, fatfs.c,
	global.c, global.h, pipefs.c, procfs.c, shmfs.c, unifs.c, SRCFILES:

	Moved the kerinfo structure to the new kerinfo module.
	
2001-04-25 Wednesday 01:17  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: proc.h, event.h, share.h, av.c, av.h, event.c,
	main.c, proc.c, drag.c, drag.h, environ.h:

	- reorganized headers
	
2001-04-25 Wednesday 01:15  Guido Flohr <guido@freemint.de>

	* tools/toswin2/textwin.h:

	- moved stuff here from global.h
	- renamed many attributes/flags
	- reorganized headers
	
2001-04-25 Wednesday 01:13  Guido Flohr <guido@freemint.de>

	* tools/toswin2/: twterm.c, textwin.c:

	- too much, make a diff to last revision
	
2001-04-25 Wednesday 01:12  Guido Flohr <guido@freemint.de>

	* tools/toswin2/twterm.src:

	- fixed/updated is2, ll, rmam, rmir, rs1, rs2, smam, smir, vpa
	
2001-04-25 Wednesday 01:09  Guido Flohr <guido@freemint.de>

	* tools/toswin2/version.h:

	- reorganized headers
	
2001-04-25 Wednesday 01:07  Guido Flohr <guido@freemint.de>

	* tools/toswin2/vt.c:

	- moved functions from twterm.c here
	- soft and full reset
	- fixed buffer overwrite with insert line
	- fixed redraw error with insert line
	- fixed wrong cursor addressing in non-origin mode
	- ...
	
2001-04-25 Wednesday 01:00  Guido Flohr <guido@freemint.de>

	* tools/toswin2/vt.h:

	- moved functions from twterm.c here
	- soft and full terminal reset
	- reorganized headers
	
2001-04-25 Wednesday 00:57  Frank Naumann <fnaumann@freemint.de>

	* sys/dosfile.c:

	Fixed bug in Fclose() for O_GLOBAL handles.
	
2001-04-25 Wednesday 00:55  Guido Flohr <guido@freemint.de>

	* tools/toswin2/vt52.c:

	- renamed many attribte macros
	
2001-04-25 Wednesday 00:53  Guido Flohr <guido@freemint.de>

	* tools/toswin2/window.c:

	- moved draw_winicon() here
	
2001-04-25 Wednesday 00:49  Guido Flohr <guido@freemint.de>

	* tools/toswin2/window.h:

	- reorganized headers
	
